export declare const CORPORATE_THEME: {
    name: string;
    base: string;
    variables: {
        temperature: string[];
        solar: {
            gradientLeft: string;
            gradientRight: string;
            shadowColor: string;
            radius: string[];
        };
        traffic: {
            colorBlack: string;
            tooltipBg: string;
            tooltipBorderColor: string;
            tooltipExtraCss: string;
            tooltipTextColor: string;
            tooltipFontWeight: string;
            lineBg: string;
            lineShadowBlur: string;
            itemColor: string;
            itemBorderColor: string;
            itemEmphasisBorderColor: string;
            shadowLineDarkBg: string;
            shadowLineShadow: string;
            gradFrom: string;
            gradTo: string;
        };
        electricity: {
            tooltipBg: string;
            tooltipLineColor: string;
            tooltipLineWidth: string;
            tooltipBorderColor: string;
            tooltipExtraCss: string;
            tooltipTextColor: string;
            tooltipFontWeight: string;
            axisLineColor: string;
            xAxisTextColor: string;
            yAxisSplitLine: string;
            itemBorderColor: string;
            lineStyle: string;
            lineWidth: string;
            lineGradFrom: string;
            lineGradTo: string;
            lineShadow: string;
            areaGradFrom: string;
            areaGradTo: string;
            shadowLineDarkBg: string;
        };
        bubbleMap: {
            titleColor: string;
            areaColor: string;
            areaHoverColor: string;
            areaBorderColor: string;
        };
        profitBarAnimationEchart: {
            textColor: string;
            firstAnimationBarColor: string;
            secondAnimationBarColor: string;
            splitLineStyleOpacity: string;
            splitLineStyleWidth: string;
            splitLineStyleColor: string;
            tooltipTextColor: string;
            tooltipFontWeight: string;
            tooltipFontSize: string;
            tooltipBg: string;
            tooltipBorderColor: string;
            tooltipBorderWidth: string;
            tooltipExtraCss: string;
        };
        trafficBarEchart: {
            gradientFrom: string;
            gradientTo: string;
            shadow: string;
            shadowBlur: string;
            axisTextColor: string;
            axisFontSize: string;
            tooltipBg: string;
            tooltipBorderColor: string;
            tooltipExtraCss: string;
            tooltipTextColor: string;
            tooltipFontWeight: string;
        };
        countryOrders: {
            countryBorderColor: string;
            countryFillColor: string;
            countryBorderWidth: string;
            hoveredCountryBorderColor: string;
            hoveredCountryFillColor: string;
            hoveredCountryBorderWidth: string;
            chartAxisLineColor: string;
            chartAxisTextColor: string;
            chartAxisFontSize: string;
            chartGradientTo: string;
            chartGradientFrom: string;
            chartAxisSplitLine: string;
            chartShadowLineColor: string;
            chartLineBottomShadowColor: string;
            chartInnerLineColor: string;
        };
        echarts: {
            bg: string;
            textColor: string;
            axisLineColor: string;
            splitLineColor: string;
            itemHoverShadowColor: string;
            tooltipBackgroundColor: string;
            areaOpacity: string;
        };
        chartjs: {
            axisLineColor: string;
            textColor: string;
        };
        orders: {
            tooltipBg: string;
            tooltipLineColor: string;
            tooltipLineWidth: string;
            tooltipBorderColor: string;
            tooltipExtraCss: string;
            tooltipTextColor: string;
            tooltipFontWeight: string;
            tooltipFontSize: string;
            axisLineColor: string;
            axisFontSize: string;
            axisTextColor: string;
            yAxisSplitLine: string;
            itemBorderColor: string;
            lineStyle: string;
            lineWidth: string;
            firstAreaGradFrom: string;
            firstAreaGradTo: string;
            firstShadowLineDarkBg: string;
            secondLineGradFrom: string;
            secondLineGradTo: string;
            secondAreaGradFrom: string;
            secondAreaGradTo: string;
            secondShadowLineDarkBg: string;
            thirdLineGradFrom: string;
            thirdLineGradTo: string;
            thirdAreaGradFrom: string;
            thirdAreaGradTo: string;
            thirdShadowLineDarkBg: string;
        };
        profit: {
            bg: string;
            textColor: string;
            axisLineColor: string;
            splitLineColor: string;
            areaOpacity: string;
            axisFontSize: string;
            axisTextColor: string;
            firstLineGradFrom: string;
            firstLineGradTo: string;
            firstLineShadow: string;
            secondLineGradFrom: string;
            secondLineGradTo: string;
            secondLineShadow: string;
            thirdLineGradFrom: string;
            thirdLineGradTo: string;
            thirdLineShadow: string;
        };
        orderProfitLegend: {
            firstItem: string;
            secondItem: string;
            thirdItem: string;
        };
        visitors: {
            tooltipBg: string;
            tooltipLineColor: string;
            tooltipLineWidth: string;
            tooltipBorderColor: string;
            tooltipExtraCss: string;
            tooltipTextColor: string;
            tooltipFontWeight: string;
            tooltipFontSize: string;
            axisLineColor: string;
            axisFontSize: string;
            axisTextColor: string;
            yAxisSplitLine: string;
            itemBorderColor: string;
            lineStyle: string;
            lineWidth: string;
            lineGradFrom: string;
            lineGradTo: string;
            lineShadow: string;
            areaGradFrom: string;
            areaGradTo: string;
            shadowLineDarkBg: string;
            innerLineStyle: string;
            innerLineWidth: string;
            innerAreaGradFrom: string;
            innerAreaGradTo: string;
        };
        visitorsLegend: {
            firstIcon: string;
            secondIcon: string;
        };
        visitorsPie: {
            firstPieGradientLeft: string;
            firstPieGradientRight: string;
            firstPieShadowColor: string;
            firstPieRadius: string[];
            secondPieGradientLeft: string;
            secondPieGradientRight: string;
            secondPieShadowColor: string;
            secondPieRadius: string[];
            shadowOffsetX: string;
            shadowOffsetY: string;
        };
        visitorsPieLegend: {
            firstSection: string;
            secondSection: string;
        };
        earningPie: {
            radius: string[];
            center: string[];
            fontSize: string;
            firstPieGradientLeft: string;
            firstPieGradientRight: string;
            firstPieShadowColor: string;
            secondPieGradientLeft: string;
            secondPieGradientRight: string;
            secondPieShadowColor: string;
            thirdPieGradientLeft: string;
            thirdPieGradientRight: string;
            thirdPieShadowColor: string;
        };
        earningLine: {
            gradFrom: string;
            gradTo: string;
            tooltipTextColor: string;
            tooltipFontWeight: string;
            tooltipFontSize: string;
            tooltipBg: string;
            tooltipBorderColor: string;
            tooltipBorderWidth: string;
            tooltipExtraCss: string;
        };
    };
};
