(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/platform-browser/animations'), require('@angular/common/http'), require('rxjs'), require('@angular/router'), require('@nebular/auth'), require('@angular/common'), require('@angular/forms'), require('@nebular/security'), require('@angular/platform-browser'), require('eva-icons'), require('@angular/core'), require('rxjs/operators'), require('@nebular/theme'), require('@ng-bootstrap/ng-bootstrap')) :
    typeof define === 'function' && define.amd ? define('john-ngx-t2', ['exports', '@angular/platform-browser/animations', '@angular/common/http', 'rxjs', '@angular/router', '@nebular/auth', '@angular/common', '@angular/forms', '@nebular/security', '@angular/platform-browser', 'eva-icons', '@angular/core', 'rxjs/operators', '@nebular/theme', '@ng-bootstrap/ng-bootstrap'], factory) :
    (factory((global['john-ngx-t2'] = {}),global.ng.platformBrowser.animations,global.ng.common.http,global.rxjs,global.ng.router,global.auth,global.ng.common,global.ng.forms,global.security,global.ng.platformBrowser,global.evaIcons,global.ng.core,global.rxjs.operators,global.theme,global.ngBootstrap));
}(this, (function (exports,animations,http,rxjs,router,auth,common,forms,security,platformBrowser,evaIcons,core,operators,theme,ngBootstrap) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation. All rights reserved.
    Licensed under the Apache License, Version 2.0 (the "License"); you may not use
    this file except in compliance with the License. You may obtain a copy of the
    License at http://www.apache.org/licenses/LICENSE-2.0

    THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
    WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
    MERCHANTABLITY OR NON-INFRINGEMENT.

    See the Apache Version 2.0 License for specific language governing permissions
    and limitations under the License.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b)
            if (b.hasOwnProperty(p))
                d[p] = b[p]; };
    function __extends(d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = Object.assign || function __assign(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s)
                if (Object.prototype.hasOwnProperty.call(s, p))
                    t[p] = s[p];
        }
        return t;
    };
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @param {?} parentModule
     * @param {?} moduleName
     * @return {?}
     */
    function throwIfAlreadyLoaded(parentModule, moduleName) {
        if (parentModule) {
            throw new Error(moduleName + " has already been loaded. Import Core modules in the AppModule only.");
        }
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AnalyticsService = /** @class */ (function () {
        function AnalyticsService(location, router$$1) {
            this.location = location;
            this.router = router$$1;
            this.enabled = false;
        }
        /**
         * @return {?}
         */
        AnalyticsService.prototype.trackPageViews = /**
         * @return {?}
         */
            function () {
                var _this = this;
                if (this.enabled) {
                    this.router.events.pipe(operators.filter(function (event) { return event instanceof router.NavigationEnd; }))
                        .subscribe(function () {
                        ga('send', { hitType: 'pageview', page: _this.location.path() });
                    });
                }
            };
        /**
         * @param {?} eventName
         * @return {?}
         */
        AnalyticsService.prototype.trackEvent = /**
         * @param {?} eventName
         * @return {?}
         */
            function (eventName) {
                if (this.enabled) {
                    ga('send', 'event', eventName);
                }
            };
        AnalyticsService.decorators = [
            { type: core.Injectable }
        ];
        /** @nocollapse */
        AnalyticsService.ctorParameters = function () {
            return [
                { type: common.Location },
                { type: router.Router }
            ];
        };
        return AnalyticsService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var LayoutService = /** @class */ (function () {
        function LayoutService() {
            this.layoutSize$ = new rxjs.Subject();
        }
        /**
         * @return {?}
         */
        LayoutService.prototype.changeLayoutSize = /**
         * @return {?}
         */
            function () {
                this.layoutSize$.next();
            };
        /**
         * @return {?}
         */
        LayoutService.prototype.onChangeLayoutSize = /**
         * @return {?}
         */
            function () {
                return this.layoutSize$.pipe(operators.share(), operators.delay(1));
            };
        LayoutService.decorators = [
            { type: core.Injectable }
        ];
        return LayoutService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var PlayerService = /** @class */ (function () {
        function PlayerService() {
            this.playlist = [
                {
                    name: 'Don\'t Wanna Fight',
                    artist: 'Alabama Shakes',
                    url: 'https://p.scdn.co/mp3-preview/6156cdbca425a894972c02fca9d76c0b70e001af',
                    cover: 'assets/images/cover1.jpg',
                },
                {
                    name: 'Harder',
                    artist: 'Daft Punk',
                    url: 'https://p.scdn.co/mp3-preview/92a04c7c0e96bf93a1b1b1cae7dfff1921969a7b',
                    cover: 'assets/images/cover2.jpg',
                },
                {
                    name: 'Come Together',
                    artist: 'Beatles',
                    url: 'https://p.scdn.co/mp3-preview/83090a4db6899eaca689ae35f69126dbe65d94c9',
                    cover: 'assets/images/cover3.jpg',
                },
            ];
        }
        /**
         * @return {?}
         */
        PlayerService.prototype.random = /**
         * @return {?}
         */
            function () {
                this.current = Math.floor(Math.random() * this.playlist.length);
                return this.playlist[this.current];
            };
        /**
         * @return {?}
         */
        PlayerService.prototype.next = /**
         * @return {?}
         */
            function () {
                return this.getNextTrack();
            };
        /**
         * @return {?}
         */
        PlayerService.prototype.prev = /**
         * @return {?}
         */
            function () {
                return this.getPrevTrack();
            };
        /**
         * @private
         * @return {?}
         */
        PlayerService.prototype.getNextTrack = /**
         * @private
         * @return {?}
         */
            function () {
                if (this.current === this.playlist.length - 1) {
                    this.current = 0;
                }
                else {
                    this.current++;
                }
                return this.playlist[this.current];
            };
        /**
         * @private
         * @return {?}
         */
        PlayerService.prototype.getPrevTrack = /**
         * @private
         * @return {?}
         */
            function () {
                if (this.current === 0) {
                    this.current = this.playlist.length - 1;
                }
                else {
                    this.current--;
                }
                return this.playlist[this.current];
            };
        PlayerService.decorators = [
            { type: core.Injectable }
        ];
        return PlayerService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var StateService = /** @class */ (function () {
        function StateService(directionService) {
            var _this = this;
            this.layouts = [
                {
                    name: 'One Column',
                    icon: 'nb-layout-default',
                    id: 'one-column',
                    selected: true,
                },
                {
                    name: 'Two Column',
                    icon: 'nb-layout-two-column',
                    id: 'two-column',
                },
                {
                    name: 'Center Column',
                    icon: 'nb-layout-centre',
                    id: 'center-column',
                },
            ];
            this.sidebars = [
                {
                    name: 'Sidebar at layout start',
                    icon: 'nb-layout-sidebar-left',
                    id: 'start',
                    selected: true,
                },
                {
                    name: 'Sidebar at layout end',
                    icon: 'nb-layout-sidebar-right',
                    id: 'end',
                },
            ];
            this.layoutState$ = new rxjs.BehaviorSubject(this.layouts[0]);
            this.sidebarState$ = new rxjs.BehaviorSubject(this.sidebars[0]);
            this.alive = true;
            directionService.onDirectionChange()
                .pipe(operators.takeWhile(function () { return _this.alive; }))
                .subscribe(function (direction) { return _this.updateSidebarIcons(direction); });
            this.updateSidebarIcons(directionService.getDirection());
        }
        /**
         * @return {?}
         */
        StateService.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                this.alive = false;
            };
        /**
         * @private
         * @param {?} direction
         * @return {?}
         */
        StateService.prototype.updateSidebarIcons = /**
         * @private
         * @param {?} direction
         * @return {?}
         */
            function (direction) {
                var _a = __read(this.sidebars, 2), startSidebar = _a[0], endSidebar = _a[1];
                /** @type {?} */
                var isLtr = direction === theme.NbLayoutDirection.LTR;
                /** @type {?} */
                var startIconClass = isLtr ? 'nb-layout-sidebar-left' : 'nb-layout-sidebar-right';
                /** @type {?} */
                var endIconClass = isLtr ? 'nb-layout-sidebar-right' : 'nb-layout-sidebar-left';
                startSidebar.icon = startIconClass;
                endSidebar.icon = endIconClass;
            };
        /**
         * @param {?} state
         * @return {?}
         */
        StateService.prototype.setLayoutState = /**
         * @param {?} state
         * @return {?}
         */
            function (state) {
                this.layoutState$.next(state);
            };
        /**
         * @return {?}
         */
        StateService.prototype.getLayoutStates = /**
         * @return {?}
         */
            function () {
                return rxjs.of(this.layouts);
            };
        /**
         * @return {?}
         */
        StateService.prototype.onLayoutState = /**
         * @return {?}
         */
            function () {
                return this.layoutState$.asObservable();
            };
        /**
         * @param {?} state
         * @return {?}
         */
        StateService.prototype.setSidebarState = /**
         * @param {?} state
         * @return {?}
         */
            function (state) {
                this.sidebarState$.next(state);
            };
        /**
         * @return {?}
         */
        StateService.prototype.getSidebarStates = /**
         * @return {?}
         */
            function () {
                return rxjs.of(this.sidebars);
            };
        /**
         * @return {?}
         */
        StateService.prototype.onSidebarState = /**
         * @return {?}
         */
            function () {
                return this.sidebarState$.asObservable();
            };
        StateService.decorators = [
            { type: core.Injectable }
        ];
        /** @nocollapse */
        StateService.ctorParameters = function () {
            return [
                { type: theme.NbLayoutDirectionService }
            ];
        };
        return StateService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @abstract
     */
    var /**
     * @abstract
     */ UserData = /** @class */ (function () {
        function UserData() {
        }
        return UserData;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @abstract
     */
    var /**
     * @abstract
     */ ElectricityData = /** @class */ (function () {
        function ElectricityData() {
        }
        return ElectricityData;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @abstract
     */
    var /**
     * @abstract
     */ SmartTableData = /** @class */ (function () {
        function SmartTableData() {
        }
        return SmartTableData;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @abstract
     */
    var /**
     * @abstract
     */ UserActivityData = /** @class */ (function () {
        function UserActivityData() {
        }
        return UserActivityData;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @abstract
     */
    var /**
     * @abstract
     */ OrdersChartData = /** @class */ (function () {
        function OrdersChartData() {
        }
        return OrdersChartData;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @abstract
     */
    var /**
     * @abstract
     */ ProfitChartData = /** @class */ (function () {
        function ProfitChartData() {
        }
        return ProfitChartData;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @abstract
     */
    var /**
     * @abstract
     */ TrafficListData = /** @class */ (function () {
        function TrafficListData() {
        }
        return TrafficListData;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @abstract
     */
    var /**
     * @abstract
     */ EarningData = /** @class */ (function () {
        function EarningData() {
        }
        return EarningData;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @abstract
     */
    var /**
     * @abstract
     */ OrdersProfitChartData = /** @class */ (function () {
        function OrdersProfitChartData() {
        }
        return OrdersProfitChartData;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @abstract
     */
    var /**
     * @abstract
     */ TrafficBarData = /** @class */ (function () {
        function TrafficBarData() {
        }
        return TrafficBarData;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @abstract
     */
    var /**
     * @abstract
     */ ProfitBarAnimationChartData = /** @class */ (function () {
        function ProfitBarAnimationChartData() {
        }
        return ProfitBarAnimationChartData;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @abstract
     */
    var /**
     * @abstract
     */ TemperatureHumidityData = /** @class */ (function () {
        function TemperatureHumidityData() {
        }
        return TemperatureHumidityData;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @abstract
     */
    var /**
     * @abstract
     */ SolarData = /** @class */ (function () {
        function SolarData() {
        }
        return SolarData;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @abstract
     */
    var /**
     * @abstract
     */ TrafficChartData = /** @class */ (function () {
        function TrafficChartData() {
        }
        return TrafficChartData;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @abstract
     */
    var /**
     * @abstract
     */ StatsBarData = /** @class */ (function () {
        function StatsBarData() {
        }
        return StatsBarData;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @abstract
     */
    var /**
     * @abstract
     */ CountryOrderData = /** @class */ (function () {
        function CountryOrderData() {
        }
        return CountryOrderData;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @abstract
     */
    var /**
     * @abstract
     */ StatsProgressBarData = /** @class */ (function () {
        function StatsProgressBarData() {
        }
        return StatsProgressBarData;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @abstract
     */
    var /**
     * @abstract
     */ VisitorsAnalyticsData = /** @class */ (function () {
        function VisitorsAnalyticsData() {
        }
        return VisitorsAnalyticsData;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @abstract
     */
    var /**
     * @abstract
     */ SecurityCamerasData = /** @class */ (function () {
        function SecurityCamerasData() {
        }
        return SecurityCamerasData;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var UserService = /** @class */ (function (_super) {
        __extends(UserService, _super);
        function UserService() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.time = new Date;
            _this.users = {
                nick: { name: 'Nick Jones', picture: 'assets/images/nick.png' },
                eva: { name: 'Eva Moor', picture: 'assets/images/eva.png' },
                jack: { name: 'Jack Williams', picture: 'assets/images/jack.png' },
                lee: { name: 'Lee Wong', picture: 'assets/images/lee.png' },
                alan: { name: 'Alan Thompson', picture: 'assets/images/alan.png' },
                kate: { name: 'Kate Martinez', picture: 'assets/images/kate.png' },
            };
            _this.types = {
                mobile: 'mobile',
                home: 'home',
                work: 'work',
            };
            _this.contacts = [
                { user: _this.users.nick, type: _this.types.mobile },
                { user: _this.users.eva, type: _this.types.home },
                { user: _this.users.jack, type: _this.types.mobile },
                { user: _this.users.lee, type: _this.types.mobile },
                { user: _this.users.alan, type: _this.types.home },
                { user: _this.users.kate, type: _this.types.work },
            ];
            _this.recentUsers = [
                { user: _this.users.alan, type: _this.types.home, time: _this.time.setHours(21, 12) },
                { user: _this.users.eva, type: _this.types.home, time: _this.time.setHours(17, 45) },
                { user: _this.users.nick, type: _this.types.mobile, time: _this.time.setHours(5, 29) },
                { user: _this.users.lee, type: _this.types.mobile, time: _this.time.setHours(11, 24) },
                { user: _this.users.jack, type: _this.types.mobile, time: _this.time.setHours(10, 45) },
                { user: _this.users.kate, type: _this.types.work, time: _this.time.setHours(9, 42) },
                { user: _this.users.kate, type: _this.types.work, time: _this.time.setHours(9, 31) },
                { user: _this.users.jack, type: _this.types.mobile, time: _this.time.setHours(8, 0) },
            ];
            return _this;
        }
        /**
         * @return {?}
         */
        UserService.prototype.getUsers = /**
         * @return {?}
         */
            function () {
                return rxjs.of(this.users);
            };
        /**
         * @return {?}
         */
        UserService.prototype.getContacts = /**
         * @return {?}
         */
            function () {
                return rxjs.of(this.contacts);
            };
        /**
         * @return {?}
         */
        UserService.prototype.getRecentUsers = /**
         * @return {?}
         */
            function () {
                return rxjs.of(this.recentUsers);
            };
        UserService.decorators = [
            { type: core.Injectable }
        ];
        return UserService;
    }(UserData));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ElectricityService = /** @class */ (function (_super) {
        __extends(ElectricityService, _super);
        function ElectricityService() {
            var _this = _super.call(this) || this;
            _this.listData = [
                {
                    title: '2015',
                    months: [
                        { month: 'Jan', delta: '0.97', down: true, kWatts: '816', cost: '97' },
                        { month: 'Feb', delta: '1.83', down: true, kWatts: '806', cost: '95' },
                        { month: 'Mar', delta: '0.64', down: true, kWatts: '803', cost: '94' },
                        { month: 'Apr', delta: '2.17', down: false, kWatts: '818', cost: '98' },
                        { month: 'May', delta: '1.32', down: true, kWatts: '809', cost: '96' },
                        { month: 'Jun', delta: '0.05', down: true, kWatts: '808', cost: '96' },
                        { month: 'Jul', delta: '1.39', down: false, kWatts: '815', cost: '97' },
                        { month: 'Aug', delta: '0.73', down: true, kWatts: '807', cost: '95' },
                        { month: 'Sept', delta: '2.61', down: true, kWatts: '792', cost: '92' },
                        { month: 'Oct', delta: '0.16', down: true, kWatts: '791', cost: '92' },
                        { month: 'Nov', delta: '1.71', down: true, kWatts: '786', cost: '89' },
                        { month: 'Dec', delta: '0.37', down: false, kWatts: '789', cost: '91' },
                    ],
                },
                {
                    title: '2016',
                    active: true,
                    months: [
                        { month: 'Jan', delta: '1.56', down: true, kWatts: '789', cost: '91' },
                        { month: 'Feb', delta: '0.33', down: false, kWatts: '791', cost: '92' },
                        { month: 'Mar', delta: '0.62', down: true, kWatts: '790', cost: '92' },
                        { month: 'Apr', delta: '1.93', down: true, kWatts: '783', cost: '87' },
                        { month: 'May', delta: '2.52', down: true, kWatts: '771', cost: '83' },
                        { month: 'Jun', delta: '0.39', down: false, kWatts: '774', cost: '85' },
                        { month: 'Jul', delta: '1.61', down: true, kWatts: '767', cost: '81' },
                        { month: 'Aug', delta: '1.41', down: true, kWatts: '759', cost: '76' },
                        { month: 'Sept', delta: '1.03', down: true, kWatts: '752', cost: '74' },
                        { month: 'Oct', delta: '2.94', down: false, kWatts: '769', cost: '82' },
                        { month: 'Nov', delta: '0.26', down: true, kWatts: '767', cost: '81' },
                        { month: 'Dec', delta: '1.62', down: true, kWatts: '760', cost: '76' },
                    ],
                },
                {
                    title: '2017',
                    months: [
                        { month: 'Jan', delta: '1.34', down: false, kWatts: '789', cost: '91' },
                        { month: 'Feb', delta: '0.95', down: false, kWatts: '793', cost: '93' },
                        { month: 'Mar', delta: '0.25', down: true, kWatts: '791', cost: '92' },
                        { month: 'Apr', delta: '1.72', down: false, kWatts: '797', cost: '95' },
                        { month: 'May', delta: '2.62', down: true, kWatts: '786', cost: '90' },
                        { month: 'Jun', delta: '0.72', down: false, kWatts: '789', cost: '91' },
                        { month: 'Jul', delta: '0.78', down: true, kWatts: '784', cost: '89' },
                        { month: 'Aug', delta: '0.36', down: true, kWatts: '782', cost: '88' },
                        { month: 'Sept', delta: '0.55', down: false, kWatts: '787', cost: '90' },
                        { month: 'Oct', delta: '1.81', down: true, kWatts: '779', cost: '86' },
                        { month: 'Nov', delta: '1.12', down: true, kWatts: '774', cost: '84' },
                        { month: 'Dec', delta: '0.52', down: false, kWatts: '776', cost: '95' },
                    ],
                },
            ];
            _this.chartPoints = [
                490, 490, 495, 500,
                505, 510, 520, 530,
                550, 580, 630, 720,
                800, 840, 860, 870,
                870, 860, 840, 800,
                720, 200, 145, 130,
                130, 145, 200, 570,
                635, 660, 670, 670,
                660, 630, 580, 460,
                380, 350, 340, 340,
                340, 340, 340, 340,
                340, 340, 340,
            ];
            _this.chartData = _this.chartPoints.map(function (p, index) {
                return ({
                    label: (index % 5 === 3) ? "" + Math.round(index / 5) : '',
                    value: p,
                });
            });
            return _this;
        }
        /**
         * @return {?}
         */
        ElectricityService.prototype.getListData = /**
         * @return {?}
         */
            function () {
                return rxjs.of(this.listData);
            };
        /**
         * @return {?}
         */
        ElectricityService.prototype.getChartData = /**
         * @return {?}
         */
            function () {
                return rxjs.of(this.chartData);
            };
        ElectricityService.decorators = [
            { type: core.Injectable }
        ];
        /** @nocollapse */
        ElectricityService.ctorParameters = function () { return []; };
        return ElectricityService;
    }(ElectricityData));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SmartTableService = /** @class */ (function (_super) {
        __extends(SmartTableService, _super);
        function SmartTableService() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.data = [{
                    id: 1,
                    firstName: 'Mark',
                    lastName: 'Otto',
                    username: '@mdo',
                    email: 'mdo@gmail.com',
                    age: '28',
                }, {
                    id: 2,
                    firstName: 'Jacob',
                    lastName: 'Thornton',
                    username: '@fat',
                    email: 'fat@yandex.ru',
                    age: '45',
                }, {
                    id: 3,
                    firstName: 'Larry',
                    lastName: 'Bird',
                    username: '@twitter',
                    email: 'twitter@outlook.com',
                    age: '18',
                }, {
                    id: 4,
                    firstName: 'John',
                    lastName: 'Snow',
                    username: '@snow',
                    email: 'snow@gmail.com',
                    age: '20',
                }, {
                    id: 5,
                    firstName: 'Jack',
                    lastName: 'Sparrow',
                    username: '@jack',
                    email: 'jack@yandex.ru',
                    age: '30',
                }, {
                    id: 6,
                    firstName: 'Ann',
                    lastName: 'Smith',
                    username: '@ann',
                    email: 'ann@gmail.com',
                    age: '21',
                }, {
                    id: 7,
                    firstName: 'Barbara',
                    lastName: 'Black',
                    username: '@barbara',
                    email: 'barbara@yandex.ru',
                    age: '43',
                }, {
                    id: 8,
                    firstName: 'Sevan',
                    lastName: 'Bagrat',
                    username: '@sevan',
                    email: 'sevan@outlook.com',
                    age: '13',
                }, {
                    id: 9,
                    firstName: 'Ruben',
                    lastName: 'Vardan',
                    username: '@ruben',
                    email: 'ruben@gmail.com',
                    age: '22',
                }, {
                    id: 10,
                    firstName: 'Karen',
                    lastName: 'Sevan',
                    username: '@karen',
                    email: 'karen@yandex.ru',
                    age: '33',
                }, {
                    id: 11,
                    firstName: 'Mark',
                    lastName: 'Otto',
                    username: '@mark',
                    email: 'mark@gmail.com',
                    age: '38',
                }, {
                    id: 12,
                    firstName: 'Jacob',
                    lastName: 'Thornton',
                    username: '@jacob',
                    email: 'jacob@yandex.ru',
                    age: '48',
                }, {
                    id: 13,
                    firstName: 'Haik',
                    lastName: 'Hakob',
                    username: '@haik',
                    email: 'haik@outlook.com',
                    age: '48',
                }, {
                    id: 14,
                    firstName: 'Garegin',
                    lastName: 'Jirair',
                    username: '@garegin',
                    email: 'garegin@gmail.com',
                    age: '40',
                }, {
                    id: 15,
                    firstName: 'Krikor',
                    lastName: 'Bedros',
                    username: '@krikor',
                    email: 'krikor@yandex.ru',
                    age: '32',
                }, {
                    'id': 16,
                    'firstName': 'Francisca',
                    'lastName': 'Brady',
                    'username': '@Gibson',
                    'email': 'franciscagibson@comtours.com',
                    'age': 11,
                }, {
                    'id': 17,
                    'firstName': 'Tillman',
                    'lastName': 'Figueroa',
                    'username': '@Snow',
                    'email': 'tillmansnow@comtours.com',
                    'age': 34,
                }, {
                    'id': 18,
                    'firstName': 'Jimenez',
                    'lastName': 'Morris',
                    'username': '@Bryant',
                    'email': 'jimenezbryant@comtours.com',
                    'age': 45,
                }, {
                    'id': 19,
                    'firstName': 'Sandoval',
                    'lastName': 'Jacobson',
                    'username': '@Mcbride',
                    'email': 'sandovalmcbride@comtours.com',
                    'age': 32,
                }, {
                    'id': 20,
                    'firstName': 'Griffin',
                    'lastName': 'Torres',
                    'username': '@Charles',
                    'email': 'griffincharles@comtours.com',
                    'age': 19,
                }, {
                    'id': 21,
                    'firstName': 'Cora',
                    'lastName': 'Parker',
                    'username': '@Caldwell',
                    'email': 'coracaldwell@comtours.com',
                    'age': 27,
                }, {
                    'id': 22,
                    'firstName': 'Cindy',
                    'lastName': 'Bond',
                    'username': '@Velez',
                    'email': 'cindyvelez@comtours.com',
                    'age': 24,
                }, {
                    'id': 23,
                    'firstName': 'Frieda',
                    'lastName': 'Tyson',
                    'username': '@Craig',
                    'email': 'friedacraig@comtours.com',
                    'age': 45,
                }, {
                    'id': 24,
                    'firstName': 'Cote',
                    'lastName': 'Holcomb',
                    'username': '@Rowe',
                    'email': 'coterowe@comtours.com',
                    'age': 20,
                }, {
                    'id': 25,
                    'firstName': 'Trujillo',
                    'lastName': 'Mejia',
                    'username': '@Valenzuela',
                    'email': 'trujillovalenzuela@comtours.com',
                    'age': 16,
                }, {
                    'id': 26,
                    'firstName': 'Pruitt',
                    'lastName': 'Shepard',
                    'username': '@Sloan',
                    'email': 'pruittsloan@comtours.com',
                    'age': 44,
                }, {
                    'id': 27,
                    'firstName': 'Sutton',
                    'lastName': 'Ortega',
                    'username': '@Black',
                    'email': 'suttonblack@comtours.com',
                    'age': 42,
                }, {
                    'id': 28,
                    'firstName': 'Marion',
                    'lastName': 'Heath',
                    'username': '@Espinoza',
                    'email': 'marionespinoza@comtours.com',
                    'age': 47,
                }, {
                    'id': 29,
                    'firstName': 'Newman',
                    'lastName': 'Hicks',
                    'username': '@Keith',
                    'email': 'newmankeith@comtours.com',
                    'age': 15,
                }, {
                    'id': 30,
                    'firstName': 'Boyle',
                    'lastName': 'Larson',
                    'username': '@Summers',
                    'email': 'boylesummers@comtours.com',
                    'age': 32,
                }, {
                    'id': 31,
                    'firstName': 'Haynes',
                    'lastName': 'Vinson',
                    'username': '@Mckenzie',
                    'email': 'haynesmckenzie@comtours.com',
                    'age': 15,
                }, {
                    'id': 32,
                    'firstName': 'Miller',
                    'lastName': 'Acosta',
                    'username': '@Young',
                    'email': 'milleryoung@comtours.com',
                    'age': 55,
                }, {
                    'id': 33,
                    'firstName': 'Johnston',
                    'lastName': 'Brown',
                    'username': '@Knight',
                    'email': 'johnstonknight@comtours.com',
                    'age': 29,
                }, {
                    'id': 34,
                    'firstName': 'Lena',
                    'lastName': 'Pitts',
                    'username': '@Forbes',
                    'email': 'lenaforbes@comtours.com',
                    'age': 25,
                }, {
                    'id': 35,
                    'firstName': 'Terrie',
                    'lastName': 'Kennedy',
                    'username': '@Branch',
                    'email': 'terriebranch@comtours.com',
                    'age': 37,
                }, {
                    'id': 36,
                    'firstName': 'Louise',
                    'lastName': 'Aguirre',
                    'username': '@Kirby',
                    'email': 'louisekirby@comtours.com',
                    'age': 44,
                }, {
                    'id': 37,
                    'firstName': 'David',
                    'lastName': 'Patton',
                    'username': '@Sanders',
                    'email': 'davidsanders@comtours.com',
                    'age': 26,
                }, {
                    'id': 38,
                    'firstName': 'Holden',
                    'lastName': 'Barlow',
                    'username': '@Mckinney',
                    'email': 'holdenmckinney@comtours.com',
                    'age': 11,
                }, {
                    'id': 39,
                    'firstName': 'Baker',
                    'lastName': 'Rivera',
                    'username': '@Montoya',
                    'email': 'bakermontoya@comtours.com',
                    'age': 47,
                }, {
                    'id': 40,
                    'firstName': 'Belinda',
                    'lastName': 'Lloyd',
                    'username': '@Calderon',
                    'email': 'belindacalderon@comtours.com',
                    'age': 21,
                }, {
                    'id': 41,
                    'firstName': 'Pearson',
                    'lastName': 'Patrick',
                    'username': '@Clements',
                    'email': 'pearsonclements@comtours.com',
                    'age': 42,
                }, {
                    'id': 42,
                    'firstName': 'Alyce',
                    'lastName': 'Mckee',
                    'username': '@Daugherty',
                    'email': 'alycedaugherty@comtours.com',
                    'age': 55,
                }, {
                    'id': 43,
                    'firstName': 'Valencia',
                    'lastName': 'Spence',
                    'username': '@Olsen',
                    'email': 'valenciaolsen@comtours.com',
                    'age': 20,
                }, {
                    'id': 44,
                    'firstName': 'Leach',
                    'lastName': 'Holcomb',
                    'username': '@Humphrey',
                    'email': 'leachhumphrey@comtours.com',
                    'age': 28,
                }, {
                    'id': 45,
                    'firstName': 'Moss',
                    'lastName': 'Baxter',
                    'username': '@Fitzpatrick',
                    'email': 'mossfitzpatrick@comtours.com',
                    'age': 51,
                }, {
                    'id': 46,
                    'firstName': 'Jeanne',
                    'lastName': 'Cooke',
                    'username': '@Ward',
                    'email': 'jeanneward@comtours.com',
                    'age': 59,
                }, {
                    'id': 47,
                    'firstName': 'Wilma',
                    'lastName': 'Briggs',
                    'username': '@Kidd',
                    'email': 'wilmakidd@comtours.com',
                    'age': 53,
                }, {
                    'id': 48,
                    'firstName': 'Beatrice',
                    'lastName': 'Perry',
                    'username': '@Gilbert',
                    'email': 'beatricegilbert@comtours.com',
                    'age': 39,
                }, {
                    'id': 49,
                    'firstName': 'Whitaker',
                    'lastName': 'Hyde',
                    'username': '@Mcdonald',
                    'email': 'whitakermcdonald@comtours.com',
                    'age': 35,
                }, {
                    'id': 50,
                    'firstName': 'Rebekah',
                    'lastName': 'Duran',
                    'username': '@Gross',
                    'email': 'rebekahgross@comtours.com',
                    'age': 40,
                }, {
                    'id': 51,
                    'firstName': 'Earline',
                    'lastName': 'Mayer',
                    'username': '@Woodward',
                    'email': 'earlinewoodward@comtours.com',
                    'age': 52,
                }, {
                    'id': 52,
                    'firstName': 'Moran',
                    'lastName': 'Baxter',
                    'username': '@Johns',
                    'email': 'moranjohns@comtours.com',
                    'age': 20,
                }, {
                    'id': 53,
                    'firstName': 'Nanette',
                    'lastName': 'Hubbard',
                    'username': '@Cooke',
                    'email': 'nanettecooke@comtours.com',
                    'age': 55,
                }, {
                    'id': 54,
                    'firstName': 'Dalton',
                    'lastName': 'Walker',
                    'username': '@Hendricks',
                    'email': 'daltonhendricks@comtours.com',
                    'age': 25,
                }, {
                    'id': 55,
                    'firstName': 'Bennett',
                    'lastName': 'Blake',
                    'username': '@Pena',
                    'email': 'bennettpena@comtours.com',
                    'age': 13,
                }, {
                    'id': 56,
                    'firstName': 'Kellie',
                    'lastName': 'Horton',
                    'username': '@Weiss',
                    'email': 'kellieweiss@comtours.com',
                    'age': 48,
                }, {
                    'id': 57,
                    'firstName': 'Hobbs',
                    'lastName': 'Talley',
                    'username': '@Sanford',
                    'email': 'hobbssanford@comtours.com',
                    'age': 28,
                }, {
                    'id': 58,
                    'firstName': 'Mcguire',
                    'lastName': 'Donaldson',
                    'username': '@Roman',
                    'email': 'mcguireroman@comtours.com',
                    'age': 38,
                }, {
                    'id': 59,
                    'firstName': 'Rodriquez',
                    'lastName': 'Saunders',
                    'username': '@Harper',
                    'email': 'rodriquezharper@comtours.com',
                    'age': 20,
                }, {
                    'id': 60,
                    'firstName': 'Lou',
                    'lastName': 'Conner',
                    'username': '@Sanchez',
                    'email': 'lousanchez@comtours.com',
                    'age': 16,
                }];
            return _this;
        }
        /**
         * @return {?}
         */
        SmartTableService.prototype.getData = /**
         * @return {?}
         */
            function () {
                return this.data;
            };
        SmartTableService.decorators = [
            { type: core.Injectable }
        ];
        return SmartTableService;
    }(SmartTableData));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var PeriodsService = /** @class */ (function () {
        function PeriodsService() {
        }
        /**
         * @return {?}
         */
        PeriodsService.prototype.getYears = /**
         * @return {?}
         */
            function () {
                return [
                    '2010', '2011', '2012',
                    '2013', '2014', '2015',
                    '2016', '2017', '2018',
                ];
            };
        /**
         * @return {?}
         */
        PeriodsService.prototype.getMonths = /**
         * @return {?}
         */
            function () {
                return [
                    'Jan', 'Feb', 'Mar',
                    'Apr', 'May', 'Jun',
                    'Jul', 'Aug', 'Sep',
                    'Oct', 'Nov', 'Dec',
                ];
            };
        /**
         * @return {?}
         */
        PeriodsService.prototype.getWeeks = /**
         * @return {?}
         */
            function () {
                return [
                    'Mon',
                    'Tue',
                    'Wed',
                    'Thu',
                    'Fri',
                    'Sat',
                    'Sun',
                ];
            };
        PeriodsService.decorators = [
            { type: core.Injectable }
        ];
        return PeriodsService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var UserActivityService = /** @class */ (function (_super) {
        __extends(UserActivityService, _super);
        function UserActivityService(periods) {
            var _this = _super.call(this) || this;
            _this.periods = periods;
            _this.getRandom = function (roundTo) { return Math.round(Math.random() * roundTo); };
            _this.data = {};
            _this.data = {
                week: _this.getDataWeek(),
                month: _this.getDataMonth(),
                year: _this.getDataYear(),
            };
            return _this;
        }
        /**
         * @private
         * @param {?} date
         * @return {?}
         */
        UserActivityService.prototype.generateUserActivityRandomData = /**
         * @private
         * @param {?} date
         * @return {?}
         */
            function (date) {
                return {
                    date: date,
                    pagesVisitCount: this.getRandom(1000),
                    deltaUp: this.getRandom(1) % 2 === 0,
                    newVisits: this.getRandom(100),
                };
            };
        /**
         * @private
         * @return {?}
         */
        UserActivityService.prototype.getDataWeek = /**
         * @private
         * @return {?}
         */
            function () {
                var _this = this;
                return this.periods.getWeeks().map(function (week) {
                    return _this.generateUserActivityRandomData(week);
                });
            };
        /**
         * @private
         * @return {?}
         */
        UserActivityService.prototype.getDataMonth = /**
         * @private
         * @return {?}
         */
            function () {
                var _this = this;
                /** @type {?} */
                var currentDate = new Date();
                /** @type {?} */
                var days = currentDate.getDate();
                /** @type {?} */
                var month = this.periods.getMonths()[currentDate.getMonth()];
                return Array.from(Array(days)).map(function (_, index) {
                    /** @type {?} */
                    var date = index + 1 + " " + month;
                    return _this.generateUserActivityRandomData(date);
                });
            };
        /**
         * @private
         * @return {?}
         */
        UserActivityService.prototype.getDataYear = /**
         * @private
         * @return {?}
         */
            function () {
                var _this = this;
                return this.periods.getYears().map(function (year) {
                    return _this.generateUserActivityRandomData(year);
                });
            };
        /**
         * @param {?} period
         * @return {?}
         */
        UserActivityService.prototype.getUserActivityData = /**
         * @param {?} period
         * @return {?}
         */
            function (period) {
                return rxjs.of(this.data[period]);
            };
        UserActivityService.decorators = [
            { type: core.Injectable }
        ];
        /** @nocollapse */
        UserActivityService.ctorParameters = function () {
            return [
                { type: PeriodsService }
            ];
        };
        return UserActivityService;
    }(UserActivityData));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var OrdersChartService = /** @class */ (function (_super) {
        __extends(OrdersChartService, _super);
        function OrdersChartService(period) {
            var _this = _super.call(this) || this;
            _this.period = period;
            _this.year = [
                '2012',
                '2013',
                '2014',
                '2015',
                '2016',
                '2017',
                '2018',
            ];
            _this.data = {};
            _this.data = {
                week: _this.getDataForWeekPeriod(),
                month: _this.getDataForMonthPeriod(),
                year: _this.getDataForYearPeriod(),
            };
            return _this;
        }
        /**
         * @private
         * @return {?}
         */
        OrdersChartService.prototype.getDataForWeekPeriod = /**
         * @private
         * @return {?}
         */
            function () {
                return {
                    chartLabel: this.getDataLabels(42, this.period.getWeeks()),
                    linesData: [
                        [
                            184, 267, 326, 366, 389, 399,
                            392, 371, 340, 304, 265, 227,
                            191, 158, 130, 108, 95, 91, 97,
                            109, 125, 144, 166, 189, 212,
                            236, 259, 280, 300, 316, 329,
                            338, 342, 339, 329, 312, 288,
                            258, 221, 178, 128, 71,
                        ],
                        [
                            158, 178, 193, 205, 212, 213,
                            204, 190, 180, 173, 168, 164,
                            162, 160, 159, 158, 159, 166,
                            179, 195, 215, 236, 257, 276,
                            292, 301, 304, 303, 300, 293,
                            284, 273, 262, 251, 241, 234,
                            232, 232, 232, 232, 232, 232,
                        ],
                        [
                            58, 137, 202, 251, 288, 312,
                            323, 324, 311, 288, 257, 222,
                            187, 154, 124, 100, 81, 68, 61,
                            58, 61, 69, 80, 96, 115, 137,
                            161, 186, 210, 233, 254, 271,
                            284, 293, 297, 297, 297, 297,
                            297, 297, 297, 297, 297,
                        ],
                    ],
                };
            };
        /**
         * @private
         * @return {?}
         */
        OrdersChartService.prototype.getDataForMonthPeriod = /**
         * @private
         * @return {?}
         */
            function () {
                return {
                    chartLabel: this.getDataLabels(47, this.period.getMonths()),
                    linesData: [
                        [
                            5, 63, 113, 156, 194, 225,
                            250, 270, 283, 289, 290,
                            286, 277, 264, 244, 220,
                            194, 171, 157, 151, 150,
                            152, 155, 160, 166, 170,
                            167, 153, 135, 115, 97,
                            82, 71, 64, 63, 62, 61,
                            62, 65, 73, 84, 102,
                            127, 159, 203, 259, 333,
                        ],
                        [
                            6, 83, 148, 200, 240,
                            265, 273, 259, 211,
                            122, 55, 30, 28, 36,
                            50, 68, 88, 109, 129,
                            146, 158, 163, 165,
                            173, 187, 208, 236,
                            271, 310, 346, 375,
                            393, 400, 398, 387,
                            368, 341, 309, 275,
                            243, 220, 206, 202,
                            207, 222, 247, 286, 348,
                        ],
                        [
                            398, 348, 315, 292, 274,
                            261, 251, 243, 237, 231,
                            222, 209, 192, 172, 152,
                            132, 116, 102, 90, 80, 71,
                            64, 58, 53, 49, 48, 54, 66,
                            84, 104, 125, 142, 156, 166,
                            172, 174, 172, 167, 159, 149,
                            136, 121, 105, 86, 67, 45, 22,
                        ],
                    ],
                };
            };
        /**
         * @private
         * @return {?}
         */
        OrdersChartService.prototype.getDataForYearPeriod = /**
         * @private
         * @return {?}
         */
            function () {
                return {
                    chartLabel: this.getDataLabels(42, this.year),
                    linesData: [
                        [
                            190, 269, 327, 366, 389, 398,
                            396, 387, 375, 359, 343, 327,
                            312, 298, 286, 276, 270, 268,
                            265, 258, 247, 234, 220, 204,
                            188, 172, 157, 142, 128, 116,
                            106, 99, 95, 94, 92, 89, 84,
                            77, 69, 60, 49, 36, 22,
                        ],
                        [
                            265, 307, 337, 359, 375, 386,
                            393, 397, 399, 397, 390, 379,
                            365, 347, 326, 305, 282, 261,
                            241, 223, 208, 197, 190, 187,
                            185, 181, 172, 160, 145, 126,
                            105, 82, 60, 40, 26, 19, 22,
                            43, 82, 141, 220, 321,
                        ],
                        [
                            9, 165, 236, 258, 244, 206,
                            186, 189, 209, 239, 273, 307,
                            339, 365, 385, 396, 398, 385,
                            351, 300, 255, 221, 197, 181,
                            170, 164, 162, 161, 159, 154,
                            146, 135, 122, 108, 96, 87,
                            83, 82, 82, 82, 82, 82, 82,
                        ],
                    ],
                };
            };
        /**
         * @param {?} nPoints
         * @param {?} labelsArray
         * @return {?}
         */
        OrdersChartService.prototype.getDataLabels = /**
         * @param {?} nPoints
         * @param {?} labelsArray
         * @return {?}
         */
            function (nPoints, labelsArray) {
                /** @type {?} */
                var labelsArrayLength = labelsArray.length;
                /** @type {?} */
                var step = Math.round(nPoints / labelsArrayLength);
                return Array.from(Array(nPoints)).map(function (item, index) {
                    /** @type {?} */
                    var dataIndex = Math.round(index / step);
                    return index % step === 0 ? labelsArray[dataIndex] : '';
                });
            };
        /**
         * @param {?} period
         * @return {?}
         */
        OrdersChartService.prototype.getOrdersChartData = /**
         * @param {?} period
         * @return {?}
         */
            function (period) {
                return this.data[period];
            };
        OrdersChartService.decorators = [
            { type: core.Injectable }
        ];
        /** @nocollapse */
        OrdersChartService.ctorParameters = function () {
            return [
                { type: PeriodsService }
            ];
        };
        return OrdersChartService;
    }(OrdersChartData));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ProfitChartService = /** @class */ (function (_super) {
        __extends(ProfitChartService, _super);
        function ProfitChartService(period) {
            var _this = _super.call(this) || this;
            _this.period = period;
            _this.year = [
                '2012',
                '2013',
                '2014',
                '2015',
                '2016',
                '2017',
                '2018',
            ];
            _this.data = {};
            _this.data = {
                week: _this.getDataForWeekPeriod(),
                month: _this.getDataForMonthPeriod(),
                year: _this.getDataForYearPeriod(),
            };
            return _this;
        }
        /**
         * @private
         * @return {?}
         */
        ProfitChartService.prototype.getDataForWeekPeriod = /**
         * @private
         * @return {?}
         */
            function () {
                /** @type {?} */
                var nPoint = this.period.getWeeks().length;
                return {
                    chartLabel: this.period.getWeeks(),
                    data: [
                        this.getRandomData(nPoint),
                        this.getRandomData(nPoint),
                        this.getRandomData(nPoint),
                    ],
                };
            };
        /**
         * @private
         * @return {?}
         */
        ProfitChartService.prototype.getDataForMonthPeriod = /**
         * @private
         * @return {?}
         */
            function () {
                /** @type {?} */
                var nPoint = this.period.getMonths().length;
                return {
                    chartLabel: this.period.getMonths(),
                    data: [
                        this.getRandomData(nPoint),
                        this.getRandomData(nPoint),
                        this.getRandomData(nPoint),
                    ],
                };
            };
        /**
         * @private
         * @return {?}
         */
        ProfitChartService.prototype.getDataForYearPeriod = /**
         * @private
         * @return {?}
         */
            function () {
                /** @type {?} */
                var nPoint = this.year.length;
                return {
                    chartLabel: this.year,
                    data: [
                        this.getRandomData(nPoint),
                        this.getRandomData(nPoint),
                        this.getRandomData(nPoint),
                    ],
                };
            };
        /**
         * @private
         * @param {?} nPoints
         * @return {?}
         */
        ProfitChartService.prototype.getRandomData = /**
         * @private
         * @param {?} nPoints
         * @return {?}
         */
            function (nPoints) {
                return Array.from(Array(nPoints)).map(function () {
                    return Math.round(Math.random() * 500);
                });
            };
        /**
         * @param {?} period
         * @return {?}
         */
        ProfitChartService.prototype.getProfitChartData = /**
         * @param {?} period
         * @return {?}
         */
            function (period) {
                return this.data[period];
            };
        ProfitChartService.decorators = [
            { type: core.Injectable }
        ];
        /** @nocollapse */
        ProfitChartService.ctorParameters = function () {
            return [
                { type: PeriodsService }
            ];
        };
        return ProfitChartService;
    }(ProfitChartData));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TrafficListService = /** @class */ (function (_super) {
        __extends(TrafficListService, _super);
        function TrafficListService(period) {
            var _this = _super.call(this) || this;
            _this.period = period;
            _this.getRandom = function (roundTo) { return Math.round(Math.random() * roundTo); };
            _this.data = {};
            _this.data = {
                week: _this.getDataWeek(),
                month: _this.getDataMonth(),
                year: _this.getDataYear(),
            };
            return _this;
        }
        /**
         * @private
         * @return {?}
         */
        TrafficListService.prototype.getDataWeek = /**
         * @private
         * @return {?}
         */
            function () {
                var _this = this;
                /** @type {?} */
                var getFirstDateInPeriod = function () {
                    /** @type {?} */
                    var weeks = _this.period.getWeeks();
                    return weeks[weeks.length - 1];
                };
                return this.reduceData(this.period.getWeeks(), getFirstDateInPeriod);
            };
        /**
         * @private
         * @return {?}
         */
        TrafficListService.prototype.getDataMonth = /**
         * @private
         * @return {?}
         */
            function () {
                var _this = this;
                /** @type {?} */
                var getFirstDateInPeriod = function () {
                    /** @type {?} */
                    var months = _this.period.getMonths();
                    /** @type {?} */
                    var date = new Date();
                    /** @type {?} */
                    var prevYear = date.getFullYear() - 1;
                    return months[months.length - 1] + ", " + prevYear;
                };
                return this.reduceData(this.period.getMonths(), getFirstDateInPeriod);
            };
        /**
         * @private
         * @return {?}
         */
        TrafficListService.prototype.getDataYear = /**
         * @private
         * @return {?}
         */
            function () {
                var _this = this;
                /** @type {?} */
                var getFirstDateInPeriod = function () {
                    /** @type {?} */
                    var years = _this.period.getYears();
                    return "" + (parseInt(years[0], 10) - 1);
                };
                return this.reduceData(this.period.getYears(), getFirstDateInPeriod);
            };
        /**
         * @private
         * @param {?} timePeriods
         * @param {?} getFirstDateInPeriod
         * @return {?}
         */
        TrafficListService.prototype.reduceData = /**
         * @private
         * @param {?} timePeriods
         * @param {?} getFirstDateInPeriod
         * @return {?}
         */
            function (timePeriods, getFirstDateInPeriod) {
                var _this = this;
                return timePeriods.reduce(function (result, timePeriod, index) {
                    /** @type {?} */
                    var hasResult = result[index - 1];
                    /** @type {?} */
                    var prevDate = hasResult ?
                        result[index - 1].comparison.nextDate :
                        getFirstDateInPeriod();
                    /** @type {?} */
                    var prevValue = hasResult ?
                        result[index - 1].comparison.nextValue :
                        _this.getRandom(100);
                    /** @type {?} */
                    var nextValue = _this.getRandom(100);
                    /** @type {?} */
                    var deltaValue = prevValue - nextValue;
                    /** @type {?} */
                    var item = {
                        date: timePeriod,
                        value: _this.getRandom(1000),
                        delta: {
                            up: deltaValue <= 0,
                            value: Math.abs(deltaValue),
                        },
                        comparison: {
                            prevDate: prevDate,
                            prevValue: prevValue,
                            nextDate: timePeriod,
                            nextValue: nextValue,
                        },
                    };
                    return __spread(result, [item]);
                }, []);
            };
        /**
         * @param {?} period
         * @return {?}
         */
        TrafficListService.prototype.getTrafficListData = /**
         * @param {?} period
         * @return {?}
         */
            function (period) {
                return rxjs.of(this.data[period]);
            };
        TrafficListService.decorators = [
            { type: core.Injectable }
        ];
        /** @nocollapse */
        TrafficListService.ctorParameters = function () {
            return [
                { type: PeriodsService }
            ];
        };
        return TrafficListService;
    }(TrafficListData));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var EarningService = /** @class */ (function (_super) {
        __extends(EarningService, _super);
        function EarningService() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.currentDate = new Date();
            _this.currentValue = Math.random() * 1000;
            _this.ONE_DAY = 24 * 3600 * 1000;
            _this.pieChartData = [
                {
                    value: 50,
                    name: 'Bitcoin',
                },
                {
                    value: 25,
                    name: 'Tether',
                },
                {
                    value: 25,
                    name: 'Ethereum',
                },
            ];
            _this.liveUpdateChartData = {
                bitcoin: {
                    liveChart: [],
                    delta: {
                        up: true,
                        value: 4,
                    },
                    dailyIncome: 45895,
                },
                tether: {
                    liveChart: [],
                    delta: {
                        up: false,
                        value: 9,
                    },
                    dailyIncome: 5862,
                },
                ethereum: {
                    liveChart: [],
                    delta: {
                        up: false,
                        value: 21,
                    },
                    dailyIncome: 584,
                },
            };
            return _this;
        }
        /**
         * @param {?} elementsNumber
         * @return {?}
         */
        EarningService.prototype.getDefaultLiveChartData = /**
         * @param {?} elementsNumber
         * @return {?}
         */
            function (elementsNumber) {
                var _this = this;
                this.currentDate = new Date();
                this.currentValue = Math.random() * 1000;
                return Array.from(Array(elementsNumber))
                    .map(function (item) { return _this.generateRandomLiveChartData(); });
            };
        /**
         * @return {?}
         */
        EarningService.prototype.generateRandomLiveChartData = /**
         * @return {?}
         */
            function () {
                this.currentDate = new Date(+this.currentDate + this.ONE_DAY);
                this.currentValue = this.currentValue + Math.random() * 20 - 11;
                if (this.currentValue < 0) {
                    this.currentValue = Math.random() * 100;
                }
                return {
                    value: [
                        [
                            this.currentDate.getFullYear(),
                            this.currentDate.getMonth(),
                            this.currentDate.getDate(),
                        ].join('/'),
                        Math.round(this.currentValue),
                    ],
                };
            };
        /**
         * @param {?} currency
         * @return {?}
         */
        EarningService.prototype.getEarningLiveUpdateCardData = /**
         * @param {?} currency
         * @return {?}
         */
            function (currency) {
                /** @type {?} */
                var data = this.liveUpdateChartData[currency.toLowerCase()];
                /** @type {?} */
                var newValue = this.generateRandomLiveChartData();
                data.liveChart.shift();
                data.liveChart.push(newValue);
                return rxjs.of(data.liveChart);
            };
        /**
         * @param {?} currency
         * @return {?}
         */
        EarningService.prototype.getEarningCardData = /**
         * @param {?} currency
         * @return {?}
         */
            function (currency) {
                /** @type {?} */
                var data = this.liveUpdateChartData[currency.toLowerCase()];
                data.liveChart = this.getDefaultLiveChartData(150);
                return rxjs.of(data);
            };
        /**
         * @return {?}
         */
        EarningService.prototype.getEarningPieChartData = /**
         * @return {?}
         */
            function () {
                return rxjs.of(this.pieChartData);
            };
        EarningService.decorators = [
            { type: core.Injectable }
        ];
        return EarningService;
    }(EarningData));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var OrdersProfitChartService = /** @class */ (function (_super) {
        __extends(OrdersProfitChartService, _super);
        function OrdersProfitChartService(ordersChartService, profitChartService) {
            var _this = _super.call(this) || this;
            _this.ordersChartService = ordersChartService;
            _this.profitChartService = profitChartService;
            _this.summary = [
                {
                    title: 'Marketplace',
                    value: 3654,
                },
                {
                    title: 'Last Month',
                    value: 946,
                },
                {
                    title: 'Last Week',
                    value: 654,
                },
                {
                    title: 'Today',
                    value: 230,
                },
            ];
            return _this;
        }
        /**
         * @return {?}
         */
        OrdersProfitChartService.prototype.getOrderProfitChartSummary = /**
         * @return {?}
         */
            function () {
                return rxjs.of(this.summary);
            };
        /**
         * @param {?} period
         * @return {?}
         */
        OrdersProfitChartService.prototype.getOrdersChartData = /**
         * @param {?} period
         * @return {?}
         */
            function (period) {
                return rxjs.of(this.ordersChartService.getOrdersChartData(period));
            };
        /**
         * @param {?} period
         * @return {?}
         */
        OrdersProfitChartService.prototype.getProfitChartData = /**
         * @param {?} period
         * @return {?}
         */
            function (period) {
                return rxjs.of(this.profitChartService.getProfitChartData(period));
            };
        OrdersProfitChartService.decorators = [
            { type: core.Injectable }
        ];
        /** @nocollapse */
        OrdersProfitChartService.ctorParameters = function () {
            return [
                { type: OrdersChartData },
                { type: ProfitChartData }
            ];
        };
        return OrdersProfitChartService;
    }(OrdersProfitChartData));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TrafficBarService = /** @class */ (function (_super) {
        __extends(TrafficBarService, _super);
        function TrafficBarService(period) {
            var _this = _super.call(this) || this;
            _this.period = period;
            _this.data = {};
            _this.data = {
                week: _this.getDataForWeekPeriod(),
                month: _this.getDataForMonthPeriod(),
                year: _this.getDataForYearPeriod(),
            };
            return _this;
        }
        /**
         * @return {?}
         */
        TrafficBarService.prototype.getDataForWeekPeriod = /**
         * @return {?}
         */
            function () {
                return {
                    data: [10, 15, 19, 7, 20, 13, 15],
                    labels: this.period.getWeeks(),
                    formatter: '{c0} MB',
                };
            };
        /**
         * @return {?}
         */
        TrafficBarService.prototype.getDataForMonthPeriod = /**
         * @return {?}
         */
            function () {
                return {
                    data: [0.5, 0.3, 0.8, 0.2, 0.3, 0.7, 0.8, 1, 0.7, 0.8, 0.6, 0.7],
                    labels: this.period.getMonths(),
                    formatter: '{c0} GB',
                };
            };
        /**
         * @return {?}
         */
        TrafficBarService.prototype.getDataForYearPeriod = /**
         * @return {?}
         */
            function () {
                return {
                    data: [10, 15, 19, 7, 20, 13, 15, 19, 11],
                    labels: this.period.getYears(),
                    formatter: '{c0} GB',
                };
            };
        /**
         * @param {?} period
         * @return {?}
         */
        TrafficBarService.prototype.getTrafficBarData = /**
         * @param {?} period
         * @return {?}
         */
            function (period) {
                return rxjs.of(this.data[period]);
            };
        TrafficBarService.decorators = [
            { type: core.Injectable }
        ];
        /** @nocollapse */
        TrafficBarService.ctorParameters = function () {
            return [
                { type: PeriodsService }
            ];
        };
        return TrafficBarService;
    }(TrafficBarData));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ProfitBarAnimationChartService = /** @class */ (function (_super) {
        __extends(ProfitBarAnimationChartService, _super);
        function ProfitBarAnimationChartService() {
            var _this = _super.call(this) || this;
            _this.data = {
                firstLine: _this.getDataForFirstLine(),
                secondLine: _this.getDataForSecondLine(),
            };
            return _this;
        }
        /**
         * @return {?}
         */
        ProfitBarAnimationChartService.prototype.getDataForFirstLine = /**
         * @return {?}
         */
            function () {
                return this.createEmptyArray(100)
                    .map(function (_, index) {
                    /** @type {?} */
                    var oneFifth = index / 5;
                    return (Math.sin(oneFifth) * (oneFifth - 10) + index / 6) * 5;
                });
            };
        /**
         * @return {?}
         */
        ProfitBarAnimationChartService.prototype.getDataForSecondLine = /**
         * @return {?}
         */
            function () {
                return this.createEmptyArray(100)
                    .map(function (_, index) {
                    /** @type {?} */
                    var oneFifth = index / 5;
                    return (Math.cos(oneFifth) * (oneFifth - 10) + index / 6) * 5;
                });
            };
        /**
         * @param {?} nPoints
         * @return {?}
         */
        ProfitBarAnimationChartService.prototype.createEmptyArray = /**
         * @param {?} nPoints
         * @return {?}
         */
            function (nPoints) {
                return Array.from(Array(nPoints));
            };
        /**
         * @return {?}
         */
        ProfitBarAnimationChartService.prototype.getChartData = /**
         * @return {?}
         */
            function () {
                return rxjs.of(this.data);
            };
        ProfitBarAnimationChartService.decorators = [
            { type: core.Injectable }
        ];
        /** @nocollapse */
        ProfitBarAnimationChartService.ctorParameters = function () { return []; };
        return ProfitBarAnimationChartService;
    }(ProfitBarAnimationChartData));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TemperatureHumidityService = /** @class */ (function (_super) {
        __extends(TemperatureHumidityService, _super);
        function TemperatureHumidityService() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.temperatureDate = {
                value: 24,
                min: 12,
                max: 30,
            };
            _this.humidityDate = {
                value: 87,
                min: 0,
                max: 100,
            };
            return _this;
        }
        /**
         * @return {?}
         */
        TemperatureHumidityService.prototype.getTemperatureData = /**
         * @return {?}
         */
            function () {
                return rxjs.of(this.temperatureDate);
            };
        /**
         * @return {?}
         */
        TemperatureHumidityService.prototype.getHumidityData = /**
         * @return {?}
         */
            function () {
                return rxjs.of(this.humidityDate);
            };
        TemperatureHumidityService.decorators = [
            { type: core.Injectable }
        ];
        return TemperatureHumidityService;
    }(TemperatureHumidityData));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SolarService = /** @class */ (function (_super) {
        __extends(SolarService, _super);
        function SolarService() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.value = 42;
            return _this;
        }
        /**
         * @return {?}
         */
        SolarService.prototype.getSolarData = /**
         * @return {?}
         */
            function () {
                return rxjs.of(this.value);
            };
        SolarService.decorators = [
            { type: core.Injectable }
        ];
        return SolarService;
    }(SolarData));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TrafficChartService = /** @class */ (function (_super) {
        __extends(TrafficChartService, _super);
        function TrafficChartService() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.data = [
                300, 520, 435, 530,
                730, 620, 660, 860,
            ];
            return _this;
        }
        /**
         * @return {?}
         */
        TrafficChartService.prototype.getTrafficChartData = /**
         * @return {?}
         */
            function () {
                return rxjs.of(this.data);
            };
        TrafficChartService.decorators = [
            { type: core.Injectable }
        ];
        return TrafficChartService;
    }(TrafficChartData));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var StatsBarService = /** @class */ (function (_super) {
        __extends(StatsBarService, _super);
        function StatsBarService() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.statsBarData = [
                300, 520, 435, 530,
                730, 620, 660, 860,
            ];
            return _this;
        }
        /**
         * @return {?}
         */
        StatsBarService.prototype.getStatsBarData = /**
         * @return {?}
         */
            function () {
                return rxjs.of(this.statsBarData);
            };
        StatsBarService.decorators = [
            { type: core.Injectable }
        ];
        return StatsBarService;
    }(StatsBarData));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var CountryOrderService = /** @class */ (function (_super) {
        __extends(CountryOrderService, _super);
        function CountryOrderService() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.countriesCategories = [
                'Sofas',
                'Furniture',
                'Lighting',
                'Tables',
                'Textiles',
            ];
            _this.countriesCategoriesLength = _this.countriesCategories.length;
            return _this;
        }
        /**
         * @private
         * @param {?} nPoints
         * @return {?}
         */
        CountryOrderService.prototype.generateRandomData = /**
         * @private
         * @param {?} nPoints
         * @return {?}
         */
            function (nPoints) {
                return Array.from(Array(nPoints)).map(function () {
                    return Math.round(Math.random() * 20);
                });
            };
        /**
         * @return {?}
         */
        CountryOrderService.prototype.getCountriesCategories = /**
         * @return {?}
         */
            function () {
                return rxjs.of(this.countriesCategories);
            };
        /**
         * @param {?} country
         * @return {?}
         */
        CountryOrderService.prototype.getCountriesCategoriesData = /**
         * @param {?} country
         * @return {?}
         */
            function (country) {
                return rxjs.of(this.generateRandomData(this.countriesCategoriesLength));
            };
        CountryOrderService.decorators = [
            { type: core.Injectable }
        ];
        return CountryOrderService;
    }(CountryOrderData));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var StatsProgressBarService = /** @class */ (function (_super) {
        __extends(StatsProgressBarService, _super);
        function StatsProgressBarService() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.progressInfoData = [
                {
                    title: 'Today’s Profit',
                    value: 572900,
                    activeProgress: 70,
                    description: 'Better than last week (70%)',
                },
                {
                    title: 'New Orders',
                    value: 6378,
                    activeProgress: 30,
                    description: 'Better than last week (30%)',
                },
                {
                    title: 'New Comments',
                    value: 200,
                    activeProgress: 55,
                    description: 'Better than last week (55%)',
                },
            ];
            return _this;
        }
        /**
         * @return {?}
         */
        StatsProgressBarService.prototype.getProgressInfoData = /**
         * @return {?}
         */
            function () {
                return rxjs.of(this.progressInfoData);
            };
        StatsProgressBarService.decorators = [
            { type: core.Injectable }
        ];
        return StatsProgressBarService;
    }(StatsProgressBarData));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var VisitorsAnalyticsService = /** @class */ (function (_super) {
        __extends(VisitorsAnalyticsService, _super);
        function VisitorsAnalyticsService(periodService) {
            var _this = _super.call(this) || this;
            _this.periodService = periodService;
            _this.pieChartValue = 75;
            _this.innerLinePoints = [
                94, 188, 225, 244, 253, 254, 249, 235, 208,
                173, 141, 118, 105, 97, 94, 96, 104, 121, 147,
                183, 224, 265, 302, 333, 358, 375, 388, 395,
                400, 400, 397, 390, 377, 360, 338, 310, 278,
                241, 204, 166, 130, 98, 71, 49, 32, 20, 13, 9,
            ];
            _this.outerLinePoints = [
                85, 71, 59, 50, 45, 42, 41, 44, 58, 88,
                136, 199, 267, 326, 367, 391, 400, 397,
                376, 319, 200, 104, 60, 41, 36, 37, 44,
                55, 74, 100, 131, 159, 180, 193, 199, 200,
                195, 184, 164, 135, 103, 73, 50, 33, 22, 15, 11,
            ];
            return _this;
        }
        /**
         * @private
         * @return {?}
         */
        VisitorsAnalyticsService.prototype.generateOutlineLineData = /**
         * @private
         * @return {?}
         */
            function () {
                /** @type {?} */
                var months = this.periodService.getMonths();
                /** @type {?} */
                var outerLinePointsLength = this.outerLinePoints.length;
                /** @type {?} */
                var monthsLength = months.length;
                return this.outerLinePoints.map(function (p, index) {
                    /** @type {?} */
                    var monthIndex = Math.round(index / 4);
                    /** @type {?} */
                    var label = (index % Math.round(outerLinePointsLength / monthsLength) === 0)
                        ? months[monthIndex]
                        : '';
                    return {
                        label: label,
                        value: p,
                    };
                });
            };
        /**
         * @return {?}
         */
        VisitorsAnalyticsService.prototype.getInnerLineChartData = /**
         * @return {?}
         */
            function () {
                return rxjs.of(this.innerLinePoints);
            };
        /**
         * @return {?}
         */
        VisitorsAnalyticsService.prototype.getOutlineLineChartData = /**
         * @return {?}
         */
            function () {
                return rxjs.of(this.generateOutlineLineData());
            };
        /**
         * @return {?}
         */
        VisitorsAnalyticsService.prototype.getPieChartData = /**
         * @return {?}
         */
            function () {
                return rxjs.of(this.pieChartValue);
            };
        VisitorsAnalyticsService.decorators = [
            { type: core.Injectable }
        ];
        /** @nocollapse */
        VisitorsAnalyticsService.ctorParameters = function () {
            return [
                { type: PeriodsService }
            ];
        };
        return VisitorsAnalyticsService;
    }(VisitorsAnalyticsData));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SecurityCamerasService = /** @class */ (function (_super) {
        __extends(SecurityCamerasService, _super);
        function SecurityCamerasService() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.cameras = [
                {
                    title: 'Camera #1',
                    source: 'assets/images/camera1.jpg',
                },
                {
                    title: 'Camera #2',
                    source: 'assets/images/camera2.jpg',
                },
                {
                    title: 'Camera #3',
                    source: 'assets/images/camera3.jpg',
                },
                {
                    title: 'Camera #4',
                    source: 'assets/images/camera4.jpg',
                },
            ];
            return _this;
        }
        /**
         * @return {?}
         */
        SecurityCamerasService.prototype.getCamerasData = /**
         * @return {?}
         */
            function () {
                return rxjs.of(this.cameras);
            };
        SecurityCamerasService.decorators = [
            { type: core.Injectable }
        ];
        return SecurityCamerasService;
    }(SecurityCamerasData));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var SERVICES = [
        UserService,
        ElectricityService,
        SmartTableService,
        UserActivityService,
        OrdersChartService,
        ProfitChartService,
        TrafficListService,
        PeriodsService,
        EarningService,
        OrdersProfitChartService,
        TrafficBarService,
        ProfitBarAnimationChartService,
        TemperatureHumidityService,
        SolarService,
        TrafficChartService,
        StatsBarService,
        CountryOrderService,
        StatsProgressBarService,
        VisitorsAnalyticsService,
        SecurityCamerasService,
    ];
    var MockDataModule = /** @class */ (function () {
        function MockDataModule() {
        }
        /**
         * @return {?}
         */
        MockDataModule.forRoot = /**
         * @return {?}
         */
            function () {
                return ( /** @type {?} */({
                    ngModule: MockDataModule,
                    providers: __spread(SERVICES),
                }));
            };
        MockDataModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [
                            common.CommonModule,
                        ],
                        providers: __spread(SERVICES),
                    },] }
        ];
        return MockDataModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var socialLinks = [
        {
            url: 'https://github.com/akveo/nebular',
            target: '_blank',
            icon: 'socicon-github',
        },
        {
            url: 'https://www.facebook.com/akveo/',
            target: '_blank',
            icon: 'socicon-facebook',
        },
        {
            url: 'https://twitter.com/akveo_inc',
            target: '_blank',
            icon: 'socicon-twitter',
        },
    ];
    /** @type {?} */
    var DATA_SERVICES = [
        { provide: UserData, useClass: UserService },
        { provide: ElectricityData, useClass: ElectricityService },
        { provide: SmartTableData, useClass: SmartTableService },
        { provide: UserActivityData, useClass: UserActivityService },
        { provide: OrdersChartData, useClass: OrdersChartService },
        { provide: ProfitChartData, useClass: ProfitChartService },
        { provide: TrafficListData, useClass: TrafficListService },
        { provide: EarningData, useClass: EarningService },
        { provide: OrdersProfitChartData, useClass: OrdersProfitChartService },
        { provide: TrafficBarData, useClass: TrafficBarService },
        { provide: ProfitBarAnimationChartData, useClass: ProfitBarAnimationChartService },
        { provide: TemperatureHumidityData, useClass: TemperatureHumidityService },
        { provide: SolarData, useClass: SolarService },
        { provide: TrafficChartData, useClass: TrafficChartService },
        { provide: StatsBarData, useClass: StatsBarService },
        { provide: CountryOrderData, useClass: CountryOrderService },
        { provide: StatsProgressBarData, useClass: StatsProgressBarService },
        { provide: VisitorsAnalyticsData, useClass: VisitorsAnalyticsService },
        { provide: SecurityCamerasData, useClass: SecurityCamerasService },
    ];
    var NbSimpleRoleProvider = /** @class */ (function (_super) {
        __extends(NbSimpleRoleProvider, _super);
        function NbSimpleRoleProvider() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         * @return {?}
         */
        NbSimpleRoleProvider.prototype.getRole = /**
         * @return {?}
         */
            function () {
                // here you could provide any role based on any auth flow
                return rxjs.of('guest');
            };
        return NbSimpleRoleProvider;
    }(security.NbRoleProvider));
    /** @type {?} */
    var NB_CORE_PROVIDERS = __spread(MockDataModule.forRoot().providers, DATA_SERVICES, auth.NbAuthModule.forRoot({
        strategies: [
            auth.NbDummyAuthStrategy.setup({
                name: 'email',
                delay: 3000,
            }),
        ],
        forms: {
            login: {
                socialLinks: socialLinks,
            },
            register: {
                socialLinks: socialLinks,
            },
        },
    }).providers, [
        security.NbSecurityModule.forRoot({
            accessControl: {
                guest: {
                    view: '*',
                },
                user: {
                    parent: 'guest',
                    create: '*',
                    edit: '*',
                    remove: '*',
                },
            },
        }).providers,
        {
            provide: security.NbRoleProvider, useClass: NbSimpleRoleProvider,
        },
        AnalyticsService,
        LayoutService,
        PlayerService,
        StateService,
    ]);
    var CoreModule = /** @class */ (function () {
        function CoreModule(parentModule) {
            throwIfAlreadyLoaded(parentModule, 'CoreModule');
        }
        /**
         * @return {?}
         */
        CoreModule.forRoot = /**
         * @return {?}
         */
            function () {
                return ( /** @type {?} */({
                    ngModule: CoreModule,
                    providers: __spread(NB_CORE_PROVIDERS),
                }));
            };
        CoreModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [
                            common.CommonModule,
                        ],
                        exports: [
                            auth.NbAuthModule,
                        ],
                        declarations: [],
                    },] }
        ];
        /** @nocollapse */
        CoreModule.ctorParameters = function () {
            return [
                { type: CoreModule, decorators: [{ type: core.Optional }, { type: core.SkipSelf }] }
            ];
        };
        return CoreModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AppComponent = /** @class */ (function () {
        function AppComponent(analytics) {
            this.analytics = analytics;
        }
        /**
         * @return {?}
         */
        AppComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                this.analytics.trackPageViews();
            };
        AppComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'ngx-app',
                        template: '<router-outlet></router-outlet>'
                    }] }
        ];
        /** @nocollapse */
        AppComponent.ctorParameters = function () {
            return [
                { type: AnalyticsService }
            ];
        };
        return AppComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var routes = [
        { path: 'pages', loadChildren: 'app/pages/pages.module#PagesModule' },
        {
            path: 'auth',
            component: auth.NbAuthComponent,
            children: [
                {
                    path: '',
                    component: auth.NbLoginComponent,
                },
                {
                    path: 'login',
                    component: auth.NbLoginComponent,
                },
                {
                    path: 'register',
                    component: auth.NbRegisterComponent,
                },
                {
                    path: 'logout',
                    component: auth.NbLogoutComponent,
                },
                {
                    path: 'request-password',
                    component: auth.NbRequestPasswordComponent,
                },
                {
                    path: 'reset-password',
                    component: auth.NbResetPasswordComponent,
                },
            ],
        },
        { path: '', redirectTo: 'pages', pathMatch: 'full' },
        { path: '**', redirectTo: 'pages' },
    ];
    /** @type {?} */
    var config = {
        useHash: true,
    };
    var AppRoutingModule = /** @class */ (function () {
        function AppRoutingModule() {
        }
        AppRoutingModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [router.RouterModule.forRoot(routes, config)],
                        exports: [router.RouterModule],
                    },] }
        ];
        return AppRoutingModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var HeaderComponent = /** @class */ (function () {
        function HeaderComponent(sidebarService, menuService, userService, analyticsService, layoutService) {
            this.sidebarService = sidebarService;
            this.menuService = menuService;
            this.userService = userService;
            this.analyticsService = analyticsService;
            this.layoutService = layoutService;
            this.position = 'normal';
            this.userMenu = [{ title: 'Profile' }, { title: 'Log out' }];
        }
        /**
         * @return {?}
         */
        HeaderComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                var _this = this;
                this.userService.getUsers()
                    .subscribe(function (users) { return _this.user = users.nick; });
            };
        /**
         * @return {?}
         */
        HeaderComponent.prototype.toggleSidebar = /**
         * @return {?}
         */
            function () {
                this.sidebarService.toggle(true, 'menu-sidebar');
                this.layoutService.changeLayoutSize();
                return false;
            };
        /**
         * @return {?}
         */
        HeaderComponent.prototype.goToHome = /**
         * @return {?}
         */
            function () {
                this.menuService.navigateHome();
            };
        /**
         * @return {?}
         */
        HeaderComponent.prototype.startSearch = /**
         * @return {?}
         */
            function () {
                this.analyticsService.trackEvent('startSearch');
            };
        HeaderComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'ngx-header',
                        template: "<div class=\"header-container\"\n     [class.left]=\"position === 'normal'\"\n     [class.right]=\"position === 'inverse'\">\n  <div class=\"logo-containter\">\n    <a (click)=\"toggleSidebar()\" href=\"#\" class=\"navigation\"><i class=\"nb-menu\"></i></a>\n    <div class=\"logo\" (click)=\"goToHome()\">ngx-<span>admin</span></div>\n  </div>\n  <ngx-theme-switcher></ngx-theme-switcher>\n</div>\n\n<div class=\"header-container\">\n  <ngx-layout-direction-switcher></ngx-layout-direction-switcher>\n  <nb-actions\n    size=\"medium\"\n    [class.right]=\"position === 'normal'\"\n    [class.left]=\"position === 'inverse'\">\n    <nb-action *nbIsGranted=\"['view', 'user']\" >\n      <nb-user [nbContextMenu]=\"userMenu\" [name]=\"user?.name\" [picture]=\"user?.picture\"></nb-user>\n    </nb-action>\n    <nb-action class=\"control-item\" disabled icon=\"nb-notifications\"></nb-action>\n    <nb-action class=\"control-item\" icon=\"nb-email\"></nb-action>\n    <nb-action class=\"control-item\">\n      <nb-search type=\"rotate-layout\" (click)=\"startSearch()\"></nb-search>\n    </nb-action>\n  </nb-actions>\n</div>\n",
                        styles: ["/*!\n * @license\n * Copyright Akveo. All Rights Reserved.\n * Licensed under the MIT License. See License.txt in the project root for license information.\n */.nb-theme-default :host{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-pack:justify;-ms-flex-pack:justify;justify-content:space-between;width:100%}.nb-theme-default :host .left{display:-webkit-box;display:-ms-flexbox;display:flex;width:100%;-webkit-box-ordinal-group:1;-ms-flex-order:0;order:0;-webkit-box-orient:horizontal;-webkit-box-direction:normal;-ms-flex-direction:row;flex-direction:row}.nb-theme-default :host .right{-webkit-box-ordinal-group:2;-ms-flex-order:1;order:1;-webkit-box-orient:horizontal;-webkit-box-direction:reverse;-ms-flex-direction:row-reverse;flex-direction:row-reverse}.nb-theme-default :host .logo-containter{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-align:center;-ms-flex-align:center;align-items:center;width:calc(16rem - 1.25rem)}.nb-theme-default :host .control-item{display:block}.nb-theme-default :host .header-container{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-align:center;-ms-flex-align:center;align-items:center;width:auto}.nb-theme-default :host .header-container .navigation{font-size:2.5rem;text-decoration:none}[dir=ltr] .nb-theme-default :host .header-container .navigation{padding-right:1.25rem}[dir=rtl] .nb-theme-default :host .header-container .navigation{padding-left:1.25rem}.nb-theme-default :host .header-container .navigation i{display:block}.nb-theme-default :host .header-container .logo{padding:0 1.25rem;font-size:1.75rem;font-weight:500;white-space:nowrap}[dir=ltr] .nb-theme-default :host .header-container .logo{border-left:1px solid #ebeef2}[dir=rtl] .nb-theme-default :host .header-container .logo{border-right:1px solid #ebeef2}.nb-theme-default :host .header-container .logo span{font-weight:400}.nb-theme-default :host ngx-layout-direction-switcher{margin:0 1.5rem}.nb-theme-default :host ngx-theme-switcher{margin:0 2.25rem}.nb-theme-default :host .toggle-settings /deep/ a{display:block;text-decoration:none;line-height:1}.nb-theme-default :host .toggle-settings /deep/ a i{color:#40dc7e;font-size:2.25rem;border-radius:50%;position:relative;-webkit-animation-name:pulse-light;animation-name:pulse-light}.nb-theme-default :host .toggle-settings /deep/ a i::after{content:' ';background-image:url(data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///yH5BAEAAAAALAAAAAABAAEAAAIBRAA7);border-radius:50%;pointer-events:none;position:absolute;top:52.3%;left:50%;-webkit-transform:translate(-50%,-50%);transform:translate(-50%,-50%);width:13%;height:13%;-webkit-animation:3s linear infinite pulse-light;animation:3s linear infinite pulse-light}@-webkit-keyframes pulse{0%{-webkit-box-shadow:0 0 1px 0 rgba(64,220,126,0);box-shadow:0 0 1px 0 rgba(64,220,126,0)}20%{-webkit-box-shadow:0 0 3px 10px rgba(64,220,126,.4);box-shadow:0 0 3px 10px rgba(64,220,126,.4)}100%{-webkit-box-shadow:0 0 5px 20px rgba(64,220,126,0);box-shadow:0 0 5px 20px rgba(64,220,126,0)}}@keyframes pulse{0%{-webkit-box-shadow:0 0 1px 0 rgba(64,220,126,0);box-shadow:0 0 1px 0 rgba(64,220,126,0)}20%{-webkit-box-shadow:0 0 3px 10px rgba(64,220,126,.4);box-shadow:0 0 3px 10px rgba(64,220,126,.4)}100%{-webkit-box-shadow:0 0 5px 20px rgba(64,220,126,0);box-shadow:0 0 5px 20px rgba(64,220,126,0)}}@media (max-width:991.98px){.nb-theme-default :host nb-action:not(.toggle-settings){border:none}.nb-theme-default :host .control-item{display:none}.nb-theme-default :host .toggle-settings{padding:0}.nb-theme-default :host ngx-layout-direction-switcher{display:none}.nb-theme-default :host ngx-theme-switcher{margin:0 .5rem}}@media (max-width:767.98px){.nb-theme-default :host nb-user /deep/ .user-name{display:none}}@media (max-width:575.98px){.nb-theme-default :host .header-container .logo{font-size:1.25rem}.nb-theme-default :host .toggle-settings{display:none}.nb-theme-default :host ngx-theme-switcher{display:none}.nb-theme-default :host nb-action:not(.toggle-settings){padding:0}}@media (max-width:399.98px){.nb-theme-default :host .right /deep/{display:none}}.nb-theme-cosmic :host{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-pack:justify;-ms-flex-pack:justify;justify-content:space-between;width:100%}.nb-theme-cosmic :host .left{display:-webkit-box;display:-ms-flexbox;display:flex;width:100%;-webkit-box-ordinal-group:1;-ms-flex-order:0;order:0;-webkit-box-orient:horizontal;-webkit-box-direction:normal;-ms-flex-direction:row;flex-direction:row}.nb-theme-cosmic :host .right{-webkit-box-ordinal-group:2;-ms-flex-order:1;order:1;-webkit-box-orient:horizontal;-webkit-box-direction:reverse;-ms-flex-direction:row-reverse;flex-direction:row-reverse}.nb-theme-cosmic :host .logo-containter{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-align:center;-ms-flex-align:center;align-items:center;width:calc(16.25rem - 1.25rem)}.nb-theme-cosmic :host .control-item{display:block}.nb-theme-cosmic :host .header-container{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-align:center;-ms-flex-align:center;align-items:center;width:auto}.nb-theme-cosmic :host .header-container .navigation{font-size:2.5rem;text-decoration:none}[dir=ltr] .nb-theme-cosmic :host .header-container .navigation{padding-right:1.25rem}[dir=rtl] .nb-theme-cosmic :host .header-container .navigation{padding-left:1.25rem}.nb-theme-cosmic :host .header-container .navigation i{display:block}.nb-theme-cosmic :host .header-container .logo{padding:0 1.25rem;font-size:1.75rem;font-weight:500;white-space:nowrap}[dir=ltr] .nb-theme-cosmic :host .header-container .logo{border-left:1px solid #342e73}[dir=rtl] .nb-theme-cosmic :host .header-container .logo{border-right:1px solid #342e73}.nb-theme-cosmic :host .header-container .logo span{font-weight:400}.nb-theme-cosmic :host ngx-layout-direction-switcher{margin:0 1.5rem}.nb-theme-cosmic :host ngx-theme-switcher{margin:0 2.25rem}.nb-theme-cosmic :host .toggle-settings /deep/ a{display:block;text-decoration:none;line-height:1}.nb-theme-cosmic :host .toggle-settings /deep/ a i{color:#00f9a6;font-size:2.25rem;border-radius:50%;position:relative;-webkit-animation-name:pulse-light;animation-name:pulse-light}.nb-theme-cosmic :host .toggle-settings /deep/ a i::after{content:' ';background-image:url(data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///yH5BAEAAAAALAAAAAABAAEAAAIBRAA7);border-radius:50%;pointer-events:none;position:absolute;top:52.3%;left:50%;-webkit-transform:translate(-50%,-50%);transform:translate(-50%,-50%);width:13%;height:13%;-webkit-animation:3s linear infinite pulse;animation:3s linear infinite pulse}@-webkit-keyframes pulse{0%{-webkit-box-shadow:0 0 1px 0 rgba(0,249,166,0);box-shadow:0 0 1px 0 rgba(0,249,166,0)}20%{-webkit-box-shadow:0 0 3px 10px rgba(0,249,166,.4);box-shadow:0 0 3px 10px rgba(0,249,166,.4)}100%{-webkit-box-shadow:0 0 5px 20px rgba(0,249,166,0);box-shadow:0 0 5px 20px rgba(0,249,166,0)}}@keyframes pulse{0%{-webkit-box-shadow:0 0 1px 0 rgba(0,249,166,0);box-shadow:0 0 1px 0 rgba(0,249,166,0)}20%{-webkit-box-shadow:0 0 3px 10px rgba(0,249,166,.4);box-shadow:0 0 3px 10px rgba(0,249,166,.4)}100%{-webkit-box-shadow:0 0 5px 20px rgba(0,249,166,0);box-shadow:0 0 5px 20px rgba(0,249,166,0)}}@media (max-width:991.98px){.nb-theme-cosmic :host nb-action:not(.toggle-settings){border:none}.nb-theme-cosmic :host .control-item{display:none}.nb-theme-cosmic :host .toggle-settings{padding:0}.nb-theme-cosmic :host ngx-layout-direction-switcher{display:none}.nb-theme-cosmic :host ngx-theme-switcher{margin:0 .5rem}}@media (max-width:767.98px){.nb-theme-cosmic :host nb-user /deep/ .user-name{display:none}}@media (max-width:575.98px){.nb-theme-cosmic :host .header-container .logo{font-size:1.25rem}.nb-theme-cosmic :host .toggle-settings{display:none}.nb-theme-cosmic :host ngx-theme-switcher{display:none}.nb-theme-cosmic :host nb-action:not(.toggle-settings){padding:0}}@media (max-width:399.98px){.nb-theme-cosmic :host .right /deep/{display:none}}.nb-theme-corporate :host{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-pack:justify;-ms-flex-pack:justify;justify-content:space-between;width:100%}.nb-theme-corporate :host .left{display:-webkit-box;display:-ms-flexbox;display:flex;width:100%;-webkit-box-ordinal-group:1;-ms-flex-order:0;order:0;-webkit-box-orient:horizontal;-webkit-box-direction:normal;-ms-flex-direction:row;flex-direction:row}.nb-theme-corporate :host .right{-webkit-box-ordinal-group:2;-ms-flex-order:1;order:1;-webkit-box-orient:horizontal;-webkit-box-direction:reverse;-ms-flex-direction:row-reverse;flex-direction:row-reverse}.nb-theme-corporate :host .logo-containter{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-align:center;-ms-flex-align:center;align-items:center;width:calc(16rem - 1.25rem)}.nb-theme-corporate :host .control-item{display:block}.nb-theme-corporate :host .header-container{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-align:center;-ms-flex-align:center;align-items:center;width:auto}.nb-theme-corporate :host .header-container .navigation{font-size:2.5rem;text-decoration:none}[dir=ltr] .nb-theme-corporate :host .header-container .navigation{padding-right:1.25rem}[dir=rtl] .nb-theme-corporate :host .header-container .navigation{padding-left:1.25rem}.nb-theme-corporate :host .header-container .navigation i{display:block}.nb-theme-corporate :host .header-container .logo{padding:0 1.25rem;font-size:1.75rem;font-weight:500;white-space:nowrap}[dir=ltr] .nb-theme-corporate :host .header-container .logo{border-left:1px solid #cdd5dc}[dir=rtl] .nb-theme-corporate :host .header-container .logo{border-right:1px solid #cdd5dc}.nb-theme-corporate :host .header-container .logo span{font-weight:400}[dir=ltr] .nb-theme-corporate :host nb-action{border-left-color:#3f4550}[dir=rtl] .nb-theme-corporate :host nb-action{border-right-color:#3f4550}[dir=ltr] .nb-theme-corporate :host .header-container .logo{border:none}[dir=rtl] .nb-theme-corporate :host .header-container .logo{border:none}.nb-theme-corporate :host .header-container /deep/ ngx-theme-switcher .dropdown-toggle{color:#fff;background:0 0}.nb-theme-corporate :host ngx-layout-direction-switcher{margin:0 1.5rem}.nb-theme-corporate :host ngx-theme-switcher{margin:0 2.25rem}@media (max-width:1399.98px){.nb-theme-default :host ngx-layout-direction-switcher{display:none}.nb-theme-cosmic :host ngx-layout-direction-switcher{display:none}.nb-theme-corporate :host ngx-layout-direction-switcher{display:none}}.nb-theme-corporate :host .toggle-settings /deep/ a{display:block;text-decoration:none;line-height:1}.nb-theme-corporate :host .toggle-settings /deep/ a i{color:#a4abb3;font-size:2.25rem;border-radius:50%;position:relative;-webkit-animation-name:pulse-light;animation-name:pulse-light}.nb-theme-corporate :host .toggle-settings /deep/ a i::after{content:' ';background-image:url(data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///yH5BAEAAAAALAAAAAABAAEAAAIBRAA7);border-radius:50%;pointer-events:none;position:absolute;top:52.3%;left:50%;-webkit-transform:translate(-50%,-50%);transform:translate(-50%,-50%);width:13%;height:13%;-webkit-animation:3s linear infinite pulse;animation:3s linear infinite pulse}@-webkit-keyframes pulse{0%{-webkit-box-shadow:0 0 1px 0 rgba(164,171,179,0);box-shadow:0 0 1px 0 rgba(164,171,179,0)}20%{-webkit-box-shadow:0 0 3px 10px rgba(164,171,179,.4);box-shadow:0 0 3px 10px rgba(164,171,179,.4)}100%{-webkit-box-shadow:0 0 5px 20px rgba(164,171,179,0);box-shadow:0 0 5px 20px rgba(164,171,179,0)}}@keyframes pulse{0%{-webkit-box-shadow:0 0 1px 0 rgba(164,171,179,0);box-shadow:0 0 1px 0 rgba(164,171,179,0)}20%{-webkit-box-shadow:0 0 3px 10px rgba(164,171,179,.4);box-shadow:0 0 3px 10px rgba(164,171,179,.4)}100%{-webkit-box-shadow:0 0 5px 20px rgba(164,171,179,0);box-shadow:0 0 5px 20px rgba(164,171,179,0)}}@-webkit-keyframes pulse-light{0%{-webkit-box-shadow:0 0 1px 0 rgba(115,255,208,0);box-shadow:0 0 1px 0 rgba(115,255,208,0)}20%{-webkit-box-shadow:0 0 3px 10px rgba(115,255,208,.4);box-shadow:0 0 3px 10px rgba(115,255,208,.4)}100%{-webkit-box-shadow:0 0 5px 20px rgba(115,255,208,0);box-shadow:0 0 5px 20px rgba(115,255,208,0)}}@keyframes pulse-light{0%{-webkit-box-shadow:0 0 1px 0 rgba(115,255,208,0);box-shadow:0 0 1px 0 rgba(115,255,208,0)}20%{-webkit-box-shadow:0 0 3px 10px rgba(115,255,208,.4);box-shadow:0 0 3px 10px rgba(115,255,208,.4)}100%{-webkit-box-shadow:0 0 5px 20px rgba(115,255,208,0);box-shadow:0 0 5px 20px rgba(115,255,208,0)}}@media (max-width:991.98px){.nb-theme-corporate :host nb-action:not(.toggle-settings){border:none}.nb-theme-corporate :host .control-item{display:none}.nb-theme-corporate :host .toggle-settings{padding:0}.nb-theme-corporate :host ngx-layout-direction-switcher{display:none}.nb-theme-corporate :host ngx-theme-switcher{margin:0 .5rem}}@media (max-width:767.98px){.nb-theme-corporate :host nb-user /deep/ .user-name{display:none}}@media (max-width:575.98px){.nb-theme-corporate :host .header-container .logo{font-size:1.25rem}.nb-theme-corporate :host .toggle-settings{display:none}.nb-theme-corporate :host ngx-theme-switcher{display:none}.nb-theme-corporate :host nb-action:not(.toggle-settings){padding:0}}@media (max-width:399.98px){.nb-theme-corporate :host .right /deep/{display:none}}"]
                    }] }
        ];
        /** @nocollapse */
        HeaderComponent.ctorParameters = function () {
            return [
                { type: theme.NbSidebarService },
                { type: theme.NbMenuService },
                { type: UserData },
                { type: AnalyticsService },
                { type: LayoutService }
            ];
        };
        HeaderComponent.propDecorators = {
            position: [{ type: core.Input }]
        };
        return HeaderComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var FooterComponent = /** @class */ (function () {
        function FooterComponent() {
        }
        FooterComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'ngx-footer',
                        template: "\n    <span class=\"created-by\">Created with \u2665 by <b><a href=\"https://akveo.com\" target=\"_blank\">Akveo</a></b> 2017</span>\n    <div class=\"socials\">\n      <a href=\"#\" target=\"_blank\" class=\"ion ion-social-github\"></a>\n      <a href=\"#\" target=\"_blank\" class=\"ion ion-social-facebook\"></a>\n      <a href=\"#\" target=\"_blank\" class=\"ion ion-social-twitter\"></a>\n      <a href=\"#\" target=\"_blank\" class=\"ion ion-social-linkedin\"></a>\n    </div>\n  ",
                        styles: ["/*!\n * @license\n * Copyright Akveo. All Rights Reserved.\n * Licensed under the MIT License. See License.txt in the project root for license information.\n */.nb-theme-default :host{width:100%;display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-pack:justify;-ms-flex-pack:justify;justify-content:space-between;-webkit-box-align:center;-ms-flex-align:center;align-items:center}.nb-theme-default :host .socials{font-size:2rem}.nb-theme-default :host .socials a{padding:.4rem;color:#a4abb3;-webkit-transition:color .1s ease-out;transition:color .1s ease-out}.nb-theme-default :host .socials a:hover{color:#2a2a2a}@media (max-width:575.98px){.nb-theme-default :host .socials{font-size:1.5rem}}.nb-theme-cosmic :host{width:100%;display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-pack:justify;-ms-flex-pack:justify;justify-content:space-between;-webkit-box-align:center;-ms-flex-align:center;align-items:center}.nb-theme-cosmic :host .socials{font-size:2rem}.nb-theme-cosmic :host .socials a{padding:.4rem;color:#a1a1e5;-webkit-transition:color .1s ease-out;transition:color .1s ease-out}.nb-theme-cosmic :host .socials a:hover{color:#fff}@media (max-width:575.98px){.nb-theme-cosmic :host .socials{font-size:1.5rem}}.nb-theme-corporate :host{width:100%;display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-pack:justify;-ms-flex-pack:justify;justify-content:space-between;-webkit-box-align:center;-ms-flex-align:center;align-items:center}.nb-theme-corporate :host .socials{font-size:2rem}.nb-theme-corporate :host .socials a{padding:.4rem;color:#a4abb3;-webkit-transition:color .1s ease-out;transition:color .1s ease-out}.nb-theme-corporate :host .socials a:hover{color:#181818}@media (max-width:575.98px){.nb-theme-corporate :host .socials{font-size:1.5rem}}"]
                    }] }
        ];
        return FooterComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SearchInputComponent = /** @class */ (function () {
        function SearchInputComponent() {
            this.search = new core.EventEmitter();
            this.isInputShown = false;
        }
        /**
         * @return {?}
         */
        SearchInputComponent.prototype.showInput = /**
         * @return {?}
         */
            function () {
                this.isInputShown = true;
                this.input.nativeElement.focus();
            };
        /**
         * @return {?}
         */
        SearchInputComponent.prototype.hideInput = /**
         * @return {?}
         */
            function () {
                this.isInputShown = false;
            };
        /**
         * @param {?} val
         * @return {?}
         */
        SearchInputComponent.prototype.onInput = /**
         * @param {?} val
         * @return {?}
         */
            function (val) {
                this.search.emit(val);
            };
        SearchInputComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'ngx-search-input',
                        template: "\n    <i class=\"control-icon ion ion-ios-search\"\n       (click)=\"showInput()\"></i>\n    <input placeholder=\"Type your search request here...\"\n           #input\n           [class.hidden]=\"!isInputShown\"\n           (blur)=\"hideInput()\"\n           (input)=\"onInput($event)\">\n  ",
                        styles: [":host{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-align:center;-ms-flex-align:center;align-items:center}:host i.control-icon::before{font-size:2.3rem}:host i.control-icon:hover{cursor:pointer}:host input{border:none;outline:0;margin-left:1rem;width:15rem;-webkit-transition:width .2s;transition:width .2s}:host input.hidden{width:0;margin:0}:host /deep/ search-input input{background:0 0}"]
                    }] }
        ];
        SearchInputComponent.propDecorators = {
            input: [{ type: core.ViewChild, args: ['input',] }],
            search: [{ type: core.Output }]
        };
        return SearchInputComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TinyMCEComponent = /** @class */ (function () {
        function TinyMCEComponent(host) {
            this.host = host;
            this.editorKeyup = new core.EventEmitter();
        }
        /**
         * @return {?}
         */
        TinyMCEComponent.prototype.ngAfterViewInit = /**
         * @return {?}
         */
            function () {
                var _this = this;
                tinymce.init({
                    target: this.host.nativeElement,
                    plugins: ['link', 'paste', 'table'],
                    skin_url: 'assets/skins/lightgray',
                    setup: function (editor) {
                        _this.editor = editor;
                        editor.on('keyup', function () {
                            _this.editorKeyup.emit(editor.getContent());
                        });
                    },
                    height: '320',
                });
            };
        /**
         * @return {?}
         */
        TinyMCEComponent.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                tinymce.remove(this.editor);
            };
        TinyMCEComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'ngx-tiny-mce',
                        template: ''
                    }] }
        ];
        /** @nocollapse */
        TinyMCEComponent.ctorParameters = function () {
            return [
                { type: core.ElementRef }
            ];
        };
        TinyMCEComponent.propDecorators = {
            editorKeyup: [{ type: core.Output }]
        };
        return TinyMCEComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ThemeSettingsComponent = /** @class */ (function () {
        function ThemeSettingsComponent(stateService) {
            var _this = this;
            this.stateService = stateService;
            this.layouts = [];
            this.sidebars = [];
            this.stateService.getLayoutStates()
                .subscribe(function (layouts) { return _this.layouts = layouts; });
            this.stateService.getSidebarStates()
                .subscribe(function (sidebars) { return _this.sidebars = sidebars; });
        }
        /**
         * @param {?} layout
         * @return {?}
         */
        ThemeSettingsComponent.prototype.layoutSelect = /**
         * @param {?} layout
         * @return {?}
         */
            function (layout) {
                this.layouts = this.layouts.map(function (l) {
                    l.selected = false;
                    return l;
                });
                layout.selected = true;
                this.stateService.setLayoutState(layout);
                return false;
            };
        /**
         * @param {?} sidebars
         * @return {?}
         */
        ThemeSettingsComponent.prototype.sidebarSelect = /**
         * @param {?} sidebars
         * @return {?}
         */
            function (sidebars) {
                this.sidebars = this.sidebars.map(function (s) {
                    s.selected = false;
                    return s;
                });
                sidebars.selected = true;
                this.stateService.setSidebarState(sidebars);
                return false;
            };
        ThemeSettingsComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'ngx-theme-settings',
                        template: "\n    <h6>LAYOUTS</h6>\n    <div class=\"settings-row\">\n      <a *ngFor=\"let layout of layouts\"\n         href=\"#\"\n         [class.selected]=\"layout.selected\"\n         [attr.title]=\"layout.name\"\n         (click)=\"layoutSelect(layout)\">\n        <i [attr.class]=\"layout.icon\"></i>\n      </a>\n    </div>\n    <h6>SIDEBAR</h6>\n    <div class=\"settings-row\">\n      <a *ngFor=\"let sidebar of sidebars\"\n         href=\"#\"\n         [class.selected]=\"sidebar.selected\"\n         [attr.title]=\"sidebar.name\"\n         (click)=\"sidebarSelect(sidebar)\">\n        <i [attr.class]=\"sidebar.icon\"></i>\n      </a>\n    </div>\n    <div class=\"settings-row\">\n      <div class=\"switcher\">\n        <ngx-layout-direction-switcher></ngx-layout-direction-switcher>\n      </div>\n    </div>\n  ",
                        styles: [".nb-theme-default :host h6{margin-bottom:.875rem;text-align:center;font-weight:700;text-shadow:0 0 8px rgba(0,0,0,.16)}.nb-theme-default :host .settings-row{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-orient:horizontal;-webkit-box-direction:normal;-ms-flex-direction:row;flex-direction:row;-webkit-box-pack:center;-ms-flex-pack:center;justify-content:center;-webkit-box-align:center;-ms-flex-align:center;align-items:center;-ms-flex-wrap:wrap;flex-wrap:wrap;width:100%;margin:0 0 2.575rem}.nb-theme-default :host .settings-row a{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-pack:center;-ms-flex-pack:center;justify-content:center;-ms-flex-line-pack:center;align-content:center;-webkit-box-align:center;-ms-flex-align:center;align-items:center;width:4.15rem;height:4.15rem;border-radius:.375rem;background-color:#fff;border:2px solid transparent;margin:.875rem;text-decoration:none;font-size:2.25rem;color:#a4abb3}.nb-theme-default :host .settings-row a.selected{color:#40dc7e;border-color:#40dc7e}.nb-theme-default :host .settings{margin-bottom:1em}.nb-theme-default :host .switcher{margin-bottom:1rem;font-size:1.524rem;width:12rem}.nb-theme-default :host .switcher /deep/ ngx-switcher .switch-label span{font-size:1em;font-weight:400}.nb-theme-default :host .switcher /deep/ ngx-switcher .switch-label span.first,.nb-theme-default :host .switcher /deep/ ngx-switcher .switch-label span.second{font-size:1rem}.nb-theme-default :host .switcher /deep/ ngx-switcher .switch{height:1.5em;width:3em}.nb-theme-default :host .switcher /deep/ ngx-switcher .switch .slider::before{height:1.5em;width:1.5em}[dir=ltr] .nb-theme-default :host .switcher /deep/ ngx-switcher .switch input:checked+.slider::before{-webkit-transform:translateX(1.5em)!important;transform:translateX(1.5em)!important}[dir=rtl] .nb-theme-default :host .switcher /deep/ ngx-switcher .switch input:checked+.slider::before{-webkit-transform:translateX(-1.5em)!important;transform:translateX(-1.5em)!important}.nb-theme-cosmic :host h6{margin-bottom:.875rem;text-align:center;font-weight:700;text-shadow:0 0 8px rgba(0,0,0,.16)}.nb-theme-cosmic :host .settings-row{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-orient:horizontal;-webkit-box-direction:normal;-ms-flex-direction:row;flex-direction:row;-webkit-box-pack:center;-ms-flex-pack:center;justify-content:center;-webkit-box-align:center;-ms-flex-align:center;align-items:center;-ms-flex-wrap:wrap;flex-wrap:wrap;width:100%;margin:0 0 2.575rem}.nb-theme-cosmic :host .settings-row a{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-pack:center;-ms-flex-pack:center;justify-content:center;-ms-flex-line-pack:center;align-content:center;-webkit-box-align:center;-ms-flex-align:center;align-items:center;width:4.15rem;height:4.15rem;border-radius:.5rem;border:2px solid #3e367e;margin:.875rem;text-decoration:none;font-size:2.25rem;color:#a1a1e5;-webkit-box-shadow:0 4px 14px 0 rgba(19,19,94,.4);box-shadow:0 4px 14px 0 rgba(19,19,94,.4);background-color:#3e367e}.nb-theme-cosmic :host .settings-row a.selected{border-color:#00d977;color:#00f9a6}.nb-theme-cosmic :host .settings{margin-bottom:1em}.nb-theme-cosmic :host .switcher{margin-bottom:1rem;font-size:1.524rem;width:12rem}.nb-theme-cosmic :host .switcher /deep/ ngx-switcher .switch-label span{font-size:1em;font-weight:400}.nb-theme-cosmic :host .switcher /deep/ ngx-switcher .switch-label span.first,.nb-theme-cosmic :host .switcher /deep/ ngx-switcher .switch-label span.second{font-size:1rem}.nb-theme-cosmic :host .switcher /deep/ ngx-switcher .switch{height:1.5em;width:3em}.nb-theme-cosmic :host .switcher /deep/ ngx-switcher .switch .slider::before{height:1.5em;width:1.5em}[dir=ltr] .nb-theme-cosmic :host .switcher /deep/ ngx-switcher .switch input:checked+.slider::before{-webkit-transform:translateX(1.5em)!important;transform:translateX(1.5em)!important}[dir=rtl] .nb-theme-cosmic :host .switcher /deep/ ngx-switcher .switch input:checked+.slider::before{-webkit-transform:translateX(-1.5em)!important;transform:translateX(-1.5em)!important}.nb-theme-cosmic :host .switcher /deep/ ngx-switcher .switch .slider{background-color:#3d3780}.nb-theme-corporate :host h6{margin-bottom:.875rem;text-align:center;font-weight:700;text-shadow:0 0 8px rgba(0,0,0,.16)}.nb-theme-corporate :host .settings-row{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-orient:horizontal;-webkit-box-direction:normal;-ms-flex-direction:row;flex-direction:row;-webkit-box-pack:center;-ms-flex-pack:center;justify-content:center;-webkit-box-align:center;-ms-flex-align:center;align-items:center;-ms-flex-wrap:wrap;flex-wrap:wrap;width:100%;margin:0 0 2.575rem}.nb-theme-corporate :host .settings-row a{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-pack:center;-ms-flex-pack:center;justify-content:center;-ms-flex-line-pack:center;align-content:center;-webkit-box-align:center;-ms-flex-align:center;align-items:center;width:4.15rem;height:4.15rem;border-radius:.17rem;background-color:#fff;border:2px solid transparent;margin:.875rem;text-decoration:none;font-size:2.25rem;color:#a4abb3}.nb-theme-corporate :host .settings-row a.selected{color:#5dcfe3;border-color:#5dcfe3}.nb-theme-corporate :host .settings{margin-bottom:1em}.nb-theme-corporate :host .switcher{margin-bottom:1rem;font-size:1.524rem;width:12rem}.nb-theme-corporate :host .switcher /deep/ ngx-switcher .switch-label span{font-size:1em;font-weight:400}.nb-theme-corporate :host .switcher /deep/ ngx-switcher .switch-label span.first,.nb-theme-corporate :host .switcher /deep/ ngx-switcher .switch-label span.second{font-size:1rem}.nb-theme-corporate :host .switcher /deep/ ngx-switcher .switch{height:1.5em;width:3em}.nb-theme-corporate :host .switcher /deep/ ngx-switcher .switch .slider::before{height:1.5em;width:1.5em}[dir=ltr] .nb-theme-corporate :host .switcher /deep/ ngx-switcher .switch input:checked+.slider::before{-webkit-transform:translateX(1.5em)!important;transform:translateX(1.5em)!important}[dir=rtl] .nb-theme-corporate :host .switcher /deep/ ngx-switcher .switch input:checked+.slider::before{-webkit-transform:translateX(-1.5em)!important;transform:translateX(-1.5em)!important}"]
                    }] }
        ];
        /** @nocollapse */
        ThemeSettingsComponent.ctorParameters = function () {
            return [
                { type: StateService }
            ];
        };
        return ThemeSettingsComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ThemeSwitcherListComponent = /** @class */ (function () {
        function ThemeSwitcherListComponent(themeService, analyticsService) {
            this.themeService = themeService;
            this.analyticsService = analyticsService;
            this.themes = [
                {
                    title: 'Light',
                    key: 'default',
                },
                {
                    title: 'Cosmic',
                    key: 'cosmic',
                },
                {
                    title: 'Corporate',
                    key: 'corporate',
                },
            ];
        }
        /**
         * @param {?} themeKey
         * @return {?}
         */
        ThemeSwitcherListComponent.prototype.onToggleTheme = /**
         * @param {?} themeKey
         * @return {?}
         */
            function (themeKey) {
                this.themeService.changeTheme(themeKey);
                this.analyticsService.trackEvent('switchTheme');
                this.popover.hide();
            };
        ThemeSwitcherListComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'ngx-theme-switcher-list',
                        template: "\n    <ul class=\"themes-switcher-list\">\n      <li class=\"themes-switcher-item\"\n          *ngFor=\"let theme of themes\"\n          (click)=\"onToggleTheme(theme.key)\">\n        <i class=\"nb-drop\" [ngClass]=\"'drop-icon-' + theme.key\"></i>\n        <span>{{ theme.title }}</span>\n      </li>\n    </ul>\n  ",
                        styles: ["/*!\n * @license\n * Copyright Akveo. All Rights Reserved.\n * Licensed under the MIT License. See License.txt in the project root for license information.\n */.nb-theme-default :host /deep/ .themes-switcher-list{padding:1rem 2rem 1.25rem .5rem;margin:0}[dir=ltr] .nb-theme-default :host /deep/ .themes-switcher-list{text-align:start}[dir=rtl] .nb-theme-default :host /deep/ .themes-switcher-list{text-align:end}.nb-theme-default :host /deep/ .themes-switcher-list .themes-switcher-item{list-style:none;cursor:pointer}.nb-theme-default :host /deep/ .themes-switcher-list .themes-switcher-item:hover span{opacity:.5}.nb-theme-default :host /deep/ .themes-switcher-list .themes-switcher-item i{font-size:2rem}.nb-theme-default :host /deep/ .themes-switcher-list .themes-switcher-item i.drop-icon-default{color:#0bbb79;background:-webkit-linear-gradient(#01dbb5,#0bbb79)}.nb-theme-default :host /deep/ .themes-switcher-list .themes-switcher-item i.drop-icon-cosmic{color:#7958fa;background:-webkit-linear-gradient(#a258fe,#7958fa)}.nb-theme-default :host /deep/ .themes-switcher-list .themes-switcher-item i.drop-icon-corporate{color:#a7a2be;background:-webkit-linear-gradient(#e9e8eb,#a7a2be)}.nb-theme-default :host /deep/ .themes-switcher-list .themes-switcher-item i.drop-icon-corporate,.nb-theme-default :host /deep/ .themes-switcher-list .themes-switcher-item i.drop-icon-cosmic,.nb-theme-default :host /deep/ .themes-switcher-list .themes-switcher-item i.drop-icon-default{-webkit-background-clip:text;-webkit-text-fill-color:transparent}.nb-theme-default :host /deep/ .themes-switcher-list .themes-switcher-item span{font-weight:300;vertical-align:super;padding-left:1rem;color:#2a2a2a}.nb-theme-cosmic :host /deep/ .themes-switcher-list{padding:1rem 2rem 1.25rem .5rem;margin:0}[dir=ltr] .nb-theme-cosmic :host /deep/ .themes-switcher-list{text-align:start}[dir=rtl] .nb-theme-cosmic :host /deep/ .themes-switcher-list{text-align:end}.nb-theme-cosmic :host /deep/ .themes-switcher-list .themes-switcher-item{list-style:none;cursor:pointer}.nb-theme-cosmic :host /deep/ .themes-switcher-list .themes-switcher-item:hover span{opacity:.5}.nb-theme-cosmic :host /deep/ .themes-switcher-list .themes-switcher-item i{font-size:2rem}.nb-theme-cosmic :host /deep/ .themes-switcher-list .themes-switcher-item i.drop-icon-default{color:#0bbb79;background:-webkit-linear-gradient(#01dbb5,#0bbb79)}.nb-theme-cosmic :host /deep/ .themes-switcher-list .themes-switcher-item i.drop-icon-cosmic{color:#7958fa;background:-webkit-linear-gradient(#a258fe,#7958fa)}.nb-theme-cosmic :host /deep/ .themes-switcher-list .themes-switcher-item i.drop-icon-corporate{color:#a7a2be;background:-webkit-linear-gradient(#e9e8eb,#a7a2be)}.nb-theme-cosmic :host /deep/ .themes-switcher-list .themes-switcher-item i.drop-icon-corporate,.nb-theme-cosmic :host /deep/ .themes-switcher-list .themes-switcher-item i.drop-icon-cosmic,.nb-theme-cosmic :host /deep/ .themes-switcher-list .themes-switcher-item i.drop-icon-default{-webkit-background-clip:text;-webkit-text-fill-color:transparent}.nb-theme-cosmic :host /deep/ .themes-switcher-list .themes-switcher-item span{font-weight:300;vertical-align:super;padding-left:1rem;color:#fff}.nb-theme-corporate :host /deep/ .themes-switcher-list{padding:1rem 2rem 1.25rem .5rem;margin:0}[dir=ltr] .nb-theme-corporate :host /deep/ .themes-switcher-list{text-align:start}[dir=rtl] .nb-theme-corporate :host /deep/ .themes-switcher-list{text-align:end}.nb-theme-corporate :host /deep/ .themes-switcher-list .themes-switcher-item{list-style:none;cursor:pointer}.nb-theme-corporate :host /deep/ .themes-switcher-list .themes-switcher-item:hover span{opacity:.5}.nb-theme-corporate :host /deep/ .themes-switcher-list .themes-switcher-item i{font-size:2rem}.nb-theme-corporate :host /deep/ .themes-switcher-list .themes-switcher-item i.drop-icon-default{color:#0bbb79;background:-webkit-linear-gradient(#01dbb5,#0bbb79)}.nb-theme-corporate :host /deep/ .themes-switcher-list .themes-switcher-item i.drop-icon-cosmic{color:#7958fa;background:-webkit-linear-gradient(#a258fe,#7958fa)}.nb-theme-corporate :host /deep/ .themes-switcher-list .themes-switcher-item i.drop-icon-corporate{color:#a7a2be;background:-webkit-linear-gradient(#e9e8eb,#a7a2be)}.nb-theme-corporate :host /deep/ .themes-switcher-list .themes-switcher-item i.drop-icon-corporate,.nb-theme-corporate :host /deep/ .themes-switcher-list .themes-switcher-item i.drop-icon-cosmic,.nb-theme-corporate :host /deep/ .themes-switcher-list .themes-switcher-item i.drop-icon-default{-webkit-background-clip:text;-webkit-text-fill-color:transparent}.nb-theme-corporate :host /deep/ .themes-switcher-list .themes-switcher-item span{font-weight:300;vertical-align:super;padding-left:1rem;color:#181818}@media (max-width:575.98px){.nb-theme-default :host /deep/ .themes-switcher-list{display:none}.nb-theme-cosmic :host /deep/ .themes-switcher-list{display:none}.nb-theme-corporate :host /deep/ .themes-switcher-list{display:none}}"]
                    }] }
        ];
        /** @nocollapse */
        ThemeSwitcherListComponent.ctorParameters = function () {
            return [
                { type: theme.NbThemeService },
                { type: AnalyticsService }
            ];
        };
        ThemeSwitcherListComponent.propDecorators = {
            popover: [{ type: core.Input }]
        };
        return ThemeSwitcherListComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ThemeSwitcherComponent = /** @class */ (function () {
        function ThemeSwitcherComponent() {
            this.showTitle = true;
            this.switcherListComponent = ThemeSwitcherListComponent;
        }
        ThemeSwitcherComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'ngx-theme-switcher',
                        template: "<div class=\"themes-switcher\"\n     [nbPopover]=\"switcherListComponent\"\n     nbPopoverPlacement=\"bottom\"\n     [nbPopoverContext]=\"{popover: popover}\">\n  <i class=\"nb-drops\"></i>\n  <span *ngIf=\"showTitle\">Themes</span>\n</div>\n",
                        styles: [".nb-theme-default :host .themes-switcher{display:-webkit-box;display:-ms-flexbox;display:flex;font-size:1.25rem;padding:.8rem 1.25rem;-webkit-box-align:center;-ms-flex-align:center;align-items:center;cursor:pointer;background-color:#ebeff5;border-radius:.375rem}.nb-theme-default :host .themes-switcher:hover{background-color:#f5f7fa}.nb-theme-default :host .themes-switcher span{margin:0 1.2rem}.nb-theme-default :host .themes-switcher i{font-size:1.8rem;border-radius:50%;position:relative;color:#40dc7e}.nb-theme-default :host .themes-switcher i::before{background:-webkit-linear-gradient(#01dbb5,#0bbb79);-webkit-background-clip:text;-webkit-text-fill-color:transparent}.nb-theme-cosmic :host .themes-switcher{display:-webkit-box;display:-ms-flexbox;display:flex;font-size:1.25rem;padding:.8rem 1.25rem;-webkit-box-align:center;-ms-flex-align:center;align-items:center;cursor:pointer;background-color:#4e41a5;border-radius:.5rem}.nb-theme-cosmic :host .themes-switcher:hover{background-color:#675cb2}.nb-theme-cosmic :host .themes-switcher span{margin:0 1.2rem}.nb-theme-cosmic :host .themes-switcher i{color:#7659ff;font-size:1.8rem;border-radius:50%;position:relative}.nb-theme-cosmic :host .themes-switcher i::before{background:-webkit-linear-gradient(#a258fe,#7958fa);-webkit-background-clip:text;-webkit-text-fill-color:transparent}.nb-theme-corporate :host .themes-switcher{display:-webkit-box;display:-ms-flexbox;display:flex;font-size:1.25rem;padding:.8rem 1.25rem;-webkit-box-align:center;-ms-flex-align:center;align-items:center;cursor:pointer;background-color:#2b2d34;border-radius:.17rem}.nb-theme-corporate :host .themes-switcher:hover{background-color:#494a50}.nb-theme-corporate :host .themes-switcher span{margin:0 1.2rem}.nb-theme-corporate :host .themes-switcher i{font-size:1.8rem;border-radius:50%;position:relative;color:#a4abb3}.nb-theme-corporate :host .themes-switcher i::before{background:-webkit-linear-gradient(#e9e8eb,#a7a2be);-webkit-background-clip:text;-webkit-text-fill-color:transparent}"]
                    }] }
        ];
        ThemeSwitcherComponent.propDecorators = {
            popover: [{ type: core.ViewChild, args: [theme.NbPopoverDirective,] }],
            showTitle: [{ type: core.Input }]
        };
        return ThemeSwitcherComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var SwitcherComponent = /** @class */ (function () {
        function SwitcherComponent() {
            this.valueChange = new core.EventEmitter();
        }
        /**
         * @return {?}
         */
        SwitcherComponent.prototype.isFirstValue = /**
         * @return {?}
         */
            function () {
                return this.value === this.firstValue;
            };
        /**
         * @return {?}
         */
        SwitcherComponent.prototype.isSecondValue = /**
         * @return {?}
         */
            function () {
                return this.value === this.secondValue;
            };
        /**
         * @return {?}
         */
        SwitcherComponent.prototype.currentValueLabel = /**
         * @return {?}
         */
            function () {
                return this.isFirstValue()
                    ? this.firstValueLabel
                    : this.secondValueLabel;
            };
        /**
         * @return {?}
         */
        SwitcherComponent.prototype.changeValue = /**
         * @return {?}
         */
            function () {
                this.value = this.isFirstValue()
                    ? this.secondValue
                    : this.firstValue;
                this.valueChange.emit(this.value);
            };
        SwitcherComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'ngx-switcher',
                        template: "\n    <label class=\"switch-label\" [class.vertical]=\"vertical\">\n      <span class=\"first\" [class.active]=\"vertical || isFirstValue()\">\n        {{vertical ? currentValueLabel() : firstValueLabel}}\n      </span>\n\n      <div class=\"switch\">\n        <input type=\"checkbox\" [checked]=\"isSecondValue()\" (change)=\"changeValue()\">\n        <span class=\"slider\"></span>\n      </div>\n\n      <span\n        *ngIf=\"!vertical\"\n        class=\"second\"\n        [class.active]=\"isSecondValue()\"\n      >\n          {{secondValueLabel}}\n      </span>\n    </label>\n  ",
                        styles: ["/*!\n * @license\n * Copyright Akveo. All Rights Reserved.\n * Licensed under the MIT License. See License.txt in the project root for license information.\n */.nb-theme-default :host .switch-label{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-pack:justify;-ms-flex-pack:justify;justify-content:space-between;-webkit-box-align:center;-ms-flex-align:center;align-items:center;cursor:pointer;margin:0}.nb-theme-default :host .switch-label.vertical{-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column;-webkit-box-align:start;-ms-flex-align:start;align-items:flex-start}.nb-theme-default :host .switch-label.vertical .first,.nb-theme-default :host .switch-label.vertical .second{padding:0}.nb-theme-default :host .switch-label.vertical .switch{margin-top:.5em}.nb-theme-default :host .switch-label>span{font-size:1.125rem;font-weight:600;-webkit-transition:opacity .3s;transition:opacity .3s;color:#a4abb3}[dir=ltr] .nb-theme-default :host .switch-label>span.first{padding-right:10px}[dir=rtl] .nb-theme-default :host .switch-label>span.first{padding-left:10px}[dir=ltr] .nb-theme-default :host .switch-label>span.second{padding-left:10px}[dir=rtl] .nb-theme-default :host .switch-label>span.second{padding-right:10px}.nb-theme-default :host .switch-label>span.active{color:#4b4b4b}.nb-theme-default :host .switch-label>span:active{opacity:.78}.nb-theme-default :host .switch{position:relative;display:inline-block;width:3rem;height:1.5rem;margin:0}.nb-theme-default :host .switch input{display:none}[dir=ltr] .nb-theme-default :host .switch input:checked+.slider::before{-webkit-transform:translateX(1.5rem);transform:translateX(1.5rem)}[dir=rtl] .nb-theme-default :host .switch input:checked+.slider::before{-webkit-transform:translateX(-1.5rem);transform:translateX(-1.5rem)}.nb-theme-default :host .switch .slider{position:absolute;top:0;left:0;right:0;bottom:0;border-radius:1.75rem;background-color:#ebeff5}.nb-theme-default :host .switch .slider::before{position:absolute;content:'';height:1.5rem;width:1.5rem;border-radius:50%;background-color:#40dc7e;-webkit-transition:.2s;transition:.2s;-webkit-box-shadow:0 0 .25rem 0 rgba(164,171,179,.4);box-shadow:0 0 .25rem 0 rgba(164,171,179,.4)}@media (max-width:399.98px){.nb-theme-default :host{-webkit-box-align:end;-ms-flex-align:end;align-items:flex-end}}.nb-theme-cosmic :host .switch-label{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-pack:justify;-ms-flex-pack:justify;justify-content:space-between;-webkit-box-align:center;-ms-flex-align:center;align-items:center;cursor:pointer;margin:0}.nb-theme-cosmic :host .switch-label.vertical{-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column;-webkit-box-align:start;-ms-flex-align:start;align-items:flex-start}.nb-theme-cosmic :host .switch-label.vertical .first,.nb-theme-cosmic :host .switch-label.vertical .second{padding:0}.nb-theme-cosmic :host .switch-label.vertical .switch{margin-top:.5em}.nb-theme-cosmic :host .switch-label>span{font-size:1.125rem;font-weight:600;-webkit-transition:opacity .3s;transition:opacity .3s;color:#a1a1e5}[dir=ltr] .nb-theme-cosmic :host .switch-label>span.first{padding-right:10px}[dir=rtl] .nb-theme-cosmic :host .switch-label>span.first{padding-left:10px}[dir=ltr] .nb-theme-cosmic :host .switch-label>span.second{padding-left:10px}[dir=rtl] .nb-theme-cosmic :host .switch-label>span.second{padding-right:10px}.nb-theme-cosmic :host .switch-label>span.active{color:#fff}.nb-theme-cosmic :host .switch-label>span:active{opacity:.78}.nb-theme-cosmic :host .switch{position:relative;display:inline-block;width:3rem;height:1.5rem;margin:0}.nb-theme-cosmic :host .switch input{display:none}[dir=ltr] .nb-theme-cosmic :host .switch input:checked+.slider::before{-webkit-transform:translateX(1.5rem);transform:translateX(1.5rem)}[dir=rtl] .nb-theme-cosmic :host .switch input:checked+.slider::before{-webkit-transform:translateX(-1.5rem);transform:translateX(-1.5rem)}.nb-theme-cosmic :host .switch .slider{position:absolute;top:0;left:0;right:0;bottom:0;border-radius:1.75rem;background-color:#2f296b}.nb-theme-cosmic :host .switch .slider::before{position:absolute;content:'';height:1.5rem;width:1.5rem;border-radius:50%;background-color:#00d977;-webkit-transition:.2s;transition:.2s;-webkit-box-shadow:0 0 .25rem 0 rgba(161,161,229,.4);box-shadow:0 0 .25rem 0 rgba(161,161,229,.4);background-image:-webkit-gradient(linear,left top,right top,from(#ad59ff),to(#7659ff));background-image:linear-gradient(to right,#ad59ff,#7659ff)}@media (max-width:399.98px){.nb-theme-cosmic :host{-webkit-box-align:end;-ms-flex-align:end;align-items:flex-end}}.nb-theme-corporate :host .switch-label{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-pack:justify;-ms-flex-pack:justify;justify-content:space-between;-webkit-box-align:center;-ms-flex-align:center;align-items:center;cursor:pointer;margin:0}.nb-theme-corporate :host .switch-label.vertical{-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column;-webkit-box-align:start;-ms-flex-align:start;align-items:flex-start}.nb-theme-corporate :host .switch-label.vertical .first,.nb-theme-corporate :host .switch-label.vertical .second{padding:0}.nb-theme-corporate :host .switch-label.vertical .switch{margin-top:.5em}.nb-theme-corporate :host .switch-label>span{font-size:1.125rem;font-weight:600;-webkit-transition:opacity .3s;transition:opacity .3s;color:#a4abb3}[dir=ltr] .nb-theme-corporate :host .switch-label>span.first{padding-right:10px}[dir=rtl] .nb-theme-corporate :host .switch-label>span.first{padding-left:10px}[dir=ltr] .nb-theme-corporate :host .switch-label>span.second{padding-left:10px}[dir=rtl] .nb-theme-corporate :host .switch-label>span.second{padding-right:10px}.nb-theme-corporate :host .switch-label>span.active{color:#4b4b4b}.nb-theme-corporate :host .switch-label>span:active{opacity:.78}.nb-theme-corporate :host .switch{position:relative;display:inline-block;width:3rem;height:1.5rem;margin:0}.nb-theme-corporate :host .switch input{display:none}[dir=ltr] .nb-theme-corporate :host .switch input:checked+.slider::before{-webkit-transform:translateX(1.5rem);transform:translateX(1.5rem)}[dir=rtl] .nb-theme-corporate :host .switch input:checked+.slider::before{-webkit-transform:translateX(-1.5rem);transform:translateX(-1.5rem)}.nb-theme-corporate :host .switch .slider{position:absolute;top:0;left:0;right:0;bottom:0;border-radius:1.75rem;background-color:#f1f5f8}.nb-theme-corporate :host .switch .slider::before{position:absolute;content:'';height:1.5rem;width:1.5rem;border-radius:50%;-webkit-transition:.2s;transition:.2s;-webkit-box-shadow:0 0 .25rem 0 rgba(164,171,179,.4);box-shadow:0 0 .25rem 0 rgba(164,171,179,.4);background-color:#73a1ff}@media (max-width:399.98px){.nb-theme-corporate :host{-webkit-box-align:end;-ms-flex-align:end;align-items:flex-end}}"]
                    }] }
        ];
        SwitcherComponent.propDecorators = {
            firstValue: [{ type: core.Input }],
            secondValue: [{ type: core.Input }],
            firstValueLabel: [{ type: core.Input }],
            secondValueLabel: [{ type: core.Input }],
            vertical: [{ type: core.Input }],
            value: [{ type: core.Input }],
            valueChange: [{ type: core.Output }]
        };
        return SwitcherComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var LayoutDirectionSwitcherComponent = /** @class */ (function () {
        function LayoutDirectionSwitcherComponent(directionService) {
            var _this = this;
            this.directionService = directionService;
            this.directions = theme.NbLayoutDirection;
            this.alive = true;
            this.vertical = false;
            this.currentDirection = this.directionService.getDirection();
            this.directionService.onDirectionChange()
                .pipe(operators.takeWhile(function () { return _this.alive; }))
                .subscribe(function (newDirection) { return _this.currentDirection = newDirection; });
        }
        /**
         * @param {?} newDirection
         * @return {?}
         */
        LayoutDirectionSwitcherComponent.prototype.toggleDirection = /**
         * @param {?} newDirection
         * @return {?}
         */
            function (newDirection) {
                this.directionService.setDirection(newDirection);
            };
        /**
         * @return {?}
         */
        LayoutDirectionSwitcherComponent.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                this.alive = false;
            };
        LayoutDirectionSwitcherComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'ngx-layout-direction-switcher',
                        template: "\n    <ngx-switcher\n      [firstValue]=\"directions.RTL\"\n      [secondValue]=\"directions.LTR\"\n      [firstValueLabel]=\"'RTL'\"\n      [secondValueLabel]=\"'LTR'\"\n      [value]=\"currentDirection\"\n      (valueChange)=\"toggleDirection($event)\"\n      [vertical]=\"vertical\"\n    >\n    </ngx-switcher>\n  "
                    }] }
        ];
        /** @nocollapse */
        LayoutDirectionSwitcherComponent.ctorParameters = function () {
            return [
                { type: theme.NbLayoutDirectionService }
            ];
        };
        LayoutDirectionSwitcherComponent.propDecorators = {
            vertical: [{ type: core.Input }]
        };
        return LayoutDirectionSwitcherComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ToggleSettingsButtonComponent = /** @class */ (function () {
        function ToggleSettingsButtonComponent(sidebarService, stateService) {
            var _this = this;
            this.sidebarService = sidebarService;
            this.stateService = stateService;
            this.sidebarEnd = false;
            this.expanded = false;
            this.wasExpanded = false;
            this.stateService.onSidebarState()
                .subscribe(function (_a) {
                var id = _a.id;
                _this.sidebarEnd = id === 'end';
            });
        }
        /**
         * @return {?}
         */
        ToggleSettingsButtonComponent.prototype.toggleSettings = /**
         * @return {?}
         */
            function () {
                this.sidebarService.toggle(false, 'settings-sidebar');
                this.expanded = !this.expanded;
                this.wasExpanded = true;
            };
        ToggleSettingsButtonComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'ngx-toggle-settings-button',
                        template: "\n    <button class=\"toggle-settings\"\n            (click)=\"toggleSettings()\"\n            [class.expanded]=\"expanded\"\n            [class.sidebar-end]=\"sidebarEnd\"\n            [class.was-expanded]=\"wasExpanded\"\n    >\n      <i class=\"nb-gear\"></i>\n    </button>\n  ",
                        styles: ["/*!\n * @license\n * Copyright Akveo. All Rights Reserved.\n * Licensed under the MIT License. See License.txt in the project root for license information.\n */.nb-theme-default :host .toggle-settings{position:fixed;top:50%;height:3rem;width:3rem;padding:0;text-align:center;border:1px solid #d5dbe0;-webkit-transition:background-image .3s,-webkit-transform .3s;transition:transform .3s,background-image .3s,-webkit-transform .3s;-webkit-transform:translate(0,-50%);transform:translate(0,-50%);z-index:998;-webkit-box-shadow:0 8px 24px 0 rgba(48,59,67,.15);box-shadow:0 8px 24px 0 rgba(48,59,67,.15);background-color:#fff}[dir=ltr] .nb-theme-default :host .toggle-settings{border-top-left-radius:.375rem;border-bottom-left-radius:.375rem;right:0}[dir=ltr] .nb-theme-default :host .toggle-settings.sidebar-end{right:auto;left:0;border-radius:0 .375rem .375rem 0}[dir=rtl] .nb-theme-default :host .toggle-settings{border-top-right-radius:.375rem;border-bottom-right-radius:.375rem;left:0}[dir=rtl] .nb-theme-default :host .toggle-settings.sidebar-end{left:auto;right:0;border-radius:.375rem 0 0 .375rem}[dir=ltr] .nb-theme-default :host .toggle-settings.expanded{-webkit-transform:translate(-19rem,-50%);transform:translate(-19rem,-50%)}[dir=rtl] .nb-theme-default :host .toggle-settings.expanded{-webkit-transform:translate(19rem,-50%);transform:translate(19rem,-50%)}[dir=rtl] .nb-theme-default :host .toggle-settings.expanded.sidebar-end{-webkit-transform:translate(-19rem,-50%);transform:translate(-19rem,-50%)}[dir=ltr] .nb-theme-default :host .toggle-settings.expanded.sidebar-end{-webkit-transform:translate(19rem,-50%);transform:translate(19rem,-50%)}.nb-theme-default :host .toggle-settings i{font-size:2.75rem;display:block;color:#ff4c6a}.nb-theme-default :host .toggle-settings:not(.was-expanded) i{-webkit-animation-name:gear-pulse;animation-name:gear-pulse;-webkit-animation-duration:1s;animation-duration:1s;-webkit-animation-iteration-count:infinite;animation-iteration-count:infinite}@-webkit-keyframes gear-pulse{from,to{-webkit-transform:scale3d(1,1,1);transform:scale3d(1,1,1)}50%{-webkit-transform:scale3d(1.2,1.2,1.2);transform:scale3d(1.2,1.2,1.2)}}.nb-theme-cosmic :host .toggle-settings{position:fixed;top:50%;height:3rem;width:3rem;padding:0;text-align:center;border:none;-webkit-transition:background-image .3s,-webkit-transform .3s;transition:transform .3s,background-image .3s,-webkit-transform .3s;-webkit-transform:translate(0,-50%);transform:translate(0,-50%);z-index:998;-webkit-box-shadow:0 0 3.4285rem 0 rgba(19,19,94,.72);box-shadow:0 0 3.4285rem 0 rgba(19,19,94,.72);background-image:-webkit-gradient(linear,left top,right top,from(#00d9bf),to(#00d977));background-image:linear-gradient(to right,#00d9bf,#00d977)}[dir=ltr] .nb-theme-cosmic :host .toggle-settings{border-top-left-radius:.5rem;border-bottom-left-radius:.5rem;right:0}[dir=ltr] .nb-theme-cosmic :host .toggle-settings.sidebar-end{right:auto;left:0;border-radius:0 .5rem .5rem 0}[dir=rtl] .nb-theme-cosmic :host .toggle-settings{border-top-right-radius:.5rem;border-bottom-right-radius:.5rem;left:0}[dir=rtl] .nb-theme-cosmic :host .toggle-settings.sidebar-end{left:auto;right:0;border-radius:.5rem 0 0 .5rem}[dir=ltr] .nb-theme-cosmic :host .toggle-settings.expanded{-webkit-transform:translate(-19rem,-50%);transform:translate(-19rem,-50%)}[dir=rtl] .nb-theme-cosmic :host .toggle-settings.expanded{-webkit-transform:translate(19rem,-50%);transform:translate(19rem,-50%)}[dir=rtl] .nb-theme-cosmic :host .toggle-settings.expanded.sidebar-end{-webkit-transform:translate(-19rem,-50%);transform:translate(-19rem,-50%)}[dir=ltr] .nb-theme-cosmic :host .toggle-settings.expanded.sidebar-end{-webkit-transform:translate(19rem,-50%);transform:translate(19rem,-50%)}.nb-theme-cosmic :host .toggle-settings i{font-size:2.75rem;color:#fff;display:block}.nb-theme-cosmic :host .toggle-settings:not(.was-expanded) i{-webkit-animation-name:gear-pulse;animation-name:gear-pulse;-webkit-animation-duration:1s;animation-duration:1s;-webkit-animation-iteration-count:infinite;animation-iteration-count:infinite}.nb-theme-corporate :host .toggle-settings{position:fixed;top:50%;height:3rem;width:3rem;padding:0;text-align:center;border:1px solid #d5dbe0;-webkit-transition:background-image .3s,-webkit-transform .3s;transition:transform .3s,background-image .3s,-webkit-transform .3s;-webkit-transform:translate(0,-50%);transform:translate(0,-50%);z-index:998;-webkit-box-shadow:0 8px 24px 0 rgba(48,59,67,.15);box-shadow:0 8px 24px 0 rgba(48,59,67,.15);color:#ff6b83;background-color:#fff}[dir=ltr] .nb-theme-corporate :host .toggle-settings{border-top-left-radius:.17rem;border-bottom-left-radius:.17rem;right:0}[dir=ltr] .nb-theme-corporate :host .toggle-settings.sidebar-end{right:auto;left:0;border-radius:0 .17rem .17rem 0}[dir=rtl] .nb-theme-corporate :host .toggle-settings{border-top-right-radius:.17rem;border-bottom-right-radius:.17rem;left:0}[dir=rtl] .nb-theme-corporate :host .toggle-settings.sidebar-end{left:auto;right:0;border-radius:.17rem 0 0 .17rem}[dir=ltr] .nb-theme-corporate :host .toggle-settings.expanded{-webkit-transform:translate(-19rem,-50%);transform:translate(-19rem,-50%)}[dir=rtl] .nb-theme-corporate :host .toggle-settings.expanded{-webkit-transform:translate(19rem,-50%);transform:translate(19rem,-50%)}[dir=rtl] .nb-theme-corporate :host .toggle-settings.expanded.sidebar-end{-webkit-transform:translate(-19rem,-50%);transform:translate(-19rem,-50%)}[dir=ltr] .nb-theme-corporate :host .toggle-settings.expanded.sidebar-end{-webkit-transform:translate(19rem,-50%);transform:translate(19rem,-50%)}.nb-theme-corporate :host .toggle-settings i{font-size:2.75rem;display:block;color:#ffa36b}.nb-theme-corporate :host .toggle-settings:not(.was-expanded) i{-webkit-animation-name:gear-pulse;animation-name:gear-pulse;-webkit-animation-duration:1s;animation-duration:1s;-webkit-animation-iteration-count:infinite;animation-iteration-count:infinite}@keyframes gear-pulse{from,to{-webkit-transform:scale3d(1,1,1);transform:scale3d(1,1,1)}50%{-webkit-transform:scale3d(1.2,1.2,1.2);transform:scale3d(1.2,1.2,1.2)}}@media (max-width:767.98px){.nb-theme-default :host .toggle-settings{display:none}.nb-theme-cosmic :host .toggle-settings{display:none}.nb-theme-corporate :host .toggle-settings{display:none}}"]
                    }] }
        ];
        /** @nocollapse */
        ToggleSettingsButtonComponent.ctorParameters = function () {
            return [
                { type: theme.NbSidebarService },
                { type: StateService }
            ];
        };
        return ToggleSettingsButtonComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var CapitalizePipe = /** @class */ (function () {
        function CapitalizePipe() {
        }
        /**
         * @param {?} input
         * @return {?}
         */
        CapitalizePipe.prototype.transform = /**
         * @param {?} input
         * @return {?}
         */
            function (input) {
                return input && input.length
                    ? (input.charAt(0).toUpperCase() + input.slice(1).toLowerCase())
                    : input;
            };
        CapitalizePipe.decorators = [
            { type: core.Pipe, args: [{ name: 'ngxCapitalize' },] }
        ];
        return CapitalizePipe;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var PluralPipe = /** @class */ (function () {
        function PluralPipe() {
        }
        /**
         * @param {?} input
         * @param {?} label
         * @param {?=} pluralLabel
         * @return {?}
         */
        PluralPipe.prototype.transform = /**
         * @param {?} input
         * @param {?} label
         * @param {?=} pluralLabel
         * @return {?}
         */
            function (input, label, pluralLabel) {
                if (pluralLabel === void 0) {
                    pluralLabel = '';
                }
                input = input || 0;
                return input === 1
                    ? input + " " + label
                    : pluralLabel
                        ? input + " " + pluralLabel
                        : input + " " + label + "s";
            };
        PluralPipe.decorators = [
            { type: core.Pipe, args: [{ name: 'ngxPlural' },] }
        ];
        return PluralPipe;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var RoundPipe = /** @class */ (function () {
        function RoundPipe() {
        }
        /**
         * @param {?} input
         * @return {?}
         */
        RoundPipe.prototype.transform = /**
         * @param {?} input
         * @return {?}
         */
            function (input) {
                return Math.round(input);
            };
        RoundPipe.decorators = [
            { type: core.Pipe, args: [{ name: 'ngxRound' },] }
        ];
        return RoundPipe;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TimingPipe = /** @class */ (function () {
        function TimingPipe() {
        }
        /**
         * @param {?} time
         * @return {?}
         */
        TimingPipe.prototype.transform = /**
         * @param {?} time
         * @return {?}
         */
            function (time) {
                if (time) {
                    /** @type {?} */
                    var minutes = Math.floor(time / 60);
                    /** @type {?} */
                    var seconds = Math.floor(time % 60);
                    return "" + this.initZero(minutes) + minutes + ":" + this.initZero(seconds) + seconds;
                }
                return '00:00';
            };
        /**
         * @private
         * @param {?} time
         * @return {?}
         */
        TimingPipe.prototype.initZero = /**
         * @private
         * @param {?} time
         * @return {?}
         */
            function (time) {
                return time < 10 ? '0' : '';
            };
        TimingPipe.decorators = [
            { type: core.Pipe, args: [{ name: 'timing' },] }
        ];
        return TimingPipe;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NumberWithCommasPipe = /** @class */ (function () {
        function NumberWithCommasPipe() {
        }
        /**
         * @param {?} input
         * @return {?}
         */
        NumberWithCommasPipe.prototype.transform = /**
         * @param {?} input
         * @return {?}
         */
            function (input) {
                return new Intl.NumberFormat().format(input);
            };
        NumberWithCommasPipe.decorators = [
            { type: core.Pipe, args: [{ name: 'ngxNumberWithCommas' },] }
        ];
        return NumberWithCommasPipe;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var EvaIconsPipe = /** @class */ (function () {
        function EvaIconsPipe(sanitizer) {
            this.sanitizer = sanitizer;
            this.defaultOptions = {
                height: 24,
                width: 24,
                fill: 'inherit',
                animationHover: true,
                animationInfinity: false,
            };
        }
        /**
         * @param {?} icon
         * @param {?} options
         * @return {?}
         */
        EvaIconsPipe.prototype.transform = /**
         * @param {?} icon
         * @param {?} options
         * @return {?}
         */
            function (icon, options) {
                /** @type {?} */
                var mergedOptions = __assign({}, this.defaultOptions, options);
                var width = mergedOptions.width, height = mergedOptions.height, fill = mergedOptions.fill, animationType = mergedOptions.animationType, animationHover = mergedOptions.animationHover, animationInfinity = mergedOptions.animationInfinity;
                /** @type {?} */
                var animation = animationType ?
                    { type: animationType, hover: animationHover, infinite: animationInfinity } :
                    null;
                return this.sanitizer.bypassSecurityTrustHtml(evaIcons.icons[icon].toSvg({
                    width: width,
                    height: height,
                    fill: fill,
                    animation: animation,
                }));
            };
        EvaIconsPipe.decorators = [
            { type: core.Pipe, args: [{ name: 'eva' },] }
        ];
        /** @nocollapse */
        EvaIconsPipe.ctorParameters = function () {
            return [
                { type: platformBrowser.DomSanitizer }
            ];
        };
        return EvaIconsPipe;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    // TODO: move layouts into the framework
    var OneColumnLayoutComponent = /** @class */ (function () {
        function OneColumnLayoutComponent(themeService) {
            var _this = this;
            this.themeService = themeService;
            this.alive = true;
            this.themeService.getJsTheme()
                .pipe(operators.takeWhile(function () { return _this.alive; }))
                .subscribe(function (theme$$1) {
                _this.currentTheme = theme$$1.name;
            });
        }
        /**
         * @return {?}
         */
        OneColumnLayoutComponent.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                this.alive = false;
            };
        OneColumnLayoutComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'ngx-one-column-layout',
                        template: "\n    <nb-layout>\n      <nb-layout-header fixed>\n        <ngx-header></ngx-header>\n      </nb-layout-header>\n\n      <nb-sidebar class=\"menu-sidebar\" tag=\"menu-sidebar\" responsive>\n        <nb-sidebar-header *ngIf=\"currentTheme !== 'corporate'\">\n          <a href=\"#\" class=\"btn btn-hero-success main-btn\">\n            <i class=\"ion ion-social-github\"></i> <span>Support Us</span>\n          </a>\n        </nb-sidebar-header>\n        <ng-content select=\"nb-menu\"></ng-content>\n      </nb-sidebar>\n\n      <nb-layout-column>\n        <ng-content select=\"router-outlet\"></ng-content>\n      </nb-layout-column>\n\n      <nb-layout-footer fixed>\n        <ngx-footer></ngx-footer>\n      </nb-layout-footer>\n    </nb-layout>\n  ",
                        styles: ["/*!\n * @license\n * Copyright Akveo. All Rights Reserved.\n * Licensed under the MIT License. See License.txt in the project root for license information.\n */.nb-theme-default :host nb-layout-column.small{-webkit-box-flex:.15!important;-ms-flex:.15!important;flex:.15!important}.nb-theme-default :host nb-sidebar.settings-sidebar{-webkit-transition:width .3s;transition:width .3s;width:7.5rem;overflow:hidden}.nb-theme-default :host nb-sidebar.settings-sidebar.collapsed{width:0}.nb-theme-default :host nb-sidebar.settings-sidebar.collapsed /deep/ .main-container{width:0}.nb-theme-default :host nb-sidebar.settings-sidebar.collapsed /deep/ .main-container .scrollable{width:7.5rem;padding:1.25rem}.nb-theme-default :host nb-sidebar.settings-sidebar /deep/ .main-container{width:7.5rem;background:#fff;-webkit-transition:width .3s;transition:width .3s;overflow:hidden}.nb-theme-default :host nb-sidebar.settings-sidebar /deep/ .main-container .scrollable{width:7.5rem}.nb-theme-default :host nb-sidebar.menu-sidebar{margin-top:2rem;background:0 0}.nb-theme-default :host nb-sidebar.menu-sidebar /deep/ .main-container{height:calc(100vh - 4.75rem - 2rem)!important}[dir=ltr] .nb-theme-default :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-right-radius:.375rem}[dir=rtl] .nb-theme-default :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-left-radius:.375rem}.nb-theme-default :host nb-sidebar.menu-sidebar /deep/ nb-sidebar-header{padding-bottom:.5rem;text-align:center}.nb-theme-default :host nb-sidebar.menu-sidebar .main-btn{padding:.75rem 2.5rem;margin-top:-2rem;font-weight:700;-webkit-transition:padding .3s cubic-bezier(.18,.89,.32,1.48);transition:padding .3s cubic-bezier(.18,.89,.32,1.48)}.nb-theme-default :host nb-sidebar.menu-sidebar .main-btn i{font-size:2rem;text-shadow:0 1px 1px rgba(0,0,0,.2)}[dir=ltr] .nb-theme-default :host nb-sidebar.menu-sidebar .main-btn span{padding-left:.25rem}[dir=rtl] .nb-theme-default :host nb-sidebar.menu-sidebar .main-btn span{padding-right:.25rem}.nb-theme-default :host nb-sidebar.menu-sidebar .main-btn i,.nb-theme-default :host nb-sidebar.menu-sidebar .main-btn span{vertical-align:middle}.nb-theme-default :host nb-sidebar.menu-sidebar.compacted /deep/ nb-sidebar-header{padding-left:0;padding-right:0}.nb-theme-default :host nb-sidebar.menu-sidebar.compacted .main-btn{width:46px;height:44px;padding:.375rem;border-radius:5px;-webkit-transition:none;transition:none}.nb-theme-default :host nb-sidebar.menu-sidebar.compacted .main-btn span{display:none}@media (max-width:767.98px){.nb-theme-default :host nb-sidebar.menu-sidebar{margin-top:0}.nb-theme-default :host nb-sidebar.menu-sidebar /deep/ .main-container{height:calc(100vh - 4.75rem)!important}[dir=ltr] .nb-theme-default :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-right-radius:0}[dir=rtl] .nb-theme-default :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-left-radius:0}.nb-theme-default :host nb-sidebar.menu-sidebar /deep/ .main-container .scrollable{padding-top:0}.nb-theme-default :host .main-btn{display:none}}.nb-theme-cosmic :host nb-layout-column.small{-webkit-box-flex:.15!important;-ms-flex:.15!important;flex:.15!important}.nb-theme-cosmic :host nb-sidebar.settings-sidebar{-webkit-transition:width .3s;transition:width .3s;width:7.5rem;overflow:hidden}.nb-theme-cosmic :host nb-sidebar.settings-sidebar.collapsed{width:0}.nb-theme-cosmic :host nb-sidebar.settings-sidebar.collapsed /deep/ .main-container{width:0}.nb-theme-cosmic :host nb-sidebar.settings-sidebar.collapsed /deep/ .main-container .scrollable{width:7.5rem;padding:1.25rem}.nb-theme-cosmic :host nb-sidebar.settings-sidebar /deep/ .main-container{width:7.5rem;background:#2f296b;-webkit-transition:width .3s;transition:width .3s;overflow:hidden}.nb-theme-cosmic :host nb-sidebar.settings-sidebar /deep/ .main-container .scrollable{width:7.5rem}.nb-theme-cosmic :host nb-sidebar.menu-sidebar{margin-top:2rem;background:0 0}.nb-theme-cosmic :host nb-sidebar.menu-sidebar /deep/ .main-container{height:calc(100vh - 4.75rem - 2rem)!important}[dir=ltr] .nb-theme-cosmic :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-right-radius:.5rem}[dir=rtl] .nb-theme-cosmic :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-left-radius:.5rem}.nb-theme-cosmic :host nb-sidebar.menu-sidebar /deep/ nb-sidebar-header{padding-bottom:.5rem;text-align:center}.nb-theme-cosmic :host nb-sidebar.menu-sidebar .main-btn{padding:.75rem 2.5rem;margin-top:-2rem;font-weight:700;-webkit-transition:padding .3s cubic-bezier(.18,.89,.32,1.48);transition:padding .3s cubic-bezier(.18,.89,.32,1.48)}.nb-theme-cosmic :host nb-sidebar.menu-sidebar .main-btn i{font-size:2rem;text-shadow:0 1px 1px rgba(0,0,0,.2)}[dir=ltr] .nb-theme-cosmic :host nb-sidebar.menu-sidebar .main-btn span{padding-left:.25rem}[dir=rtl] .nb-theme-cosmic :host nb-sidebar.menu-sidebar .main-btn span{padding-right:.25rem}.nb-theme-cosmic :host nb-sidebar.menu-sidebar .main-btn i,.nb-theme-cosmic :host nb-sidebar.menu-sidebar .main-btn span{vertical-align:middle}.nb-theme-cosmic :host nb-sidebar.menu-sidebar.compacted /deep/ nb-sidebar-header{padding-left:0;padding-right:0}.nb-theme-cosmic :host nb-sidebar.menu-sidebar.compacted .main-btn{width:46px;height:44px;padding:.375rem;border-radius:5px;-webkit-transition:none;transition:none}.nb-theme-cosmic :host nb-sidebar.menu-sidebar.compacted .main-btn span{display:none}@media (max-width:767.98px){.nb-theme-cosmic :host nb-sidebar.menu-sidebar{margin-top:0}.nb-theme-cosmic :host nb-sidebar.menu-sidebar /deep/ .main-container{height:calc(100vh - 4.75rem)!important}[dir=ltr] .nb-theme-cosmic :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-right-radius:0}[dir=rtl] .nb-theme-cosmic :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-left-radius:0}.nb-theme-cosmic :host nb-sidebar.menu-sidebar /deep/ .main-container .scrollable{padding-top:0}.nb-theme-cosmic :host .main-btn{display:none}}.nb-theme-corporate :host nb-layout-column.small{-webkit-box-flex:.15!important;-ms-flex:.15!important;flex:.15!important}.nb-theme-corporate :host nb-sidebar.settings-sidebar{-webkit-transition:width .3s;transition:width .3s;width:7.5rem;overflow:hidden}.nb-theme-corporate :host nb-sidebar.settings-sidebar.collapsed{width:0}.nb-theme-corporate :host nb-sidebar.settings-sidebar.collapsed /deep/ .main-container{width:0}.nb-theme-corporate :host nb-sidebar.settings-sidebar.collapsed /deep/ .main-container .scrollable{width:7.5rem;padding:1.25rem}.nb-theme-corporate :host nb-sidebar.settings-sidebar /deep/ .main-container{width:7.5rem;background:#fff;-webkit-transition:width .3s;transition:width .3s;overflow:hidden}.nb-theme-corporate :host nb-sidebar.settings-sidebar /deep/ .main-container .scrollable{width:7.5rem}.nb-theme-corporate :host nb-sidebar.menu-sidebar{margin-top:0;background:0 0}.nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ .main-container{border:1px solid #cdd5dc;height:calc(100vh - 4.75rem)!important}[dir=ltr] .nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-right-radius:.17rem}[dir=rtl] .nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-left-radius:.17rem}.nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ .scrollable{padding-top:0}.nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ .scrollable .menu-item:first-child{border-top:none}.nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ nb-sidebar-header{padding-bottom:.5rem;text-align:center}.nb-theme-corporate :host nb-sidebar.menu-sidebar .main-btn{padding:.75rem 2.5rem;margin-top:-2rem;font-weight:700;-webkit-transition:padding .3s cubic-bezier(.18,.89,.32,1.48);transition:padding .3s cubic-bezier(.18,.89,.32,1.48);border-radius:.17rem}.nb-theme-corporate :host nb-sidebar.menu-sidebar .main-btn i{font-size:2rem;text-shadow:0 1px 1px rgba(0,0,0,.2)}[dir=ltr] .nb-theme-corporate :host nb-sidebar.menu-sidebar .main-btn span{padding-left:.25rem}[dir=rtl] .nb-theme-corporate :host nb-sidebar.menu-sidebar .main-btn span{padding-right:.25rem}.nb-theme-corporate :host nb-sidebar.menu-sidebar .main-btn i,.nb-theme-corporate :host nb-sidebar.menu-sidebar .main-btn span{vertical-align:middle}.nb-theme-corporate :host nb-sidebar.menu-sidebar.compacted /deep/ nb-sidebar-header{padding-left:0;padding-right:0}.nb-theme-corporate :host nb-sidebar.menu-sidebar.compacted .main-btn{width:46px;height:44px;padding:.375rem;border-radius:5px;-webkit-transition:none;transition:none}.nb-theme-corporate :host nb-sidebar.menu-sidebar.compacted .main-btn span{display:none}@media (max-width:399.98px){.nb-theme-default :host .main-content{padding:.75rem!important}.nb-theme-cosmic :host .main-content{padding:.75rem!important}.nb-theme-corporate :host .main-content{padding:.75rem!important}}@media (max-width:767.98px){.nb-theme-corporate :host nb-sidebar.menu-sidebar{margin-top:0}.nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ .main-container{height:calc(100vh - 4.75rem)!important}[dir=ltr] .nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-right-radius:0}[dir=rtl] .nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-left-radius:0}.nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ .main-container .scrollable{padding-top:0}.nb-theme-corporate :host .main-btn{display:none}}"]
                    }] }
        ];
        /** @nocollapse */
        OneColumnLayoutComponent.ctorParameters = function () {
            return [
                { type: theme.NbThemeService }
            ];
        };
        return OneColumnLayoutComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    // TODO: move layouts into the framework
    var TwoColumnsLayoutComponent = /** @class */ (function () {
        function TwoColumnsLayoutComponent(themeService) {
            var _this = this;
            this.themeService = themeService;
            this.alive = true;
            this.themeService.getJsTheme()
                .pipe(operators.takeWhile(function () { return _this.alive; }))
                .subscribe(function (theme$$1) {
                _this.currentTheme = theme$$1.name;
            });
        }
        /**
         * @return {?}
         */
        TwoColumnsLayoutComponent.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                this.alive = false;
            };
        TwoColumnsLayoutComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'ngx-two-columns-layout',
                        template: "\n    <nb-layout>\n      <nb-layout-header fixed>\n        <ngx-header></ngx-header>\n      </nb-layout-header>\n\n      <nb-sidebar class=\"menu-sidebar\" tag=\"menu-sidebar\" responsive >\n        <nb-sidebar-header *ngIf=\"currentTheme !== 'corporate'\">\n          <a href=\"#\" class=\"btn btn-hero-success main-btn\">\n            <i class=\"ion ion-social-github\"></i> <span>Support Us</span>\n          </a>\n        </nb-sidebar-header>\n        <ng-content select=\"nb-menu\"></ng-content>\n      </nb-sidebar>\n\n      <nb-layout-column class=\"small\">\n      </nb-layout-column>\n\n      <nb-layout-column>\n        <ng-content select=\"router-outlet\"></ng-content>\n      </nb-layout-column>\n\n      <nb-layout-footer fixed>\n        <ngx-footer></ngx-footer>\n      </nb-layout-footer>\n\n    </nb-layout>\n  ",
                        styles: ["/*!\n * @license\n * Copyright Akveo. All Rights Reserved.\n * Licensed under the MIT License. See License.txt in the project root for license information.\n */.nb-theme-default :host nb-layout-column.small{-webkit-box-flex:.15!important;-ms-flex:.15!important;flex:.15!important}.nb-theme-default :host nb-sidebar.settings-sidebar{-webkit-transition:width .3s;transition:width .3s;width:7.5rem;overflow:hidden}.nb-theme-default :host nb-sidebar.settings-sidebar.collapsed{width:0}.nb-theme-default :host nb-sidebar.settings-sidebar.collapsed /deep/ .main-container{width:0}.nb-theme-default :host nb-sidebar.settings-sidebar.collapsed /deep/ .main-container .scrollable{width:7.5rem;padding:1.25rem}.nb-theme-default :host nb-sidebar.settings-sidebar /deep/ .main-container{width:7.5rem;background:#fff;-webkit-transition:width .3s;transition:width .3s;overflow:hidden}.nb-theme-default :host nb-sidebar.settings-sidebar /deep/ .main-container .scrollable{width:7.5rem}.nb-theme-default :host nb-sidebar.menu-sidebar{margin-top:2rem;background:0 0}.nb-theme-default :host nb-sidebar.menu-sidebar /deep/ .main-container{height:calc(100vh - 4.75rem - 2rem)!important}[dir=ltr] .nb-theme-default :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-right-radius:.375rem}[dir=rtl] .nb-theme-default :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-left-radius:.375rem}.nb-theme-default :host nb-sidebar.menu-sidebar /deep/ nb-sidebar-header{padding-bottom:.5rem;text-align:center}.nb-theme-default :host nb-sidebar.menu-sidebar .main-btn{padding:.75rem 2.5rem;margin-top:-2rem;font-weight:700;-webkit-transition:padding .3s cubic-bezier(.18,.89,.32,1.48);transition:padding .3s cubic-bezier(.18,.89,.32,1.48)}.nb-theme-default :host nb-sidebar.menu-sidebar .main-btn i{font-size:2rem;text-shadow:0 1px 1px rgba(0,0,0,.2)}[dir=ltr] .nb-theme-default :host nb-sidebar.menu-sidebar .main-btn span{padding-left:.25rem}[dir=rtl] .nb-theme-default :host nb-sidebar.menu-sidebar .main-btn span{padding-right:.25rem}.nb-theme-default :host nb-sidebar.menu-sidebar .main-btn i,.nb-theme-default :host nb-sidebar.menu-sidebar .main-btn span{vertical-align:middle}.nb-theme-default :host nb-sidebar.menu-sidebar.compacted /deep/ nb-sidebar-header{padding-left:0;padding-right:0}.nb-theme-default :host nb-sidebar.menu-sidebar.compacted .main-btn{width:46px;height:44px;padding:.375rem;border-radius:5px;-webkit-transition:none;transition:none}.nb-theme-default :host nb-sidebar.menu-sidebar.compacted .main-btn span{display:none}@media (max-width:767.98px){.nb-theme-default :host nb-sidebar.menu-sidebar{margin-top:0}.nb-theme-default :host nb-sidebar.menu-sidebar /deep/ .main-container{height:calc(100vh - 4.75rem)!important}[dir=ltr] .nb-theme-default :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-right-radius:0}[dir=rtl] .nb-theme-default :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-left-radius:0}.nb-theme-default :host nb-sidebar.menu-sidebar /deep/ .main-container .scrollable{padding-top:0}.nb-theme-default :host .main-btn{display:none}}.nb-theme-cosmic :host nb-layout-column.small{-webkit-box-flex:.15!important;-ms-flex:.15!important;flex:.15!important}.nb-theme-cosmic :host nb-sidebar.settings-sidebar{-webkit-transition:width .3s;transition:width .3s;width:7.5rem;overflow:hidden}.nb-theme-cosmic :host nb-sidebar.settings-sidebar.collapsed{width:0}.nb-theme-cosmic :host nb-sidebar.settings-sidebar.collapsed /deep/ .main-container{width:0}.nb-theme-cosmic :host nb-sidebar.settings-sidebar.collapsed /deep/ .main-container .scrollable{width:7.5rem;padding:1.25rem}.nb-theme-cosmic :host nb-sidebar.settings-sidebar /deep/ .main-container{width:7.5rem;background:#2f296b;-webkit-transition:width .3s;transition:width .3s;overflow:hidden}.nb-theme-cosmic :host nb-sidebar.settings-sidebar /deep/ .main-container .scrollable{width:7.5rem}.nb-theme-cosmic :host nb-sidebar.menu-sidebar{margin-top:2rem;background:0 0}.nb-theme-cosmic :host nb-sidebar.menu-sidebar /deep/ .main-container{height:calc(100vh - 4.75rem - 2rem)!important}[dir=ltr] .nb-theme-cosmic :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-right-radius:.5rem}[dir=rtl] .nb-theme-cosmic :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-left-radius:.5rem}.nb-theme-cosmic :host nb-sidebar.menu-sidebar /deep/ nb-sidebar-header{padding-bottom:.5rem;text-align:center}.nb-theme-cosmic :host nb-sidebar.menu-sidebar .main-btn{padding:.75rem 2.5rem;margin-top:-2rem;font-weight:700;-webkit-transition:padding .3s cubic-bezier(.18,.89,.32,1.48);transition:padding .3s cubic-bezier(.18,.89,.32,1.48)}.nb-theme-cosmic :host nb-sidebar.menu-sidebar .main-btn i{font-size:2rem;text-shadow:0 1px 1px rgba(0,0,0,.2)}[dir=ltr] .nb-theme-cosmic :host nb-sidebar.menu-sidebar .main-btn span{padding-left:.25rem}[dir=rtl] .nb-theme-cosmic :host nb-sidebar.menu-sidebar .main-btn span{padding-right:.25rem}.nb-theme-cosmic :host nb-sidebar.menu-sidebar .main-btn i,.nb-theme-cosmic :host nb-sidebar.menu-sidebar .main-btn span{vertical-align:middle}.nb-theme-cosmic :host nb-sidebar.menu-sidebar.compacted /deep/ nb-sidebar-header{padding-left:0;padding-right:0}.nb-theme-cosmic :host nb-sidebar.menu-sidebar.compacted .main-btn{width:46px;height:44px;padding:.375rem;border-radius:5px;-webkit-transition:none;transition:none}.nb-theme-cosmic :host nb-sidebar.menu-sidebar.compacted .main-btn span{display:none}@media (max-width:767.98px){.nb-theme-cosmic :host nb-sidebar.menu-sidebar{margin-top:0}.nb-theme-cosmic :host nb-sidebar.menu-sidebar /deep/ .main-container{height:calc(100vh - 4.75rem)!important}[dir=ltr] .nb-theme-cosmic :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-right-radius:0}[dir=rtl] .nb-theme-cosmic :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-left-radius:0}.nb-theme-cosmic :host nb-sidebar.menu-sidebar /deep/ .main-container .scrollable{padding-top:0}.nb-theme-cosmic :host .main-btn{display:none}}.nb-theme-corporate :host nb-layout-column.small{-webkit-box-flex:.15!important;-ms-flex:.15!important;flex:.15!important}.nb-theme-corporate :host nb-sidebar.settings-sidebar{-webkit-transition:width .3s;transition:width .3s;width:7.5rem;overflow:hidden}.nb-theme-corporate :host nb-sidebar.settings-sidebar.collapsed{width:0}.nb-theme-corporate :host nb-sidebar.settings-sidebar.collapsed /deep/ .main-container{width:0}.nb-theme-corporate :host nb-sidebar.settings-sidebar.collapsed /deep/ .main-container .scrollable{width:7.5rem;padding:1.25rem}.nb-theme-corporate :host nb-sidebar.settings-sidebar /deep/ .main-container{width:7.5rem;background:#fff;-webkit-transition:width .3s;transition:width .3s;overflow:hidden}.nb-theme-corporate :host nb-sidebar.settings-sidebar /deep/ .main-container .scrollable{width:7.5rem}.nb-theme-corporate :host nb-sidebar.menu-sidebar{margin-top:0;background:0 0}.nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ .main-container{border:1px solid #cdd5dc;height:calc(100vh - 4.75rem)!important}[dir=ltr] .nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-right-radius:.17rem}[dir=rtl] .nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-left-radius:.17rem}.nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ .scrollable{padding-top:0}.nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ .scrollable .menu-item:first-child{border-top:none}.nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ nb-sidebar-header{padding-bottom:.5rem;text-align:center}.nb-theme-corporate :host nb-sidebar.menu-sidebar .main-btn{padding:.75rem 2.5rem;margin-top:-2rem;font-weight:700;-webkit-transition:padding .3s cubic-bezier(.18,.89,.32,1.48);transition:padding .3s cubic-bezier(.18,.89,.32,1.48);border-radius:.17rem}.nb-theme-corporate :host nb-sidebar.menu-sidebar .main-btn i{font-size:2rem;text-shadow:0 1px 1px rgba(0,0,0,.2)}[dir=ltr] .nb-theme-corporate :host nb-sidebar.menu-sidebar .main-btn span{padding-left:.25rem}[dir=rtl] .nb-theme-corporate :host nb-sidebar.menu-sidebar .main-btn span{padding-right:.25rem}.nb-theme-corporate :host nb-sidebar.menu-sidebar .main-btn i,.nb-theme-corporate :host nb-sidebar.menu-sidebar .main-btn span{vertical-align:middle}.nb-theme-corporate :host nb-sidebar.menu-sidebar.compacted /deep/ nb-sidebar-header{padding-left:0;padding-right:0}.nb-theme-corporate :host nb-sidebar.menu-sidebar.compacted .main-btn{width:46px;height:44px;padding:.375rem;border-radius:5px;-webkit-transition:none;transition:none}.nb-theme-corporate :host nb-sidebar.menu-sidebar.compacted .main-btn span{display:none}@media (max-width:399.98px){.nb-theme-default :host .main-content{padding:.75rem!important}.nb-theme-cosmic :host .main-content{padding:.75rem!important}.nb-theme-corporate :host .main-content{padding:.75rem!important}}@media (max-width:767.98px){.nb-theme-corporate :host nb-sidebar.menu-sidebar{margin-top:0}.nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ .main-container{height:calc(100vh - 4.75rem)!important}[dir=ltr] .nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-right-radius:0}[dir=rtl] .nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-left-radius:0}.nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ .main-container .scrollable{padding-top:0}.nb-theme-corporate :host .main-btn{display:none}}"]
                    }] }
        ];
        /** @nocollapse */
        TwoColumnsLayoutComponent.ctorParameters = function () {
            return [
                { type: theme.NbThemeService }
            ];
        };
        return TwoColumnsLayoutComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    // TODO: move layouts into the framework
    var ThreeColumnsLayoutComponent = /** @class */ (function () {
        function ThreeColumnsLayoutComponent(themeService) {
            var _this = this;
            this.themeService = themeService;
            this.alive = true;
            this.themeService.getJsTheme()
                .pipe(operators.takeWhile(function () { return _this.alive; }))
                .subscribe(function (theme$$1) {
                _this.currentTheme = theme$$1.name;
            });
        }
        /**
         * @return {?}
         */
        ThreeColumnsLayoutComponent.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                this.alive = false;
            };
        ThreeColumnsLayoutComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'ngx-three-columns-layout',
                        template: "\n    <nb-layout>\n      <nb-layout-header fixed>\n        <ngx-header></ngx-header>\n      </nb-layout-header>\n\n      <nb-sidebar class=\"menu-sidebar\" tag=\"menu-sidebar\" responsive >\n        <nb-sidebar-header *ngIf=\"currentTheme !== 'corporate'\">\n          <a href=\"#\" class=\"btn btn-hero-success main-btn\">\n            <i class=\"ion ion-social-github\"></i> <span>Support Us</span>\n          </a>\n        </nb-sidebar-header>\n        <ng-content select=\"nb-menu\"></ng-content>\n      </nb-sidebar>\n\n      <nb-layout-column class=\"small\">\n      </nb-layout-column>\n\n      <nb-layout-column>\n        <ng-content select=\"router-outlet\"></ng-content>\n      </nb-layout-column>\n\n      <nb-layout-column class=\"small\">\n      </nb-layout-column>\n\n      <nb-layout-footer fixed>\n        <ngx-footer></ngx-footer>\n      </nb-layout-footer>\n    </nb-layout>\n  ",
                        styles: ["/*!\n * @license\n * Copyright Akveo. All Rights Reserved.\n * Licensed under the MIT License. See License.txt in the project root for license information.\n */.nb-theme-default :host nb-layout-column.small{-webkit-box-flex:.15!important;-ms-flex:.15!important;flex:.15!important}.nb-theme-default :host nb-sidebar.settings-sidebar{-webkit-transition:width .3s;transition:width .3s;width:7.5rem;overflow:hidden}.nb-theme-default :host nb-sidebar.settings-sidebar.collapsed{width:0}.nb-theme-default :host nb-sidebar.settings-sidebar.collapsed /deep/ .main-container{width:0}.nb-theme-default :host nb-sidebar.settings-sidebar.collapsed /deep/ .main-container .scrollable{width:7.5rem;padding:1.25rem}.nb-theme-default :host nb-sidebar.settings-sidebar /deep/ .main-container{width:7.5rem;background:#fff;-webkit-transition:width .3s;transition:width .3s;overflow:hidden}.nb-theme-default :host nb-sidebar.settings-sidebar /deep/ .main-container .scrollable{width:7.5rem}.nb-theme-default :host nb-sidebar.menu-sidebar{margin-top:2rem;background:0 0}.nb-theme-default :host nb-sidebar.menu-sidebar /deep/ .main-container{height:calc(100vh - 4.75rem - 2rem)!important}[dir=ltr] .nb-theme-default :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-right-radius:.375rem}[dir=rtl] .nb-theme-default :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-left-radius:.375rem}.nb-theme-default :host nb-sidebar.menu-sidebar /deep/ nb-sidebar-header{padding-bottom:.5rem;text-align:center}.nb-theme-default :host nb-sidebar.menu-sidebar .main-btn{padding:.75rem 2.5rem;margin-top:-2rem;font-weight:700;-webkit-transition:padding .3s cubic-bezier(.18,.89,.32,1.48);transition:padding .3s cubic-bezier(.18,.89,.32,1.48)}.nb-theme-default :host nb-sidebar.menu-sidebar .main-btn i{font-size:2rem;text-shadow:0 1px 1px rgba(0,0,0,.2)}[dir=ltr] .nb-theme-default :host nb-sidebar.menu-sidebar .main-btn span{padding-left:.25rem}[dir=rtl] .nb-theme-default :host nb-sidebar.menu-sidebar .main-btn span{padding-right:.25rem}.nb-theme-default :host nb-sidebar.menu-sidebar .main-btn i,.nb-theme-default :host nb-sidebar.menu-sidebar .main-btn span{vertical-align:middle}.nb-theme-default :host nb-sidebar.menu-sidebar.compacted /deep/ nb-sidebar-header{padding-left:0;padding-right:0}.nb-theme-default :host nb-sidebar.menu-sidebar.compacted .main-btn{width:46px;height:44px;padding:.375rem;border-radius:5px;-webkit-transition:none;transition:none}.nb-theme-default :host nb-sidebar.menu-sidebar.compacted .main-btn span{display:none}@media (max-width:767.98px){.nb-theme-default :host nb-sidebar.menu-sidebar{margin-top:0}.nb-theme-default :host nb-sidebar.menu-sidebar /deep/ .main-container{height:calc(100vh - 4.75rem)!important}[dir=ltr] .nb-theme-default :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-right-radius:0}[dir=rtl] .nb-theme-default :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-left-radius:0}.nb-theme-default :host nb-sidebar.menu-sidebar /deep/ .main-container .scrollable{padding-top:0}.nb-theme-default :host .main-btn{display:none}}.nb-theme-cosmic :host nb-layout-column.small{-webkit-box-flex:.15!important;-ms-flex:.15!important;flex:.15!important}.nb-theme-cosmic :host nb-sidebar.settings-sidebar{-webkit-transition:width .3s;transition:width .3s;width:7.5rem;overflow:hidden}.nb-theme-cosmic :host nb-sidebar.settings-sidebar.collapsed{width:0}.nb-theme-cosmic :host nb-sidebar.settings-sidebar.collapsed /deep/ .main-container{width:0}.nb-theme-cosmic :host nb-sidebar.settings-sidebar.collapsed /deep/ .main-container .scrollable{width:7.5rem;padding:1.25rem}.nb-theme-cosmic :host nb-sidebar.settings-sidebar /deep/ .main-container{width:7.5rem;background:#2f296b;-webkit-transition:width .3s;transition:width .3s;overflow:hidden}.nb-theme-cosmic :host nb-sidebar.settings-sidebar /deep/ .main-container .scrollable{width:7.5rem}.nb-theme-cosmic :host nb-sidebar.menu-sidebar{margin-top:2rem;background:0 0}.nb-theme-cosmic :host nb-sidebar.menu-sidebar /deep/ .main-container{height:calc(100vh - 4.75rem - 2rem)!important}[dir=ltr] .nb-theme-cosmic :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-right-radius:.5rem}[dir=rtl] .nb-theme-cosmic :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-left-radius:.5rem}.nb-theme-cosmic :host nb-sidebar.menu-sidebar /deep/ nb-sidebar-header{padding-bottom:.5rem;text-align:center}.nb-theme-cosmic :host nb-sidebar.menu-sidebar .main-btn{padding:.75rem 2.5rem;margin-top:-2rem;font-weight:700;-webkit-transition:padding .3s cubic-bezier(.18,.89,.32,1.48);transition:padding .3s cubic-bezier(.18,.89,.32,1.48)}.nb-theme-cosmic :host nb-sidebar.menu-sidebar .main-btn i{font-size:2rem;text-shadow:0 1px 1px rgba(0,0,0,.2)}[dir=ltr] .nb-theme-cosmic :host nb-sidebar.menu-sidebar .main-btn span{padding-left:.25rem}[dir=rtl] .nb-theme-cosmic :host nb-sidebar.menu-sidebar .main-btn span{padding-right:.25rem}.nb-theme-cosmic :host nb-sidebar.menu-sidebar .main-btn i,.nb-theme-cosmic :host nb-sidebar.menu-sidebar .main-btn span{vertical-align:middle}.nb-theme-cosmic :host nb-sidebar.menu-sidebar.compacted /deep/ nb-sidebar-header{padding-left:0;padding-right:0}.nb-theme-cosmic :host nb-sidebar.menu-sidebar.compacted .main-btn{width:46px;height:44px;padding:.375rem;border-radius:5px;-webkit-transition:none;transition:none}.nb-theme-cosmic :host nb-sidebar.menu-sidebar.compacted .main-btn span{display:none}@media (max-width:767.98px){.nb-theme-cosmic :host nb-sidebar.menu-sidebar{margin-top:0}.nb-theme-cosmic :host nb-sidebar.menu-sidebar /deep/ .main-container{height:calc(100vh - 4.75rem)!important}[dir=ltr] .nb-theme-cosmic :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-right-radius:0}[dir=rtl] .nb-theme-cosmic :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-left-radius:0}.nb-theme-cosmic :host nb-sidebar.menu-sidebar /deep/ .main-container .scrollable{padding-top:0}.nb-theme-cosmic :host .main-btn{display:none}}.nb-theme-corporate :host nb-layout-column.small{-webkit-box-flex:.15!important;-ms-flex:.15!important;flex:.15!important}.nb-theme-corporate :host nb-sidebar.settings-sidebar{-webkit-transition:width .3s;transition:width .3s;width:7.5rem;overflow:hidden}.nb-theme-corporate :host nb-sidebar.settings-sidebar.collapsed{width:0}.nb-theme-corporate :host nb-sidebar.settings-sidebar.collapsed /deep/ .main-container{width:0}.nb-theme-corporate :host nb-sidebar.settings-sidebar.collapsed /deep/ .main-container .scrollable{width:7.5rem;padding:1.25rem}.nb-theme-corporate :host nb-sidebar.settings-sidebar /deep/ .main-container{width:7.5rem;background:#fff;-webkit-transition:width .3s;transition:width .3s;overflow:hidden}.nb-theme-corporate :host nb-sidebar.settings-sidebar /deep/ .main-container .scrollable{width:7.5rem}.nb-theme-corporate :host nb-sidebar.menu-sidebar{margin-top:0;background:0 0}.nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ .main-container{border:1px solid #cdd5dc;height:calc(100vh - 4.75rem)!important}[dir=ltr] .nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-right-radius:.17rem}[dir=rtl] .nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-left-radius:.17rem}.nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ .scrollable{padding-top:0}.nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ .scrollable .menu-item:first-child{border-top:none}.nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ nb-sidebar-header{padding-bottom:.5rem;text-align:center}.nb-theme-corporate :host nb-sidebar.menu-sidebar .main-btn{padding:.75rem 2.5rem;margin-top:-2rem;font-weight:700;-webkit-transition:padding .3s cubic-bezier(.18,.89,.32,1.48);transition:padding .3s cubic-bezier(.18,.89,.32,1.48);border-radius:.17rem}.nb-theme-corporate :host nb-sidebar.menu-sidebar .main-btn i{font-size:2rem;text-shadow:0 1px 1px rgba(0,0,0,.2)}[dir=ltr] .nb-theme-corporate :host nb-sidebar.menu-sidebar .main-btn span{padding-left:.25rem}[dir=rtl] .nb-theme-corporate :host nb-sidebar.menu-sidebar .main-btn span{padding-right:.25rem}.nb-theme-corporate :host nb-sidebar.menu-sidebar .main-btn i,.nb-theme-corporate :host nb-sidebar.menu-sidebar .main-btn span{vertical-align:middle}.nb-theme-corporate :host nb-sidebar.menu-sidebar.compacted /deep/ nb-sidebar-header{padding-left:0;padding-right:0}.nb-theme-corporate :host nb-sidebar.menu-sidebar.compacted .main-btn{width:46px;height:44px;padding:.375rem;border-radius:5px;-webkit-transition:none;transition:none}.nb-theme-corporate :host nb-sidebar.menu-sidebar.compacted .main-btn span{display:none}@media (max-width:399.98px){.nb-theme-default :host .main-content{padding:.75rem!important}.nb-theme-cosmic :host .main-content{padding:.75rem!important}.nb-theme-corporate :host .main-content{padding:.75rem!important}}@media (max-width:767.98px){.nb-theme-corporate :host nb-sidebar.menu-sidebar{margin-top:0}.nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ .main-container{height:calc(100vh - 4.75rem)!important}[dir=ltr] .nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-right-radius:0}[dir=rtl] .nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-left-radius:0}.nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ .main-container .scrollable{padding-top:0}.nb-theme-corporate :host .main-btn{display:none}}"]
                    }] }
        ];
        /** @nocollapse */
        ThreeColumnsLayoutComponent.ctorParameters = function () {
            return [
                { type: theme.NbThemeService }
            ];
        };
        return ThreeColumnsLayoutComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    // TODO: move layouts into the framework
    var SampleLayoutComponent = /** @class */ (function () {
        function SampleLayoutComponent(stateService, menuService, themeService, bpService, sidebarService) {
            var _this = this;
            this.stateService = stateService;
            this.menuService = menuService;
            this.themeService = themeService;
            this.bpService = bpService;
            this.sidebarService = sidebarService;
            this.subMenu = [
                {
                    title: 'PAGE LEVEL MENU',
                    group: true,
                },
                {
                    title: 'Buttons',
                    icon: 'ion ion-android-radio-button-off',
                    link: '/pages/ui-features/buttons',
                },
                {
                    title: 'Grid',
                    icon: 'ion ion-android-radio-button-off',
                    link: '/pages/ui-features/grid',
                },
                {
                    title: 'Icons',
                    icon: 'ion ion-android-radio-button-off',
                    link: '/pages/ui-features/icons',
                },
                {
                    title: 'Modals',
                    icon: 'ion ion-android-radio-button-off',
                    link: '/pages/ui-features/modals',
                },
                {
                    title: 'Typography',
                    icon: 'ion ion-android-radio-button-off',
                    link: '/pages/ui-features/typography',
                },
                {
                    title: 'Animated Searches',
                    icon: 'ion ion-android-radio-button-off',
                    link: '/pages/ui-features/search-fields',
                },
                {
                    title: 'Tabs',
                    icon: 'ion ion-android-radio-button-off',
                    link: '/pages/ui-features/tabs',
                },
            ];
            this.layout = {};
            this.sidebar = {};
            this.alive = true;
            this.stateService.onLayoutState()
                .pipe(operators.takeWhile(function () { return _this.alive; }))
                .subscribe(function (layout) { return _this.layout = layout; });
            this.stateService.onSidebarState()
                .pipe(operators.takeWhile(function () { return _this.alive; }))
                .subscribe(function (sidebar) {
                _this.sidebar = sidebar;
            });
            /** @type {?} */
            var isBp = this.bpService.getByName('is');
            this.menuService.onItemSelect()
                .pipe(operators.takeWhile(function () { return _this.alive; }), operators.withLatestFrom(this.themeService.onMediaQueryChange()), operators.delay(20))
                .subscribe(function (_a) {
                var _b = __read(_a, 2), item = _b[0], _c = __read(_b[1], 2), bpFrom = _c[0], bpTo = _c[1];
                if (bpTo.width <= isBp.width) {
                    _this.sidebarService.collapse('menu-sidebar');
                }
            });
            this.themeService.getJsTheme()
                .pipe(operators.takeWhile(function () { return _this.alive; }))
                .subscribe(function (theme$$1) {
                _this.currentTheme = theme$$1.name;
            });
        }
        /**
         * @return {?}
         */
        SampleLayoutComponent.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                this.alive = false;
            };
        SampleLayoutComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'ngx-sample-layout',
                        template: "\n    <nb-layout [center]=\"layout.id === 'center-column'\" windowMode>\n      <nb-layout-header fixed>\n        <ngx-header [position]=\"sidebar.id === 'start' ? 'normal': 'inverse'\"></ngx-header>\n      </nb-layout-header>\n\n      <nb-sidebar class=\"menu-sidebar\"\n                   tag=\"menu-sidebar\"\n                   responsive\n                   [end]=\"sidebar.id === 'end'\">\n        <nb-sidebar-header *ngIf=\"currentTheme !== 'corporate'\">\n          <a href=\"#\" class=\"btn btn-hero-success main-btn\">\n            <i class=\"ion ion-social-github\"></i> <span>Support Us</span>\n          </a>\n        </nb-sidebar-header>\n        <ng-content select=\"nb-menu\"></ng-content>\n      </nb-sidebar>\n\n      <nb-layout-column class=\"main-content\">\n        <ng-content select=\"router-outlet\"></ng-content>\n      </nb-layout-column>\n\n      <nb-layout-column start class=\"small\" *ngIf=\"layout.id === 'two-column' || layout.id === 'three-column'\">\n        <nb-menu [items]=\"subMenu\"></nb-menu>\n      </nb-layout-column>\n\n      <nb-layout-column class=\"small\" *ngIf=\"layout.id === 'three-column'\">\n        <nb-menu [items]=\"subMenu\"></nb-menu>\n      </nb-layout-column>\n\n      <nb-layout-footer fixed>\n        <ngx-footer></ngx-footer>\n      </nb-layout-footer>\n\n      <nb-sidebar class=\"settings-sidebar\"\n                   tag=\"settings-sidebar\"\n                   state=\"collapsed\"\n                   fixed\n                   [end]=\"sidebar.id !== 'end'\">\n        <ngx-theme-settings></ngx-theme-settings>\n      </nb-sidebar>\n    </nb-layout>\n    <ngx-toggle-settings-button></ngx-toggle-settings-button>\n  ",
                        styles: ["/*!\n * @license\n * Copyright Akveo. All Rights Reserved.\n * Licensed under the MIT License. See License.txt in the project root for license information.\n */.nb-theme-default :host nb-layout-column.small{-webkit-box-flex:.15!important;-ms-flex:.15!important;flex:.15!important}.nb-theme-default :host nb-sidebar.settings-sidebar{-webkit-transition:-webkit-transform .3s;transition:transform .3s;transition:transform .3s,-webkit-transform .3s;width:19rem;overflow:hidden}[dir=ltr] .nb-theme-default :host nb-sidebar.settings-sidebar{-webkit-transform:translate3d(100%,0,0);transform:translate3d(100%,0,0)}[dir=rtl] .nb-theme-default :host nb-sidebar.settings-sidebar{-webkit-transform:translate3d(-100%,0,0);transform:translate3d(-100%,0,0)}[dir=ltr] .nb-theme-default :host nb-sidebar.settings-sidebar.start{-webkit-transform:translate3d(-100%,0,0);transform:translate3d(-100%,0,0)}[dir=rtl] .nb-theme-default :host nb-sidebar.settings-sidebar.start{-webkit-transform:translate3d(100%,0,0);transform:translate3d(100%,0,0)}.nb-theme-default :host nb-sidebar.settings-sidebar.expanded,.nb-theme-default :host nb-sidebar.settings-sidebar.expanded.start{-webkit-transform:translate3d(0,0,0);transform:translate3d(0,0,0)}.nb-theme-default :host nb-sidebar.settings-sidebar /deep/ .scrollable{width:19rem;padding:3.4rem .25rem}.nb-theme-default :host nb-sidebar.settings-sidebar /deep/ .main-container{width:19rem;background:#fff;-webkit-transition:-webkit-transform .3s;transition:transform .3s;transition:transform .3s,-webkit-transform .3s;overflow:hidden;position:relative}.nb-theme-default :host nb-sidebar.settings-sidebar /deep/ .main-container .scrollable{width:19rem}.nb-theme-default :host nb-sidebar.menu-sidebar{margin-top:2rem;background:0 0}.nb-theme-default :host nb-sidebar.menu-sidebar /deep/ .main-container{height:calc(100vh - 4.75rem - 2rem)!important}[dir=ltr] .nb-theme-default :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-right-radius:.375rem}[dir=rtl] .nb-theme-default :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-left-radius:.375rem}.nb-theme-default :host nb-sidebar.menu-sidebar /deep/ nb-sidebar-header{padding-bottom:.5rem;text-align:center}.nb-theme-default :host nb-sidebar.menu-sidebar .main-btn{padding:.75rem 2.5rem;margin-top:-2rem;font-weight:700;-webkit-transition:padding .3s cubic-bezier(.18,.89,.32,1.48);transition:padding .3s cubic-bezier(.18,.89,.32,1.48)}.nb-theme-default :host nb-sidebar.menu-sidebar .main-btn i{font-size:2rem;text-shadow:0 1px 1px rgba(0,0,0,.2)}[dir=ltr] .nb-theme-default :host nb-sidebar.menu-sidebar .main-btn span{padding-left:.25rem}[dir=rtl] .nb-theme-default :host nb-sidebar.menu-sidebar .main-btn span{padding-right:.25rem}.nb-theme-default :host nb-sidebar.menu-sidebar .main-btn i,.nb-theme-default :host nb-sidebar.menu-sidebar .main-btn span{vertical-align:middle}.nb-theme-default :host nb-sidebar.menu-sidebar /deep/ nb-menu>.menu-items>.menu-item:first-child .menu-title::after{content:'new';color:#fff;margin-left:1rem;background:#ff4c6a;padding:0 .5rem;border-radius:.375rem;font-size:.875rem}.nb-theme-default :host nb-sidebar.menu-sidebar /deep/ nb-menu .nb-e-commerce{font-size:2rem}.nb-theme-default :host nb-sidebar.menu-sidebar.compacted /deep/ nb-sidebar-header{padding-left:0;padding-right:0}.nb-theme-default :host nb-sidebar.menu-sidebar.compacted .main-btn{width:46px;height:44px;padding:.375rem;border-radius:5px;-webkit-transition:none;transition:none}.nb-theme-default :host nb-sidebar.menu-sidebar.compacted .main-btn span{display:none}@media (max-width:767.98px){.nb-theme-default :host nb-sidebar.menu-sidebar{margin-top:0}.nb-theme-default :host nb-sidebar.menu-sidebar /deep/ .main-container{height:calc(100vh - 4.75rem)!important}[dir=ltr] .nb-theme-default :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-right-radius:0}[dir=rtl] .nb-theme-default :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-left-radius:0}.nb-theme-default :host nb-sidebar.menu-sidebar /deep/ .main-container .scrollable{padding-top:0}.nb-theme-default :host .main-btn{display:none}}.nb-theme-cosmic :host nb-layout-column.small{-webkit-box-flex:.15!important;-ms-flex:.15!important;flex:.15!important}.nb-theme-cosmic :host nb-sidebar.settings-sidebar{-webkit-transition:-webkit-transform .3s;transition:transform .3s;transition:transform .3s,-webkit-transform .3s;width:19rem;overflow:hidden}[dir=ltr] .nb-theme-cosmic :host nb-sidebar.settings-sidebar{-webkit-transform:translate3d(100%,0,0);transform:translate3d(100%,0,0)}[dir=rtl] .nb-theme-cosmic :host nb-sidebar.settings-sidebar{-webkit-transform:translate3d(-100%,0,0);transform:translate3d(-100%,0,0)}[dir=ltr] .nb-theme-cosmic :host nb-sidebar.settings-sidebar.start{-webkit-transform:translate3d(-100%,0,0);transform:translate3d(-100%,0,0)}[dir=rtl] .nb-theme-cosmic :host nb-sidebar.settings-sidebar.start{-webkit-transform:translate3d(100%,0,0);transform:translate3d(100%,0,0)}.nb-theme-cosmic :host nb-sidebar.settings-sidebar.expanded,.nb-theme-cosmic :host nb-sidebar.settings-sidebar.expanded.start{-webkit-transform:translate3d(0,0,0);transform:translate3d(0,0,0)}.nb-theme-cosmic :host nb-sidebar.settings-sidebar /deep/ .scrollable{width:19rem;padding:3.4rem .25rem}.nb-theme-cosmic :host nb-sidebar.settings-sidebar /deep/ .main-container{width:19rem;background:#2f296b;-webkit-transition:-webkit-transform .3s;transition:transform .3s;transition:transform .3s,-webkit-transform .3s;overflow:hidden;position:relative}.nb-theme-cosmic :host nb-sidebar.settings-sidebar /deep/ .main-container .scrollable{width:19rem}.nb-theme-cosmic :host nb-sidebar.menu-sidebar{margin-top:2rem;background:0 0}.nb-theme-cosmic :host nb-sidebar.menu-sidebar /deep/ .main-container{height:calc(100vh - 4.75rem - 2rem)!important}[dir=ltr] .nb-theme-cosmic :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-right-radius:.5rem}[dir=rtl] .nb-theme-cosmic :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-left-radius:.5rem}.nb-theme-cosmic :host nb-sidebar.menu-sidebar /deep/ nb-sidebar-header{padding-bottom:.5rem;text-align:center}.nb-theme-cosmic :host nb-sidebar.menu-sidebar .main-btn{padding:.75rem 2.5rem;margin-top:-2rem;font-weight:700;-webkit-transition:padding .3s cubic-bezier(.18,.89,.32,1.48);transition:padding .3s cubic-bezier(.18,.89,.32,1.48)}.nb-theme-cosmic :host nb-sidebar.menu-sidebar .main-btn i{font-size:2rem;text-shadow:0 1px 1px rgba(0,0,0,.2)}[dir=ltr] .nb-theme-cosmic :host nb-sidebar.menu-sidebar .main-btn span{padding-left:.25rem}[dir=rtl] .nb-theme-cosmic :host nb-sidebar.menu-sidebar .main-btn span{padding-right:.25rem}.nb-theme-cosmic :host nb-sidebar.menu-sidebar .main-btn i,.nb-theme-cosmic :host nb-sidebar.menu-sidebar .main-btn span{vertical-align:middle}.nb-theme-cosmic :host nb-sidebar.menu-sidebar /deep/ nb-menu>.menu-items>.menu-item:first-child .menu-title::after{content:'new';color:#fff;margin-left:1rem;background:#ff386a;padding:0 .5rem;border-radius:.5rem;font-size:.875rem}.nb-theme-cosmic :host nb-sidebar.menu-sidebar /deep/ nb-menu .nb-e-commerce{font-size:2rem}.nb-theme-cosmic :host nb-sidebar.menu-sidebar.compacted /deep/ nb-sidebar-header{padding-left:0;padding-right:0}.nb-theme-cosmic :host nb-sidebar.menu-sidebar.compacted .main-btn{width:46px;height:44px;padding:.375rem;border-radius:5px;-webkit-transition:none;transition:none}.nb-theme-cosmic :host nb-sidebar.menu-sidebar.compacted .main-btn span{display:none}@media (max-width:767.98px){.nb-theme-cosmic :host nb-sidebar.menu-sidebar{margin-top:0}.nb-theme-cosmic :host nb-sidebar.menu-sidebar /deep/ .main-container{height:calc(100vh - 4.75rem)!important}[dir=ltr] .nb-theme-cosmic :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-right-radius:0}[dir=rtl] .nb-theme-cosmic :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-left-radius:0}.nb-theme-cosmic :host nb-sidebar.menu-sidebar /deep/ .main-container .scrollable{padding-top:0}.nb-theme-cosmic :host .main-btn{display:none}}.nb-theme-corporate :host nb-layout-column.small{-webkit-box-flex:.15!important;-ms-flex:.15!important;flex:.15!important}.nb-theme-corporate :host nb-sidebar.settings-sidebar{-webkit-transition:-webkit-transform .3s;transition:transform .3s;transition:transform .3s,-webkit-transform .3s;width:19rem;overflow:hidden}[dir=ltr] .nb-theme-corporate :host nb-sidebar.settings-sidebar{-webkit-transform:translate3d(100%,0,0);transform:translate3d(100%,0,0)}[dir=rtl] .nb-theme-corporate :host nb-sidebar.settings-sidebar{-webkit-transform:translate3d(-100%,0,0);transform:translate3d(-100%,0,0)}[dir=ltr] .nb-theme-corporate :host nb-sidebar.settings-sidebar.start{-webkit-transform:translate3d(-100%,0,0);transform:translate3d(-100%,0,0)}[dir=rtl] .nb-theme-corporate :host nb-sidebar.settings-sidebar.start{-webkit-transform:translate3d(100%,0,0);transform:translate3d(100%,0,0)}.nb-theme-corporate :host nb-sidebar.settings-sidebar.expanded,.nb-theme-corporate :host nb-sidebar.settings-sidebar.expanded.start{-webkit-transform:translate3d(0,0,0);transform:translate3d(0,0,0)}.nb-theme-corporate :host nb-sidebar.settings-sidebar /deep/ .scrollable{width:19rem;padding:3.4rem .25rem}.nb-theme-corporate :host nb-sidebar.settings-sidebar /deep/ .main-container{width:19rem;background:#fff;-webkit-transition:-webkit-transform .3s;transition:transform .3s;transition:transform .3s,-webkit-transform .3s;overflow:hidden;position:relative}.nb-theme-corporate :host nb-sidebar.settings-sidebar /deep/ .main-container .scrollable{width:19rem}.nb-theme-corporate :host nb-sidebar.menu-sidebar{margin-top:0;background:0 0}.nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ .main-container{border:1px solid #cdd5dc;height:calc(100vh - 4.75rem)!important}[dir=ltr] .nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-right-radius:.17rem}[dir=rtl] .nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-left-radius:.17rem}.nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ .scrollable{padding-top:0}.nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ .scrollable .menu-item:first-child{border-top:none}.nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ nb-sidebar-header{padding-bottom:.5rem;text-align:center}.nb-theme-corporate :host nb-sidebar.menu-sidebar .main-btn{padding:.75rem 2.5rem;margin-top:-2rem;font-weight:700;-webkit-transition:padding .3s cubic-bezier(.18,.89,.32,1.48);transition:padding .3s cubic-bezier(.18,.89,.32,1.48);border-radius:.17rem}.nb-theme-corporate :host nb-sidebar.menu-sidebar .main-btn i{font-size:2rem;text-shadow:0 1px 1px rgba(0,0,0,.2)}[dir=ltr] .nb-theme-corporate :host nb-sidebar.menu-sidebar .main-btn span{padding-left:.25rem}[dir=rtl] .nb-theme-corporate :host nb-sidebar.menu-sidebar .main-btn span{padding-right:.25rem}.nb-theme-corporate :host nb-sidebar.menu-sidebar .main-btn i,.nb-theme-corporate :host nb-sidebar.menu-sidebar .main-btn span{vertical-align:middle}.nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ nb-menu>.menu-items>.menu-item:first-child .menu-title::after{content:'new';color:#fff;margin-left:1rem;background:#ff6b83;padding:0 .5rem;border-radius:.17rem;font-size:.875rem}.nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ nb-menu .nb-e-commerce{font-size:2rem}.nb-theme-corporate :host nb-sidebar.menu-sidebar.compacted /deep/ nb-sidebar-header{padding-left:0;padding-right:0}.nb-theme-corporate :host nb-sidebar.menu-sidebar.compacted .main-btn{width:46px;height:44px;padding:.375rem;border-radius:5px;-webkit-transition:none;transition:none}.nb-theme-corporate :host nb-sidebar.menu-sidebar.compacted .main-btn span{display:none}@media (max-width:399.98px){.nb-theme-default :host .main-content{padding:.75rem!important}.nb-theme-cosmic :host .main-content{padding:.75rem!important}.nb-theme-corporate :host .main-content{padding:.75rem!important}}@media (max-width:767.98px){.nb-theme-corporate :host nb-sidebar.menu-sidebar{margin-top:0}.nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ .main-container{height:calc(100vh - 4.75rem)!important}[dir=ltr] .nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-right-radius:0}[dir=rtl] .nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ .main-container{border-top-left-radius:0}.nb-theme-corporate :host nb-sidebar.menu-sidebar /deep/ .main-container .scrollable{padding-top:0}.nb-theme-corporate :host .main-btn{display:none}}"]
                    }] }
        ];
        /** @nocollapse */
        SampleLayoutComponent.ctorParameters = function () {
            return [
                { type: StateService },
                { type: theme.NbMenuService },
                { type: theme.NbThemeService },
                { type: theme.NbMediaBreakpointsService },
                { type: theme.NbSidebarService }
            ];
        };
        return SampleLayoutComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var DEFAULT_THEME = {
        name: 'default',
        base: null,
        variables: {
            // Safari fix
            temperature: [
                '#42db7d',
                '#42db7d',
                '#42db7d',
                '#42db7d',
                '#42db7d',
            ],
            solar: {
                gradientLeft: '#42db7d',
                gradientRight: '#42db7d',
                shadowColor: 'rgba(0, 0, 0, 0)',
                radius: ['80%', '90%'],
            },
            traffic: {
                colorBlack: '#000000',
                tooltipBg: '#ffffff',
                tooltipBorderColor: '#c0c8d1',
                tooltipExtraCss: 'border-radius: 10px; padding: 4px 16px;',
                tooltipTextColor: '#2a2a2a',
                tooltipFontWeight: 'bolder',
                lineBg: '#c0c8d1',
                lineShadowBlur: '1',
                itemColor: '#bcc3cc',
                itemBorderColor: '#bcc3cc',
                itemEmphasisBorderColor: '#42db7d',
                shadowLineDarkBg: 'rgba(0, 0, 0, 0)',
                shadowLineShadow: 'rgba(0, 0, 0, 0)',
                gradFrom: '#ebeef2',
                gradTo: '#ebeef2',
            },
            electricity: {
                tooltipBg: '#ffffff',
                tooltipLineColor: 'rgba(0, 0, 0, 0)',
                tooltipLineWidth: '0',
                tooltipBorderColor: '#ebeef2',
                tooltipExtraCss: 'border-radius: 10px; padding: 8px 24px;',
                tooltipTextColor: '#2a2a2a',
                tooltipFontWeight: 'bolder',
                axisLineColor: 'rgba(0, 0, 0, 0)',
                xAxisTextColor: '#2a2a2a',
                yAxisSplitLine: '#ebeef2',
                itemBorderColor: '#42db7d',
                lineStyle: 'solid',
                lineWidth: '4',
                lineGradFrom: '#42db7d',
                lineGradTo: '#42db7d',
                lineShadow: 'rgba(0, 0, 0, 0)',
                areaGradFrom: 'rgba(235, 238, 242, 0.5)',
                areaGradTo: 'rgba(235, 238, 242, 0.5)',
                shadowLineDarkBg: 'rgba(0, 0, 0, 0)',
            },
            bubbleMap: {
                titleColor: '#484848',
                areaColor: '#dddddd',
                areaHoverColor: '#cccccc',
                areaBorderColor: '#ebeef2',
            },
            profitBarAnimationEchart: {
                textColor: '#484848',
                firstAnimationBarColor: '#3edd81',
                secondAnimationBarColor: '#8d7fff',
                splitLineStyleOpacity: '0.06',
                splitLineStyleWidth: '1',
                splitLineStyleColor: '#000000',
                tooltipTextColor: '#2a2a2a',
                tooltipFontWeight: 'bolder',
                tooltipFontSize: '16',
                tooltipBg: '#ffffff',
                tooltipBorderColor: '#c0c8d1',
                tooltipBorderWidth: '3',
                tooltipExtraCss: 'border-radius: 10px; padding: 4px 16px;',
            },
            trafficBarEchart: {
                gradientFrom: '#fc0',
                gradientTo: '#ffa100',
                shadow: '#ffb600',
                shadowBlur: '0',
                axisTextColor: '#b2bac2',
                axisFontSize: '12',
                tooltipBg: '#ffffff',
                tooltipBorderColor: '#c0c8d1',
                tooltipExtraCss: 'border-radius: 10px; padding: 4px 16px;',
                tooltipTextColor: '#2a2a2a',
                tooltipFontWeight: 'bolder',
            },
            countryOrders: {
                countryBorderColor: 'rgba(255, 255, 255, 1)',
                countryFillColor: 'rgba(236, 242, 245, 1)',
                countryBorderWidth: '1',
                hoveredCountryBorderColor: '#40dc7e',
                hoveredCountryFillColor: '#c7f4d9',
                hoveredCountryBorderWidth: '3',
                chartAxisLineColor: 'rgba(0, 0, 0, 0)',
                chartAxisTextColor: '#b2bac2',
                chartAxisFontSize: '16',
                chartGradientTo: '#3edd81',
                chartGradientFrom: '#3bddaf',
                chartAxisSplitLine: '#ebeef2',
                chartShadowLineColor: '#2f296b',
                chartLineBottomShadowColor: '#eceff4',
                chartInnerLineColor: '#eceff4',
            },
            echarts: {
                bg: '#ffffff',
                textColor: '#484848',
                axisLineColor: '#bbbbbb',
                splitLineColor: '#ebeef2',
                itemHoverShadowColor: 'rgba(0, 0, 0, 0.5)',
                tooltipBackgroundColor: '#6a7985',
                areaOpacity: '0.7',
            },
            chartjs: {
                axisLineColor: '#cccccc',
                textColor: '#484848',
            },
            orders: {
                tooltipBg: '#ffffff',
                tooltipLineColor: 'rgba(0, 0, 0, 0)',
                tooltipLineWidth: '0',
                tooltipBorderColor: '#ebeef2',
                tooltipExtraCss: 'border-radius: 10px; padding: 8px 24px;',
                tooltipTextColor: '#2a2a2a',
                tooltipFontWeight: 'bolder',
                tooltipFontSize: '20',
                axisLineColor: 'rgba(161, 161 ,229, 0.3)',
                axisFontSize: '16',
                axisTextColor: '#b2bac2',
                yAxisSplitLine: 'rgba(161, 161 ,229, 0.2)',
                itemBorderColor: '#42db7d',
                lineStyle: 'solid',
                lineWidth: '4',
                // first line
                firstAreaGradFrom: 'rgba(236, 242, 245, 0.8)',
                firstAreaGradTo: 'rgba(236, 242, 245, 0.8)',
                firstShadowLineDarkBg: 'rgba(0, 0, 0, 0)',
                // second line
                secondLineGradFrom: 'rgba(164, 123, 255, 1)',
                secondLineGradTo: 'rgba(164, 123, 255, 1)',
                secondAreaGradFrom: 'rgba(188, 92, 255, 0.2)',
                secondAreaGradTo: 'rgba(188, 92, 255, 0)',
                secondShadowLineDarkBg: 'rgba(0, 0, 0, 0)',
                // third line
                thirdLineGradFrom: 'rgba(55, 220, 136, 1)',
                thirdLineGradTo: 'rgba(55, 220, 136, 1)',
                thirdAreaGradFrom: 'rgba(31 ,106, 124, 0.2)',
                thirdAreaGradTo: 'rgba(4, 126, 230, 0)',
                thirdShadowLineDarkBg: 'rgba(0, 0, 0, 0)',
            },
            // TODO: need design for default theme
            profit: {
                bg: '#ffffff',
                textColor: '#ffffff',
                axisLineColor: 'rgba(161, 161 ,229, 0.3)',
                splitLineColor: 'rgba(161, 161 ,229, 0.2)',
                areaOpacity: '1',
                axisFontSize: '16',
                axisTextColor: '#b2bac2',
                // first bar
                firstLineGradFrom: '#00bece',
                firstLineGradTo: '#00da78',
                firstLineShadow: 'rgba(14, 16, 48, 0.4)',
                // second bar
                secondLineGradFrom: '#8069ff',
                secondLineGradTo: '#8357ff',
                secondLineShadow: 'rgba(14, 16, 48, 0.4)',
                // third bar
                thirdLineGradFrom: 'rgba(236, 242, 245, 0.8)',
                thirdLineGradTo: 'rgba(236, 242, 245, 0.8)',
                thirdLineShadow: 'rgba(14, 16, 48, 0.4)',
            },
            orderProfitLegend: {
                firstItem: 'linear-gradient(90deg, #3edd81 0%, #3bddad 100%)',
                secondItem: 'linear-gradient(90deg, #8d7fff 0%, #b17fff 100%)',
                thirdItem: 'rgba(236, 242, 245, 0.8)',
            },
            visitors: {
                tooltipBg: '#ffffff',
                tooltipLineColor: 'rgba(0, 0, 0, 0)',
                tooltipLineWidth: '0',
                tooltipBorderColor: '#ebeef2',
                tooltipExtraCss: 'border-radius: 10px; padding: 8px 24px;',
                tooltipTextColor: '#2a2a2a',
                tooltipFontWeight: 'bolder',
                tooltipFontSize: '20',
                axisLineColor: 'rgba(161, 161 ,229, 0.3)',
                axisFontSize: '16',
                axisTextColor: '#b2bac2',
                yAxisSplitLine: 'rgba(161, 161 ,229, 0.2)',
                itemBorderColor: '#42db7d',
                lineStyle: 'dotted',
                lineWidth: '6',
                lineGradFrom: '#ffffff',
                lineGradTo: '#ffffff',
                lineShadow: 'rgba(14, 16, 48, 0)',
                areaGradFrom: 'rgba(188, 92, 255, 1)',
                areaGradTo: 'rgba(188, 92, 255, 0.5)',
                shadowLineDarkBg: '#a695ff',
                innerLineStyle: 'solid',
                innerLineWidth: '1',
                innerAreaGradFrom: 'rgba(60, 221, 156, 1)',
                innerAreaGradTo: 'rgba(60, 221, 156, 1)',
            },
            visitorsLegend: {
                firstIcon: 'linear-gradient(90deg, #3edd81 0%, #3bddad 100%)',
                secondIcon: 'linear-gradient(90deg, #8d7fff 0%, #b17fff 100%)',
            },
            visitorsPie: {
                firstPieGradientLeft: '#8defbb',
                firstPieGradientRight: '#8defbb',
                firstPieShadowColor: 'rgba(0, 0, 0, 0)',
                firstPieRadius: ['70%', '90%'],
                secondPieGradientLeft: '#ff894a',
                secondPieGradientRight: '#ffcc10',
                secondPieShadowColor: 'rgba(0, 0, 0, 0)',
                secondPieRadius: ['60%', '97%'],
                shadowOffsetX: '0',
                shadowOffsetY: '0',
            },
            visitorsPieLegend: {
                firstSection: 'linear-gradient(90deg, #ffcb17 0%, #ff874c 100%)',
                secondSection: '#8defbb',
            },
            earningPie: {
                radius: ['65%', '100%'],
                center: ['50%', '50%'],
                fontSize: '22',
                firstPieGradientLeft: '#00d77f',
                firstPieGradientRight: '#00d77f',
                firstPieShadowColor: 'rgba(0, 0, 0, 0)',
                secondPieGradientLeft: '#7756f7',
                secondPieGradientRight: '#7756f7',
                secondPieShadowColor: 'rgba(0, 0, 0, 0)',
                thirdPieGradientLeft: '#ffca00',
                thirdPieGradientRight: '#ffca00',
                thirdPieShadowColor: 'rgba(0, 0, 0, 0)',
            },
            earningLine: {
                gradFrom: 'rgba(188, 92, 255, 0.5)',
                gradTo: 'rgba(188, 92, 255, 0.5)',
                tooltipTextColor: '#2a2a2a',
                tooltipFontWeight: 'bolder',
                tooltipFontSize: '16',
                tooltipBg: '#ffffff',
                tooltipBorderColor: '#c0c8d1',
                tooltipBorderWidth: '3',
                tooltipExtraCss: 'border-radius: 10px; padding: 4px 16px;',
            },
        },
    };

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var COSMIC_THEME = {
        name: 'cosmic',
        base: 'default',
        variables: {
            temperature: [
                '#2ec7fe',
                '#31ffad',
                '#7bff24',
                '#fff024',
                '#f7bd59',
            ],
            solar: {
                gradientLeft: '#7bff24',
                gradientRight: '#2ec7fe',
                shadowColor: '#19977E',
                radius: ['70%', '90%'],
            },
            traffic: {
                colorBlack: '#000000',
                tooltipBg: 'rgba(0, 255, 170, 0.35)',
                tooltipBorderColor: '#00d977',
                tooltipExtraCss: 'box-shadow: 0px 2px 46px 0 rgba(0, 255, 170, 0.35); border-radius: 10px; padding: 4px 16px;',
                tooltipTextColor: '#ffffff',
                tooltipFontWeight: 'normal',
                lineBg: '#d1d1ff',
                lineShadowBlur: '14',
                itemColor: '#BEBBFF',
                itemBorderColor: '#ffffff',
                itemEmphasisBorderColor: '#ffffff',
                shadowLineDarkBg: '#655ABD',
                shadowLineShadow: 'rgba(33, 7, 77, 0.5)',
                gradFrom: 'rgba(118, 89, 255, 0.4)',
                gradTo: 'rgba(164, 84, 255, 0.5)',
            },
            electricity: {
                tooltipBg: 'rgba(0, 255, 170, 0.35)',
                tooltipLineColor: 'rgba(255, 255, 255, 0.1)',
                tooltipLineWidth: '1',
                tooltipBorderColor: '#00d977',
                tooltipExtraCss: 'box-shadow: 0px 2px 46px 0 rgba(0, 255, 170, 0.35); border-radius: 10px; padding: 8px 24px;',
                tooltipTextColor: '#ffffff',
                tooltipFontWeight: 'normal',
                axisLineColor: 'rgba(161, 161 ,229, 0.3)',
                xAxisTextColor: '#a1a1e5',
                yAxisSplitLine: 'rgba(161, 161 ,229, 0.2)',
                itemBorderColor: '#ffffff',
                lineStyle: 'dotted',
                lineWidth: '6',
                lineGradFrom: '#00ffaa',
                lineGradTo: '#fff835',
                lineShadow: 'rgba(14, 16, 48, 0.4)',
                areaGradFrom: 'rgba(188, 92, 255, 0.5)',
                areaGradTo: 'rgba(188, 92, 255, 0)',
                shadowLineDarkBg: '#a695ff',
            },
            bubbleMap: {
                titleColor: '#ffffff',
                areaColor: '#2c2961',
                areaHoverColor: '#a1a1e5',
                areaBorderColor: '#654ddb',
            },
            profitBarAnimationEchart: {
                textColor: '#ffffff',
                firstAnimationBarColor: '#0088ff',
                secondAnimationBarColor: '#7659ff',
                splitLineStyleOpacity: '0.06',
                splitLineStyleWidth: '1',
                splitLineStyleColor: '#000000',
                tooltipTextColor: '#ffffff',
                tooltipFontWeight: 'normal',
                tooltipFontSize: '16',
                tooltipBg: 'rgba(0, 255, 170, 0.35)',
                tooltipBorderColor: '#00d977',
                tooltipBorderWidth: '3',
                tooltipExtraCss: 'box-shadow: 0px 2px 46px 0 rgba(0, 255, 170, 0.35); border-radius: 10px; padding: 4px 16px;',
            },
            trafficBarEchart: {
                gradientFrom: '#fc0',
                gradientTo: '#ffa100',
                shadow: '#ffb600',
                shadowBlur: '5',
                axisTextColor: '#a1a1e5',
                axisFontSize: '12',
                tooltipBg: 'rgba(0, 255, 170, 0.35)',
                tooltipBorderColor: '#00d977',
                tooltipExtraCss: 'box-shadow: 0px 2px 46px 0 rgba(0, 255, 170, 0.35); border-radius: 10px; padding: 4px 16px;',
                tooltipTextColor: '#ffffff',
                tooltipFontWeight: 'normal',
            },
            countryOrders: {
                countryBorderColor: '#525dbd',
                countryFillColor: '#4f41a6',
                countryBorderWidth: '2',
                hoveredCountryBorderColor: '#00f9a6',
                hoveredCountryFillColor: '#377aa7',
                hoveredCountryBorderWidth: '3',
                chartAxisLineColor: 'rgba(161, 161 ,229, 0.3)',
                chartAxisTextColor: '#a1a1e5',
                chartAxisFontSize: '16',
                chartGradientTo: '#00c7c7',
                chartGradientFrom: '#00d977',
                chartAxisSplitLine: 'rgba(161, 161 ,229, 0.2)',
                chartShadowBarColor: '#2f296b',
                chartLineBottomShadowColor: '#00977e',
                chartInnerLineColor: '#2f296b',
            },
            echarts: {
                bg: '#3d3780',
                textColor: '#ffffff',
                axisLineColor: '#a1a1e5',
                splitLineColor: '#342e73',
                itemHoverShadowColor: 'rgba(0, 0, 0, 0.5)',
                tooltipBackgroundColor: '#6a7985',
                areaOpacity: '1',
            },
            chartjs: {
                axisLineColor: '#a1a1e5',
                textColor: '#ffffff',
            },
            orders: {
                tooltipBg: 'rgba(0, 255, 170, 0.35)',
                tooltipLineColor: 'rgba(255, 255, 255, 0.1)',
                tooltipLineWidth: '1',
                tooltipBorderColor: '#00d977',
                tooltipExtraCss: 'box-shadow: 0px 2px 46px 0 rgba(0, 255, 170, 0.35); border-radius: 10px; padding: 8px 24px;',
                tooltipTextColor: '#ffffff',
                tooltipFontWeight: 'normal',
                tooltipFontSize: '20',
                axisLineColor: 'rgba(161, 161 ,229, 0.3)',
                axisFontSize: '16',
                axisTextColor: '#a1a1e5',
                yAxisSplitLine: 'rgba(161, 161 ,229, 0.2)',
                itemBorderColor: '#ffffff',
                lineStyle: 'solid',
                lineWidth: '4',
                // first line
                firstAreaGradFrom: 'rgba(78, 64, 164, 1)',
                firstAreaGradTo: 'rgba(78, 64, 164, 1)',
                firstShadowLineDarkBg: '#018dff',
                // second line
                secondLineGradFrom: '#00bece',
                secondLineGradTo: '#00da78',
                secondAreaGradFrom: 'rgba(38, 139, 145, 0.8)',
                secondAreaGradTo: 'rgba(38, 139, 145, 0.5)',
                secondShadowLineDarkBg: '#2c5a85',
                // third line
                thirdLineGradFrom: '#8069ff',
                thirdLineGradTo: '#8357ff',
                thirdAreaGradFrom: 'rgba(118, 73, 208, 0.7)',
                thirdAreaGradTo: 'rgba(188, 92, 255, 0.4)',
                thirdShadowLineDarkBg: '#a695ff',
            },
            profit: {
                bg: '#3d3780',
                textColor: '#ffffff',
                axisLineColor: '#a1a1e5',
                splitLineColor: '#342e73',
                areaOpacity: '1',
                axisFontSize: '16',
                axisTextColor: '#a1a1e5',
                // first bar
                firstLineGradFrom: '#00bece',
                firstLineGradTo: '#00da78',
                firstLineShadow: 'rgba(14, 16, 48, 0.4)',
                // second bar
                secondLineGradFrom: '#8069ff',
                secondLineGradTo: '#8357ff',
                secondLineShadow: 'rgba(14, 16, 48, 0.4)',
                // third bar
                thirdLineGradFrom: '#4e40a4',
                thirdLineGradTo: '#4e40a4',
                thirdLineShadow: 'rgba(14, 16, 48, 0.4)',
            },
            orderProfitLegend: {
                firstItem: 'linear-gradient(90deg, #00c7c7 0%, #00d977 100%)',
                secondItem: 'linear-gradient(90deg, #a454ff 0%, #7659ff 100%)',
                thirdItem: '#4e40a4',
            },
            visitors: {
                tooltipBg: 'rgba(0, 255, 170, 0.35)',
                tooltipLineColor: 'rgba(255, 255, 255, 0.1)',
                tooltipLineWidth: '1',
                tooltipBorderColor: '#00d977',
                tooltipExtraCss: 'box-shadow: 0px 2px 46px 0 rgba(0, 255, 170, 0.35); border-radius: 10px; padding: 8px 24px;',
                tooltipTextColor: '#ffffff',
                tooltipFontWeight: 'normal',
                axisLineColor: 'rgba(161, 161 ,229, 0.3)',
                axisFontSize: '16',
                axisTextColor: '#a1a1e5',
                yAxisSplitLine: 'rgba(161, 161 ,229, 0.2)',
                itemBorderColor: '#ffffff',
                lineStyle: 'dotted',
                lineWidth: '6',
                lineGradFrom: '#ffffff',
                lineGradTo: '#ffffff',
                lineShadow: 'rgba(14, 16, 48, 0.4)',
                areaGradFrom: 'rgba(188, 92, 255, 1)',
                areaGradTo: 'rgba(188, 92, 255, 0.5)',
                shadowLineDarkBg: '#a695ff',
                innerLineStyle: 'solid',
                innerLineWidth: '1',
                innerAreaGradFrom: 'rgba(59, 165, 243, 1)',
                innerAreaGradTo: 'rgba(4, 133, 243 , 1)',
            },
            visitorsLegend: {
                firstIcon: 'linear-gradient(90deg, #0088ff 0%, #3dafff 100%)',
                secondIcon: 'linear-gradient(90deg, #a454ff 0%, #7659ff 100%)',
            },
            visitorsPie: {
                firstPieGradientLeft: '#7bff24',
                firstPieGradientRight: '#2ec7fe',
                firstPieShadowColor: '#19977E',
                firstPieRadius: ['70%', '90%'],
                secondPieGradientLeft: '#ff894a',
                secondPieGradientRight: '#ffcc10',
                secondPieShadowColor: '#cf7c1c',
                secondPieRadius: ['60%', '95%'],
                shadowOffsetX: '0',
                shadowOffsetY: '3',
            },
            visitorsPieLegend: {
                firstSection: 'linear-gradient(90deg, #ffcb17 0%, #ff874c 100%)',
                secondSection: 'linear-gradient(90deg, #00c7c7 0%, #00d977 100%)',
            },
            earningPie: {
                radius: ['65%', '100%'],
                center: ['50%', '50%'],
                fontSize: '22',
                firstPieGradientLeft: '#00d77f',
                firstPieGradientRight: '#00d77f',
                firstPieShadowColor: 'rgba(0, 0, 0, 0)',
                secondPieGradientLeft: '#7756f7',
                secondPieGradientRight: '#7756f7',
                secondPieShadowColor: 'rgba(0, 0, 0, 0)',
                thirdPieGradientLeft: '#ffca00',
                thirdPieGradientRight: '#ffca00',
                thirdPieShadowColor: 'rgba(0, 0, 0, 0)',
            },
            earningLine: {
                gradFrom: 'rgba(118, 89, 255, 0.4)',
                gradTo: 'rgba(164, 84, 255, 0.5)',
                tooltipTextColor: '#ffffff',
                tooltipFontWeight: 'normal',
                tooltipFontSize: '16',
                tooltipBg: 'rgba(0, 255, 170, 0.35)',
                tooltipBorderColor: '#00d977',
                tooltipBorderWidth: '3',
                tooltipExtraCss: 'box-shadow: 0px 2px 46px 0 rgba(0, 255, 170, 0.35); border-radius: 10px; padding: 4px 16px;',
            },
        },
    };

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var CORPORATE_THEME = {
        name: 'corporate',
        base: 'default',
        variables: {
            temperature: [
                '#ffa36b',
                '#ffa36b',
                '#ff9e7a',
                '#ff9888',
                '#ff8ea0',
            ],
            solar: {
                gradientLeft: '#ff8ea0',
                gradientRight: '#ffa36b',
                shadowColor: 'rgba(0, 0, 0, 0)',
                radius: ['80%', '90%'],
            },
            traffic: {
                colorBlack: '#ffffff',
                tooltipBg: '#eef2f5',
                tooltipBorderColor: '#eef2f5',
                tooltipExtraCss: 'border-radius: 10px; padding: 4px 16px;',
                tooltipTextColor: '#2a2a2a',
                tooltipFontWeight: '400',
                lineBg: '#cae6f3',
                lineShadowBlur: '0',
                itemColor: '#bcc3cc',
                itemBorderColor: '#bcc3cc',
                itemEmphasisBorderColor: '#74a2ff',
                shadowLineDarkBg: 'rgba(0, 0, 0, 0)',
                shadowLineShadow: 'rgba(0, 0, 0, 0)',
                gradFrom: '#ffffff',
                gradTo: '#ffffff',
            },
            electricity: {
                tooltipBg: '#edf0f4',
                tooltipLineColor: '#bdc4cd',
                tooltipLineWidth: '0',
                tooltipBorderColor: '#ebeef2',
                tooltipExtraCss: 'border-radius: 10px; padding: 8px 24px;',
                tooltipTextColor: '#2a2a2a',
                tooltipFontWeight: 'bolder',
                axisLineColor: 'rgba(0, 0, 0, 0)',
                xAxisTextColor: '#2a2a2a',
                yAxisSplitLine: '#ebeef2',
                itemBorderColor: '#73a1ff',
                lineStyle: 'solid',
                lineWidth: '4',
                lineGradFrom: '#bdc4cd',
                lineGradTo: '#c0c8d1',
                lineShadow: 'rgba(0, 0, 0, 0)',
                areaGradFrom: 'rgba(255, 255, 255, 0)',
                areaGradTo: 'rgba(255, 255, 255, 0)',
                shadowLineDarkBg: 'rgba(255, 255, 255, 0)',
            },
            bubbleMap: {
                titleColor: '#484848',
                areaColor: '#dddddd',
                areaHoverColor: '#cccccc',
                areaBorderColor: '#ebeef2',
            },
            profitBarAnimationEchart: {
                textColor: '#b2bac2',
                firstAnimationBarColor: '#719efc',
                secondAnimationBarColor: '#5dcfe3',
                splitLineStyleOpacity: '0.06',
                splitLineStyleWidth: '1',
                splitLineStyleColor: '#000000',
                tooltipTextColor: '#2a2a2a',
                tooltipFontWeight: '400',
                tooltipFontSize: '16',
                tooltipBg: '#eef2f5',
                tooltipBorderColor: '#eef2f5',
                tooltipBorderWidth: '3',
                tooltipExtraCss: 'border-radius: 10px; padding: 4px 16px;',
            },
            trafficBarEchart: {
                gradientFrom: '#ff8ea0',
                gradientTo: '#ffa36b',
                shadow: 'rgba(0, 0, 0, 0)',
                shadowBlur: '0',
                axisTextColor: '#b2bac2',
                axisFontSize: '12',
                tooltipBg: '#edf0f4',
                tooltipBorderColor: '#ebeef2',
                tooltipExtraCss: 'border-radius: 10px; padding: 8px 24px;',
                tooltipTextColor: '#2a2a2a',
                tooltipFontWeight: 'bolder',
            },
            countryOrders: {
                countryBorderColor: 'rgba(255, 255, 255, 1)',
                countryFillColor: 'rgba(236, 242, 245, 1)',
                countryBorderWidth: '1',
                hoveredCountryBorderColor: 'rgba(113, 158, 252, 1)',
                hoveredCountryFillColor: 'rgba(199, 216, 247, 1)',
                hoveredCountryBorderWidth: '3',
                chartAxisLineColor: 'rgba(0, 0, 0, 0)',
                chartAxisTextColor: '#b2bac2',
                chartAxisFontSize: '16',
                chartGradientTo: 'rgba(113, 158, 252, 1)',
                chartGradientFrom: 'rgba(113, 158, 252, 1)',
                chartAxisSplitLine: '#ebeef2',
                chartShadowLineColor: '#2f296b',
                chartLineBottomShadowColor: 'rgba(113, 158, 252, 1)',
                chartInnerLineColor: '#eceff4',
            },
            echarts: {
                bg: '#ffffff',
                textColor: '#484848',
                axisLineColor: '#bbbbbb',
                splitLineColor: '#ebeef2',
                itemHoverShadowColor: 'rgba(0, 0, 0, 0.5)',
                tooltipBackgroundColor: '#6a7985',
                areaOpacity: '0.7',
            },
            chartjs: {
                axisLineColor: '#cccccc',
                textColor: '#484848',
            },
            orders: {
                tooltipBg: '#ffffff',
                tooltipLineColor: 'rgba(0, 0, 0, 0)',
                tooltipLineWidth: '0',
                tooltipBorderColor: '#ebeef2',
                tooltipExtraCss: 'border-radius: 10px; padding: 8px 24px;',
                tooltipTextColor: '#2a2a2a',
                tooltipFontWeight: 'bolder',
                tooltipFontSize: '20',
                axisLineColor: 'rgba(161, 161 ,229, 0.3)',
                axisFontSize: '16',
                axisTextColor: '#b2bac2',
                yAxisSplitLine: 'rgba(161, 161 ,229, 0.2)',
                itemBorderColor: '#73a1ff',
                lineStyle: 'solid',
                lineWidth: '4',
                // first line
                firstAreaGradFrom: 'rgba(227, 236, 254, 0.7)',
                firstAreaGradTo: 'rgba(227, 236, 254, 0.7)',
                firstShadowLineDarkBg: 'rgba(0, 0, 0, 0)',
                // second line
                secondLineGradFrom: 'rgba(93, 207, 227, 1)',
                secondLineGradTo: 'rgba(93, 207, 227, 1)',
                secondAreaGradFrom: 'rgba(0, 0, 0, 0)',
                secondAreaGradTo: 'rgba(0, 0, 0, 0)',
                secondShadowLineDarkBg: 'rgba(0, 0, 0, 0)',
                // third line
                thirdLineGradFrom: 'rgba(113, 158, 252, 1)',
                thirdLineGradTo: 'rgba(113, 158, 252, 1)',
                thirdAreaGradFrom: 'rgba(0, 0, 0, 0)',
                thirdAreaGradTo: 'rgba(0, 0, 0, 0)',
                thirdShadowLineDarkBg: 'rgba(0, 0, 0, 0)',
            },
            profit: {
                bg: '#ffffff',
                textColor: '#ffffff',
                axisLineColor: 'rgba(161, 161 ,229, 0.3)',
                splitLineColor: 'rgba(161, 161 ,229, 0.2)',
                areaOpacity: '1',
                axisFontSize: '16',
                axisTextColor: '#b2bac2',
                // first bar
                firstLineGradFrom: '#719efc',
                firstLineGradTo: '#719efc',
                firstLineShadow: 'rgba(14, 16, 48, 0.4)',
                // second bar
                secondLineGradFrom: '#5dcfe3',
                secondLineGradTo: '#5dcfe3',
                secondLineShadow: 'rgba(14, 16, 48, 0.4)',
                // third bar
                thirdLineGradFrom: '#e3ecfe',
                thirdLineGradTo: '#e3ecfe',
                thirdLineShadow: 'rgba(14, 16, 48, 0.4)',
            },
            orderProfitLegend: {
                firstItem: '#719efc',
                secondItem: '#5dcfe3',
                thirdItem: '#e3ecfe',
            },
            visitors: {
                tooltipBg: '#ffffff',
                tooltipLineColor: 'rgba(0, 0, 0, 0)',
                tooltipLineWidth: '0',
                tooltipBorderColor: '#ebeef2',
                tooltipExtraCss: 'border-radius: 10px; padding: 8px 24px;',
                tooltipTextColor: '#2a2a2a',
                tooltipFontWeight: 'bolder',
                tooltipFontSize: '20',
                axisLineColor: 'rgba(161, 161 ,229, 0.3)',
                axisFontSize: '16',
                axisTextColor: '#b2bac2',
                yAxisSplitLine: 'rgba(161, 161 ,229, 0.2)',
                itemBorderColor: '#73a1ff',
                lineStyle: 'dotted',
                lineWidth: '6',
                lineGradFrom: '#73a1ff',
                lineGradTo: '#73a1ff',
                lineShadow: 'rgba(0, 0, 0, 0)',
                areaGradFrom: 'rgba(146, 181, 252, 1)',
                areaGradTo: 'rgba(146, 181, 252, 1)',
                shadowLineDarkBg: '#a695ff',
                innerLineStyle: 'solid',
                innerLineWidth: '1',
                innerAreaGradFrom: 'rgba(227, 236, 254, 1)',
                innerAreaGradTo: 'rgba(227, 236, 254, 1)',
            },
            visitorsLegend: {
                firstIcon: '#e3ecfe',
                secondIcon: '#719efc',
            },
            visitorsPie: {
                firstPieGradientLeft: '#94e2ed',
                firstPieGradientRight: '#94e2ed',
                firstPieShadowColor: 'rgba(0, 0, 0, 0)',
                firstPieRadius: ['65%', '90%'],
                secondPieGradientLeft: '#719efc',
                secondPieGradientRight: '#719efc',
                secondPieShadowColor: '#b2cafb',
                secondPieRadius: ['63%', '92%'],
                shadowOffsetX: '-4',
                shadowOffsetY: '-4',
            },
            visitorsPieLegend: {
                firstSection: '#719efc',
                secondSection: '#99e5ee',
            },
            earningPie: {
                radius: ['65%', '100%'],
                center: ['50%', '50%'],
                fontSize: '22',
                firstPieGradientLeft: '#719efc',
                firstPieGradientRight: '#719efc',
                firstPieShadowColor: 'rgba(0, 0, 0, 0)',
                secondPieGradientLeft: '#ff9f6f',
                secondPieGradientRight: '#ff9f6f',
                secondPieShadowColor: 'rgba(0, 0, 0, 0)',
                thirdPieGradientLeft: '#ff5e83',
                thirdPieGradientRight: '#ff5e83',
                thirdPieShadowColor: 'rgba(0, 0, 0, 0)',
            },
            earningLine: {
                gradFrom: '#e3ecfe',
                gradTo: '#e3ecfe',
                tooltipTextColor: '#2a2a2a',
                tooltipFontWeight: '400',
                tooltipFontSize: '16',
                tooltipBg: '#eef2f5',
                tooltipBorderColor: '#eef2f5',
                tooltipBorderWidth: '3',
                tooltipExtraCss: 'border-radius: 10px; padding: 4px 16px;',
            },
        },
    };

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var BASE_MODULES = [common.CommonModule, forms.FormsModule, forms.ReactiveFormsModule];
    /** @type {?} */
    var NB_MODULES = [
        theme.NbCardModule,
        theme.NbLayoutModule,
        theme.NbTabsetModule,
        theme.NbRouteTabsetModule,
        theme.NbMenuModule,
        theme.NbUserModule,
        theme.NbActionsModule,
        theme.NbSearchModule,
        theme.NbSidebarModule,
        theme.NbCheckboxModule,
        theme.NbPopoverModule,
        theme.NbContextMenuModule,
        ngBootstrap.NgbModule,
        security.NbSecurityModule,
        theme.NbProgressBarModule,
        theme.NbCalendarModule,
        theme.NbCalendarRangeModule,
        theme.NbStepperModule,
        theme.NbButtonModule,
        theme.NbListModule,
        theme.NbToastrModule,
        theme.NbInputModule,
        theme.NbAccordionModule,
        theme.NbDatepickerModule,
        theme.NbDialogModule,
        theme.NbWindowModule,
        theme.NbAlertModule,
        theme.NbSpinnerModule,
        theme.NbRadioModule,
        theme.NbSelectModule,
        theme.NbChatModule,
        theme.NbTooltipModule,
        theme.NbCalendarKitModule,
    ];
    /** @type {?} */
    var COMPONENTS = [
        SwitcherComponent,
        LayoutDirectionSwitcherComponent,
        ThemeSwitcherComponent,
        ThemeSwitcherListComponent,
        HeaderComponent,
        FooterComponent,
        SearchInputComponent,
        ThemeSettingsComponent,
        TinyMCEComponent,
        OneColumnLayoutComponent,
        SampleLayoutComponent,
        ThreeColumnsLayoutComponent,
        TwoColumnsLayoutComponent,
        ToggleSettingsButtonComponent,
    ];
    /** @type {?} */
    var ENTRY_COMPONENTS = [
        ThemeSwitcherListComponent,
    ];
    /** @type {?} */
    var PIPES = [
        CapitalizePipe,
        PluralPipe,
        RoundPipe,
        TimingPipe,
        NumberWithCommasPipe,
        EvaIconsPipe,
    ];
    /** @type {?} */
    var NB_THEME_PROVIDERS = __spread(theme.NbThemeModule.forRoot({
        name: 'cosmic',
    }, [DEFAULT_THEME, COSMIC_THEME, CORPORATE_THEME]).providers, theme.NbSidebarModule.forRoot().providers, theme.NbMenuModule.forRoot().providers, theme.NbDatepickerModule.forRoot().providers, theme.NbDialogModule.forRoot().providers, theme.NbWindowModule.forRoot().providers, theme.NbToastrModule.forRoot().providers, theme.NbChatModule.forRoot({
        messageGoogleMapKey: 'AIzaSyA_wNuCzia92MAmdLRzmqitRGvCF7wCZPY',
    }).providers);
    var ThemeModule = /** @class */ (function () {
        function ThemeModule() {
        }
        /**
         * @return {?}
         */
        ThemeModule.forRoot = /**
         * @return {?}
         */
            function () {
                return ( /** @type {?} */({
                    ngModule: ThemeModule,
                    providers: __spread(NB_THEME_PROVIDERS),
                }));
            };
        ThemeModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: __spread(BASE_MODULES, NB_MODULES),
                        exports: __spread(BASE_MODULES, NB_MODULES, COMPONENTS, PIPES),
                        declarations: __spread(COMPONENTS, PIPES),
                        entryComponents: __spread(ENTRY_COMPONENTS),
                    },] }
        ];
        return ThemeModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var providers = [
        { provide: common.APP_BASE_HREF, useValue: '/' }
    ];
    var AppModule = /** @class */ (function () {
        function AppModule() {
        }
        AppModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [AppComponent],
                        imports: [
                            platformBrowser.BrowserModule,
                            animations.BrowserAnimationsModule,
                            http.HttpClientModule,
                            AppRoutingModule,
                            ngBootstrap.NgbModule.forRoot(),
                            ThemeModule.forRoot(),
                            CoreModule.forRoot(),
                        ],
                        bootstrap: [AppComponent],
                        providers: providers,
                        exports: [AppComponent]
                    },] }
        ];
        return AppModule;
    }());
    var NgxRootModule = /** @class */ (function () {
        function NgxRootModule() {
        }
        /**
         * @return {?}
         */
        NgxRootModule.forRoot = /**
         * @return {?}
         */
            function () {
                return {
                    ngModule: AppModule,
                    providers: providers
                };
            };
        NgxRootModule.decorators = [
            { type: core.NgModule, args: [{},] }
        ];
        return NgxRootModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    exports.NgxRootModule = NgxRootModule;
    exports.ɵbe = CoreModule;
    exports.ɵbd = NB_CORE_PROVIDERS;
    exports.ɵbc = NbSimpleRoleProvider;
    exports.ɵcm = CountryOrderData;
    exports.ɵbw = EarningData;
    exports.ɵbj = ElectricityData;
    exports.ɵbq = OrdersChartData;
    exports.ɵby = OrdersProfitChartData;
    exports.ɵcc = ProfitBarAnimationChartData;
    exports.ɵbs = ProfitChartData;
    exports.ɵcs = SecurityCamerasData;
    exports.ɵbl = SmartTableData;
    exports.ɵcg = SolarData;
    exports.ɵck = StatsBarData;
    exports.ɵco = StatsProgressBarData;
    exports.ɵce = TemperatureHumidityData;
    exports.ɵca = TrafficBarData;
    exports.ɵci = TrafficChartData;
    exports.ɵbu = TrafficListData;
    exports.ɵbn = UserActivityData;
    exports.ɵbh = UserData;
    exports.ɵcq = VisitorsAnalyticsData;
    exports.ɵcl = CountryOrderService;
    exports.ɵbv = EarningService;
    exports.ɵbi = ElectricityService;
    exports.ɵbf = MockDataModule;
    exports.ɵbp = OrdersChartService;
    exports.ɵbx = OrdersProfitChartService;
    exports.ɵbo = PeriodsService;
    exports.ɵcb = ProfitBarAnimationChartService;
    exports.ɵbr = ProfitChartService;
    exports.ɵcr = SecurityCamerasService;
    exports.ɵbk = SmartTableService;
    exports.ɵcf = SolarService;
    exports.ɵcj = StatsBarService;
    exports.ɵcn = StatsProgressBarService;
    exports.ɵcd = TemperatureHumidityService;
    exports.ɵbz = TrafficBarService;
    exports.ɵch = TrafficChartService;
    exports.ɵbt = TrafficListService;
    exports.ɵbm = UserActivityService;
    exports.ɵbg = UserService;
    exports.ɵcp = VisitorsAnalyticsService;
    exports.ɵc = AnalyticsService;
    exports.ɵct = LayoutService;
    exports.ɵcu = PlayerService;
    exports.ɵcv = StateService;
    exports.ɵk = FooterComponent;
    exports.ɵj = HeaderComponent;
    exports.ɵg = LayoutDirectionSwitcherComponent;
    exports.ɵl = SearchInputComponent;
    exports.ɵf = SwitcherComponent;
    exports.ɵm = ThemeSettingsComponent;
    exports.ɵh = ThemeSwitcherComponent;
    exports.ɵi = ThemeSwitcherListComponent;
    exports.ɵn = TinyMCEComponent;
    exports.ɵs = ToggleSettingsButtonComponent;
    exports.ɵo = OneColumnLayoutComponent;
    exports.ɵp = SampleLayoutComponent;
    exports.ɵq = ThreeColumnsLayoutComponent;
    exports.ɵr = TwoColumnsLayoutComponent;
    exports.ɵt = CapitalizePipe;
    exports.ɵy = EvaIconsPipe;
    exports.ɵx = NumberWithCommasPipe;
    exports.ɵu = PluralPipe;
    exports.ɵv = RoundPipe;
    exports.ɵw = TimingPipe;
    exports.ɵbb = CORPORATE_THEME;
    exports.ɵba = COSMIC_THEME;
    exports.ɵz = DEFAULT_THEME;
    exports.ɵe = ThemeModule;
    exports.ɵd = AppRoutingModule;
    exports.ɵb = AppComponent;
    exports.ɵa = AppModule;

    Object.defineProperty(exports, '__esModule', { value: true });

})));

//# sourceMappingURL=john-ngx-t2.umd.js.map